//--
// This file is part of Sonic Pi: http://sonic-pi.net
// Full project source: https://github.com/samaaron/sonic-pi
// License: https://github.com/samaaron/sonic-pi/blob/main/LICENSE.md
//
// Copyright 2013, 2014 by Sam Aaron (http://sam.aaron.name).
// All rights reserved.
//
// Permission is granted for use, copying, modification, distribution,
// and distribution of modified versions of this work as long as this
// notice is included.
//++

// AUTO-GENERATED-DOCS
// Do not manually add any code below this comment
// otherwise it may be removed

void MainWindow::initDocsWindow() {

  QString systemLocale = QLocale::system().uiLanguages()[0];

if (systemLocale.startsWith("zh-Hans")) {

  // language zh-Hans

  // tutorial info
  struct help_page tutorialHelpPages[] = {
    { QString::fromUtf8("1 欢迎来到 Sonic Pi"), NULL, "qrc:///help/tutorial_item_1.html"},
    { QString::fromUtf8("   1.1 即时代码"), NULL, "qrc:///help/tutorial_item_2.html"},
    { QString::fromUtf8("探索界面"), NULL, "qrc:///help/tutorial_item_3.html"},
    { QString::fromUtf8("   1.3 边玩边学习"), NULL, "qrc:///help/tutorial_item_4.html"},
    { QString::fromUtf8("2 合成器"), NULL, "qrc:///help/tutorial_item_5.html"},
    { QString::fromUtf8("   2.1 你的第一个蜂鸣声"), NULL, "qrc:///help/tutorial_item_6.html"},
    { QString::fromUtf8("   2.2 合成器选项"), NULL, "qrc:///help/tutorial_item_7.html"},
    { QString::fromUtf8("   2.3 开关合成器"), NULL, "qrc:///help/tutorial_item_8.html"},
    { QString::fromUtf8("   2.4 波封(envelope)下的声音持续"), NULL, "qrc:///help/tutorial_item_9.html"},
    { QString::fromUtf8("3个样品"), NULL, "qrc:///help/tutorial_item_10.html"},
    { QString::fromUtf8("   3.1 触发示例"), NULL, "qrc:///help/tutorial_item_11.html"},
    { QString::fromUtf8("   3.2 示例参数"), NULL, "qrc:///help/tutorial_item_12.html"},
    { QString::fromUtf8("   3.3 拉伸示例"), NULL, "qrc:///help/tutorial_item_13.html"},
    { QString::fromUtf8("   3.4 波封设置后样本(Enveloped samples)"), NULL, "qrc:///help/tutorial_item_14.html"},
    { QString::fromUtf8("   3.5 部分样本"), NULL, "qrc:///help/tutorial_item_15.html"},
    { QString::fromUtf8("   3.6 外部采样"), NULL, "qrc:///help/tutorial_item_16.html"},
    { QString::fromUtf8("   3.7 采样包"), NULL, "qrc:///help/tutorial_item_17.html"},
    { QString::fromUtf8("4 随机化"), NULL, "qrc:///help/tutorial_item_18.html"},
    { "5 Programming Structures", NULL, "qrc:///help/tutorial_item_19.html"},
    { "   5.1 Blocks", NULL, "qrc:///help/tutorial_item_20.html"},
    { "   5.2 Iteration and Loops", NULL, "qrc:///help/tutorial_item_21.html"},
    { "   5.3 Conditionals", NULL, "qrc:///help/tutorial_item_22.html"},
    { "   5.4 Threads", NULL, "qrc:///help/tutorial_item_23.html"},
    { "   5.5 Functions", NULL, "qrc:///help/tutorial_item_24.html"},
    { "   5.6 Variables", NULL, "qrc:///help/tutorial_item_25.html"},
    { "   5.7 Thread Synchronisation", NULL, "qrc:///help/tutorial_item_26.html"},
    { "6 FX", NULL, "qrc:///help/tutorial_item_27.html"},
    { "   6.1 Adding FX", NULL, "qrc:///help/tutorial_item_28.html"},
    { "   6.2 FX in Practice", NULL, "qrc:///help/tutorial_item_29.html"},
    { "7 Control", NULL, "qrc:///help/tutorial_item_30.html"},
    { "   7.1 Controlling Running Synths", NULL, "qrc:///help/tutorial_item_31.html"},
    { "   7.2 Controlling FX", NULL, "qrc:///help/tutorial_item_32.html"},
    { "   7.3 Sliding Options", NULL, "qrc:///help/tutorial_item_33.html"},
    { "8 Data Structures", NULL, "qrc:///help/tutorial_item_34.html"},
    { "   8.1 Lists", NULL, "qrc:///help/tutorial_item_35.html"},
    { "   8.2 Chords", NULL, "qrc:///help/tutorial_item_36.html"},
    { "   8.3 Scales", NULL, "qrc:///help/tutorial_item_37.html"},
    { "   8.4 Rings", NULL, "qrc:///help/tutorial_item_38.html"},
    { "   8.5 Ring Chains", NULL, "qrc:///help/tutorial_item_39.html"},
    { "9 Live Coding", NULL, "qrc:///help/tutorial_item_40.html"},
    { "   9.1 Live Coding Fundamentals", NULL, "qrc:///help/tutorial_item_41.html"},
    { "   9.2 Live Loops", NULL, "qrc:///help/tutorial_item_42.html"},
    { "   9.3 Multiple Live Loops", NULL, "qrc:///help/tutorial_item_43.html"},
    { "   9.4 Ticking", NULL, "qrc:///help/tutorial_item_44.html"},
    { "10 Time State", NULL, "qrc:///help/tutorial_item_45.html"},
    { "   10.1 Set and Get", NULL, "qrc:///help/tutorial_item_46.html"},
    { "   10.2 Sync", NULL, "qrc:///help/tutorial_item_47.html"},
    { "   10.3 Pattern Matching", NULL, "qrc:///help/tutorial_item_48.html"},
    { "11 MIDI", NULL, "qrc:///help/tutorial_item_49.html"},
    { "   11.1 MIDI In", NULL, "qrc:///help/tutorial_item_50.html"},
    { "   11.2 MIDI Out", NULL, "qrc:///help/tutorial_item_51.html"},
    { "12 OSC", NULL, "qrc:///help/tutorial_item_52.html"},
    { "   12.1 Receiving OSC", NULL, "qrc:///help/tutorial_item_53.html"},
    { "   12.2 Sending OSC", NULL, "qrc:///help/tutorial_item_54.html"},
    { "13 Multichannel Audio", NULL, "qrc:///help/tutorial_item_55.html"},
    { "   13.1 Sound In", NULL, "qrc:///help/tutorial_item_56.html"},
    { "   13.2 Live Audio", NULL, "qrc:///help/tutorial_item_57.html"},
    { "   13.3 Sound Out", NULL, "qrc:///help/tutorial_item_58.html"},
    { "14 Conclusions", NULL, "qrc:///help/tutorial_item_59.html"},
    { "A Appendix A - MagPi Articles", NULL, "qrc:///help/tutorial_item_60.html"},
    { "   A.1 Tips for Sonic Pi", NULL, "qrc:///help/tutorial_item_61.html"},
    { "   A.2 Live Coding", NULL, "qrc:///help/tutorial_item_62.html"},
    { "   A.3 Coded Beats", NULL, "qrc:///help/tutorial_item_63.html"},
    { "   A.4 Synth Riffs", NULL, "qrc:///help/tutorial_item_64.html"},
    { "   A.5 Acid Bass", NULL, "qrc:///help/tutorial_item_65.html"},
    { "   A.6 Musical Minecraft", NULL, "qrc:///help/tutorial_item_66.html"},
    { "   A.7 Bizet Beats", NULL, "qrc:///help/tutorial_item_67.html"},
    { "   A.8 Become a Minecraft VJ", NULL, "qrc:///help/tutorial_item_68.html"},
    { "   A.9 Randomisation", NULL, "qrc:///help/tutorial_item_69.html"},
    { "   A.10 Control", NULL, "qrc:///help/tutorial_item_70.html"},
    { "   A.11 Tick Tock", NULL, "qrc:///help/tutorial_item_71.html"},
    { "   A.12 Sample Slicing", NULL, "qrc:///help/tutorial_item_72.html"},
    { "   A.13 Code a Probabilistic Sequencer", NULL, "qrc:///help/tutorial_item_73.html"},
    { "   A.14 Amplitude Modulation", NULL, "qrc:///help/tutorial_item_74.html"},
    { "   A.15 Five Live Coding Techniques", NULL, "qrc:///help/tutorial_item_75.html"},
    { "   A.16 How to Practice Live Coding", NULL, "qrc:///help/tutorial_item_76.html"},
    { "   A.17 Sample Stretching", NULL, "qrc:///help/tutorial_item_77.html"},
    { "   A.18 Sound Design - Additive Synthesis", NULL, "qrc:///help/tutorial_item_78.html"},
    { "   A.19 Sound Design - Subtractive Synthesis", NULL, "qrc:///help/tutorial_item_79.html"},
    { "   A.20 Creative coding in the classroom with Sonic Pi", NULL, "qrc:///help/tutorial_item_80.html"},
    { "B Essential Knowledge", NULL, "qrc:///help/tutorial_item_81.html"},
    { "   B.1 Using Shortcuts", NULL, "qrc:///help/tutorial_item_82.html"},
    { "   B.2 Shortcut Cheatsheet", NULL, "qrc:///help/tutorial_item_83.html"},
    { "   B.3 Sharing", NULL, "qrc:///help/tutorial_item_84.html"},
    { "   B.4 Performing", NULL, "qrc:///help/tutorial_item_85.html"},
    { "C Minecraft Pi", NULL, "qrc:///help/tutorial_item_86.html"},
    { "   C.1 Basic API", NULL, "qrc:///help/tutorial_item_87.html"},
  };

  addHelpPage(createHelpTab(tr("Tutorial")), tutorialHelpPages, 87);

} else if (systemLocale.startsWith("pt-BR")) {

  // language pt-BR

  // tutorial info
  struct help_page tutorialHelpPages[] = {
    { "Bem vindo ao Sonic Pi", NULL, "qrc:///help/tutorial_item_88.html"},
    { QString::fromUtf8("   1.1 Programação ao vivo"), NULL, "qrc:///help/tutorial_item_89.html"},
    { "   1.2 Explorando a Interface", NULL, "qrc:///help/tutorial_item_90.html"},
    { "   1.3 Aprenda tocando", NULL, "qrc:///help/tutorial_item_91.html"},
    { "2 Sintetizadores", NULL, "qrc:///help/tutorial_item_92.html"},
    { "   2.1 Seus primeiros Beeps", NULL, "qrc:///help/tutorial_item_93.html"},
    { QString::fromUtf8("   2.2 Opções de Sintetizador"), NULL, "qrc:///help/tutorial_item_94.html"},
    { "   2.3 Trocando Sintetizadores", NULL, "qrc:///help/tutorial_item_95.html"},
    { QString::fromUtf8("   2.4 Duração com Envelopes"), NULL, "qrc:///help/tutorial_item_96.html"},
    { "3 Amostras", NULL, "qrc:///help/tutorial_item_97.html"},
    { "   3.1 Disparando amostras", NULL, "qrc:///help/tutorial_item_98.html"},
    { QString::fromUtf8("   3.2 Parâmetros de Amostras (Samples)"), NULL, "qrc:///help/tutorial_item_99.html"},
    { "   3.3 Esticando Amostras (Stretching)", NULL, "qrc:///help/tutorial_item_100.html"},
    { "   3.4 Curvas de Envelope de Amostras", NULL, "qrc:///help/tutorial_item_101.html"},
    { "   3.5 Amostras Parciais", NULL, "qrc:///help/tutorial_item_102.html"},
    { "   3.6 Samples externos", NULL, "qrc:///help/tutorial_item_103.html"},
    { "   3.7 Sample Packs", NULL, "qrc:///help/tutorial_item_104.html"},
    { QString::fromUtf8("4 Randomização"), NULL, "qrc:///help/tutorial_item_105.html"},
    { QString::fromUtf8("5 Estruturas de Programação"), NULL, "qrc:///help/tutorial_item_106.html"},
    { "   5.1 Blocos", NULL, "qrc:///help/tutorial_item_107.html"},
    { QString::fromUtf8("   5.2 Iteração e Loops"), NULL, "qrc:///help/tutorial_item_108.html"},
    { "   5.3 Condicionais", NULL, "qrc:///help/tutorial_item_109.html"},
    { "   5.4 Threads", NULL, "qrc:///help/tutorial_item_110.html"},
    { "   5.5 Functions", NULL, "qrc:///help/tutorial_item_111.html"},
    { "   5.6 Variables", NULL, "qrc:///help/tutorial_item_112.html"},
    { "   5.7 Thread Synchronisation", NULL, "qrc:///help/tutorial_item_113.html"},
    { "6 FX", NULL, "qrc:///help/tutorial_item_114.html"},
    { "   6.1 Adding FX", NULL, "qrc:///help/tutorial_item_115.html"},
    { "   6.2 FX in Practice", NULL, "qrc:///help/tutorial_item_116.html"},
    { "7 Control", NULL, "qrc:///help/tutorial_item_117.html"},
    { "   7.1 Controlling Running Synths", NULL, "qrc:///help/tutorial_item_118.html"},
    { "   7.2 Controlling FX", NULL, "qrc:///help/tutorial_item_119.html"},
    { "   7.3 Sliding Options", NULL, "qrc:///help/tutorial_item_120.html"},
    { "8. Estruturas de dados", NULL, "qrc:///help/tutorial_item_121.html"},
    { "   8.1 Listas", NULL, "qrc:///help/tutorial_item_122.html"},
    { "   8.2 Acordes", NULL, "qrc:///help/tutorial_item_123.html"},
    { "   8.3 Escalas", NULL, "qrc:///help/tutorial_item_124.html"},
    { "   8.4 Rings", NULL, "qrc:///help/tutorial_item_125.html"},
    { "   8.5 Ring Chains", NULL, "qrc:///help/tutorial_item_126.html"},
    { QString::fromUtf8("9. Live Coding (Programação ao vivo)"), NULL, "qrc:///help/tutorial_item_127.html"},
    { "   9.1 Fundamentos do Live coding", NULL, "qrc:///help/tutorial_item_128.html"},
    { "   9.2 Live Loops (loops ao vivo)", NULL, "qrc:///help/tutorial_item_129.html"},
    { QString::fromUtf8("   9.3 Múltiplos Live Loops"), NULL, "qrc:///help/tutorial_item_130.html"},
    { "   9.4 Ticking", NULL, "qrc:///help/tutorial_item_131.html"},
    { "10 Time State", NULL, "qrc:///help/tutorial_item_132.html"},
    { "   10.1 Set e Get", NULL, "qrc:///help/tutorial_item_133.html"},
    { QString::fromUtf8("   10.2 Sincronização (Sync)"), NULL, "qrc:///help/tutorial_item_134.html"},
    { QString::fromUtf8("   10.3 Correspondência de Padrões"), NULL, "qrc:///help/tutorial_item_135.html"},
    { "11. MIDI", NULL, "qrc:///help/tutorial_item_136.html"},
    { "   11.1 Entrada MIDI", NULL, "qrc:///help/tutorial_item_137.html"},
    { QString::fromUtf8("   11.2 Saída MIDI"), NULL, "qrc:///help/tutorial_item_138.html"},
    { "12 OSC", NULL, "qrc:///help/tutorial_item_139.html"},
    { "   12.1 Receiving OSC", NULL, "qrc:///help/tutorial_item_140.html"},
    { "   12.2 Sending OSC", NULL, "qrc:///help/tutorial_item_141.html"},
    { "13 Multichannel Audio", NULL, "qrc:///help/tutorial_item_142.html"},
    { "   13.1 Sound In", NULL, "qrc:///help/tutorial_item_143.html"},
    { "   13.2 Live Audio", NULL, "qrc:///help/tutorial_item_144.html"},
    { "   13.3 Sound Out", NULL, "qrc:///help/tutorial_item_145.html"},
    { "14 Conclusions", NULL, "qrc:///help/tutorial_item_146.html"},
    { "A Appendix A - MagPi Articles", NULL, "qrc:///help/tutorial_item_147.html"},
    { "   A.1 Tips for Sonic Pi", NULL, "qrc:///help/tutorial_item_148.html"},
    { "   A.2 Live Coding", NULL, "qrc:///help/tutorial_item_149.html"},
    { "   A.3 Coded Beats", NULL, "qrc:///help/tutorial_item_150.html"},
    { "   A.4 Synth Riffs", NULL, "qrc:///help/tutorial_item_151.html"},
    { "   A.5 Acid Bass", NULL, "qrc:///help/tutorial_item_152.html"},
    { "   A.6 Musical Minecraft", NULL, "qrc:///help/tutorial_item_153.html"},
    { "   A.7 Bizet Beats", NULL, "qrc:///help/tutorial_item_154.html"},
    { "   A.8 Become a Minecraft VJ", NULL, "qrc:///help/tutorial_item_155.html"},
    { "   A.9 Randomisation", NULL, "qrc:///help/tutorial_item_156.html"},
    { "   A.10 Control", NULL, "qrc:///help/tutorial_item_157.html"},
    { "   A.11 Tick Tock", NULL, "qrc:///help/tutorial_item_158.html"},
    { "   A.12 Cortando Amostras", NULL, "qrc:///help/tutorial_item_159.html"},
    { "   A.13 Code a Probabilistic Sequencer", NULL, "qrc:///help/tutorial_item_160.html"},
    { "   A.14 Amplitude Modulation", NULL, "qrc:///help/tutorial_item_161.html"},
    { "   A.15 Five Live Coding Techniques", NULL, "qrc:///help/tutorial_item_162.html"},
    { "   A.16 How to Practice Live Coding", NULL, "qrc:///help/tutorial_item_163.html"},
    { "   A.17 Sample Stretching", NULL, "qrc:///help/tutorial_item_164.html"},
    { "   A.18 Sound Design - Additive Synthesis", NULL, "qrc:///help/tutorial_item_165.html"},
    { "   A.19 Sound Design - Subtractive Synthesis", NULL, "qrc:///help/tutorial_item_166.html"},
    { "   A.20 Creative coding in the classroom with Sonic Pi", NULL, "qrc:///help/tutorial_item_167.html"},
    { "B Essential Knowledge", NULL, "qrc:///help/tutorial_item_168.html"},
    { "   B.1 Using Shortcuts", NULL, "qrc:///help/tutorial_item_169.html"},
    { "   B.2 Shortcut Cheatsheet", NULL, "qrc:///help/tutorial_item_170.html"},
    { "   B.3 Sharing", NULL, "qrc:///help/tutorial_item_171.html"},
    { "   B.4 Performing", NULL, "qrc:///help/tutorial_item_172.html"},
    { "C Minecraft Pi", NULL, "qrc:///help/tutorial_item_173.html"},
    { "   C.1 Basic API", NULL, "qrc:///help/tutorial_item_174.html"},
  };

  addHelpPage(createHelpTab(tr("Tutorial")), tutorialHelpPages, 87);

} else if (systemLocale.startsWith("zh-Hk")) {

  // language zh-Hk

  // tutorial info
  struct help_page tutorialHelpPages[] = {
    { "1 Welcome to Sonic Pi", NULL, "qrc:///help/tutorial_item_175.html"},
    { "   1.1 Live Coding", NULL, "qrc:///help/tutorial_item_176.html"},
    { "   1.2 Exploring the Interface", NULL, "qrc:///help/tutorial_item_177.html"},
    { "   1.3 Learning through Play", NULL, "qrc:///help/tutorial_item_178.html"},
    { "2 Synths", NULL, "qrc:///help/tutorial_item_179.html"},
    { "   2.1 Your First Beeps", NULL, "qrc:///help/tutorial_item_180.html"},
    { "   2.2 Synth Options", NULL, "qrc:///help/tutorial_item_181.html"},
    { "   2.3 Switching Synths", NULL, "qrc:///help/tutorial_item_182.html"},
    { "   2.4 Duration with Envelopes", NULL, "qrc:///help/tutorial_item_183.html"},
    { "3 Samples", NULL, "qrc:///help/tutorial_item_184.html"},
    { "   3.1 Triggering Samples", NULL, "qrc:///help/tutorial_item_185.html"},
    { "   3.2 Sample Parameters", NULL, "qrc:///help/tutorial_item_186.html"},
    { "   3.3 Stretching Samples", NULL, "qrc:///help/tutorial_item_187.html"},
    { "   3.4 Enveloped Samples", NULL, "qrc:///help/tutorial_item_188.html"},
    { "   3.5 Partial Samples", NULL, "qrc:///help/tutorial_item_189.html"},
    { "   3.6 External Samples", NULL, "qrc:///help/tutorial_item_190.html"},
    { "   3.7 Sample Packs", NULL, "qrc:///help/tutorial_item_191.html"},
    { "4 Randomisation", NULL, "qrc:///help/tutorial_item_192.html"},
    { "5 Programming Structures", NULL, "qrc:///help/tutorial_item_193.html"},
    { "   5.1 Blocks", NULL, "qrc:///help/tutorial_item_194.html"},
    { "   5.2 Iteration and Loops", NULL, "qrc:///help/tutorial_item_195.html"},
    { "   5.3 Conditionals", NULL, "qrc:///help/tutorial_item_196.html"},
    { "   5.4 Threads", NULL, "qrc:///help/tutorial_item_197.html"},
    { "   5.5 Functions", NULL, "qrc:///help/tutorial_item_198.html"},
    { "   5.6 Variables", NULL, "qrc:///help/tutorial_item_199.html"},
    { "   5.7 Thread Synchronisation", NULL, "qrc:///help/tutorial_item_200.html"},
    { "6 FX", NULL, "qrc:///help/tutorial_item_201.html"},
    { "   6.1 Adding FX", NULL, "qrc:///help/tutorial_item_202.html"},
    { "   6.2 FX in Practice", NULL, "qrc:///help/tutorial_item_203.html"},
    { "7 Control", NULL, "qrc:///help/tutorial_item_204.html"},
    { "   7.1 Controlling Running Synths", NULL, "qrc:///help/tutorial_item_205.html"},
    { "   7.2 Controlling FX", NULL, "qrc:///help/tutorial_item_206.html"},
    { "   7.3 Sliding Options", NULL, "qrc:///help/tutorial_item_207.html"},
    { "8 Data Structures", NULL, "qrc:///help/tutorial_item_208.html"},
    { "   8.1 Lists", NULL, "qrc:///help/tutorial_item_209.html"},
    { "   8.2 Chords", NULL, "qrc:///help/tutorial_item_210.html"},
    { "   8.3 Scales", NULL, "qrc:///help/tutorial_item_211.html"},
    { "   8.4 Rings", NULL, "qrc:///help/tutorial_item_212.html"},
    { "   8.5 Ring Chains", NULL, "qrc:///help/tutorial_item_213.html"},
    { "9 Live Coding", NULL, "qrc:///help/tutorial_item_214.html"},
    { "   9.1 Live Coding Fundamentals", NULL, "qrc:///help/tutorial_item_215.html"},
    { "   9.2 Live Loops", NULL, "qrc:///help/tutorial_item_216.html"},
    { "   9.3 Multiple Live Loops", NULL, "qrc:///help/tutorial_item_217.html"},
    { "   9.4 Ticking", NULL, "qrc:///help/tutorial_item_218.html"},
    { "10 Time State", NULL, "qrc:///help/tutorial_item_219.html"},
    { "   10.1 Set and Get", NULL, "qrc:///help/tutorial_item_220.html"},
    { "   10.2 Sync", NULL, "qrc:///help/tutorial_item_221.html"},
    { "   10.3 Pattern Matching", NULL, "qrc:///help/tutorial_item_222.html"},
    { "11 MIDI", NULL, "qrc:///help/tutorial_item_223.html"},
    { "   11.1 MIDI In", NULL, "qrc:///help/tutorial_item_224.html"},
    { "   11.2 MIDI Out", NULL, "qrc:///help/tutorial_item_225.html"},
    { "12 OSC", NULL, "qrc:///help/tutorial_item_226.html"},
    { "   12.1 Receiving OSC", NULL, "qrc:///help/tutorial_item_227.html"},
    { "   12.2 Sending OSC", NULL, "qrc:///help/tutorial_item_228.html"},
    { "13 Multichannel Audio", NULL, "qrc:///help/tutorial_item_229.html"},
    { "   13.1 Sound In", NULL, "qrc:///help/tutorial_item_230.html"},
    { "   13.2 Live Audio", NULL, "qrc:///help/tutorial_item_231.html"},
    { "   13.3 Sound Out", NULL, "qrc:///help/tutorial_item_232.html"},
    { "14 Conclusions", NULL, "qrc:///help/tutorial_item_233.html"},
    { "A Appendix A - MagPi Articles", NULL, "qrc:///help/tutorial_item_234.html"},
    { "   A.1 Tips for Sonic Pi", NULL, "qrc:///help/tutorial_item_235.html"},
    { "   A.2 Live Coding", NULL, "qrc:///help/tutorial_item_236.html"},
    { "   A.3 Coded Beats", NULL, "qrc:///help/tutorial_item_237.html"},
    { "   A.4 Synth Riffs", NULL, "qrc:///help/tutorial_item_238.html"},
    { "   A.5 Acid Bass", NULL, "qrc:///help/tutorial_item_239.html"},
    { "   A.6 Musical Minecraft", NULL, "qrc:///help/tutorial_item_240.html"},
    { "   A.7 Bizet Beats", NULL, "qrc:///help/tutorial_item_241.html"},
    { "   A.8 Become a Minecraft VJ", NULL, "qrc:///help/tutorial_item_242.html"},
    { "   A.9 Randomisation", NULL, "qrc:///help/tutorial_item_243.html"},
    { "   A.10 Control", NULL, "qrc:///help/tutorial_item_244.html"},
    { "   A.11 Tick Tock", NULL, "qrc:///help/tutorial_item_245.html"},
    { "   A.12 Sample Slicing", NULL, "qrc:///help/tutorial_item_246.html"},
    { "   A.13 Code a Probabilistic Sequencer", NULL, "qrc:///help/tutorial_item_247.html"},
    { "   A.14 Amplitude Modulation", NULL, "qrc:///help/tutorial_item_248.html"},
    { "   A.15 Five Live Coding Techniques", NULL, "qrc:///help/tutorial_item_249.html"},
    { "   A.16 How to Practice Live Coding", NULL, "qrc:///help/tutorial_item_250.html"},
    { "   A.17 Sample Stretching", NULL, "qrc:///help/tutorial_item_251.html"},
    { "   A.18 Sound Design - Additive Synthesis", NULL, "qrc:///help/tutorial_item_252.html"},
    { "   A.19 Sound Design - Subtractive Synthesis", NULL, "qrc:///help/tutorial_item_253.html"},
    { "   A.20 Creative coding in the classroom with Sonic Pi", NULL, "qrc:///help/tutorial_item_254.html"},
    { "B Essential Knowledge", NULL, "qrc:///help/tutorial_item_255.html"},
    { "   B.1 Using Shortcuts", NULL, "qrc:///help/tutorial_item_256.html"},
    { "   B.2 Shortcut Cheatsheet", NULL, "qrc:///help/tutorial_item_257.html"},
    { "   B.3 Sharing", NULL, "qrc:///help/tutorial_item_258.html"},
    { "   B.4 Performing", NULL, "qrc:///help/tutorial_item_259.html"},
    { "C Minecraft Pi", NULL, "qrc:///help/tutorial_item_260.html"},
    { "   C.1 Basic API", NULL, "qrc:///help/tutorial_item_261.html"},
  };

  addHelpPage(createHelpTab(tr("Tutorial")), tutorialHelpPages, 87);

} else if (systemLocale.startsWith("zh-TW")) {

  // language zh-TW

  // tutorial info
  struct help_page tutorialHelpPages[] = {
    { QString::fromUtf8("1 歡迎使用 Sonic Pi"), NULL, "qrc:///help/tutorial_item_262.html"},
    { QString::fromUtf8("   1.1 Live Coding 表演"), NULL, "qrc:///help/tutorial_item_263.html"},
    { QString::fromUtf8("   1.2 探索軟體介面"), NULL, "qrc:///help/tutorial_item_264.html"},
    { "   1.3 Learning through Play", NULL, "qrc:///help/tutorial_item_265.html"},
    { "2 Synths", NULL, "qrc:///help/tutorial_item_266.html"},
    { "   2.1 Your First Beeps", NULL, "qrc:///help/tutorial_item_267.html"},
    { "   2.2 Synth Options", NULL, "qrc:///help/tutorial_item_268.html"},
    { "   2.3 Switching Synths", NULL, "qrc:///help/tutorial_item_269.html"},
    { "   2.4 Duration with Envelopes", NULL, "qrc:///help/tutorial_item_270.html"},
    { "3 Samples", NULL, "qrc:///help/tutorial_item_271.html"},
    { "   3.1 Triggering Samples", NULL, "qrc:///help/tutorial_item_272.html"},
    { "   3.2 Sample Parameters", NULL, "qrc:///help/tutorial_item_273.html"},
    { "   3.3 Stretching Samples", NULL, "qrc:///help/tutorial_item_274.html"},
    { "   3.4 Enveloped Samples", NULL, "qrc:///help/tutorial_item_275.html"},
    { "   3.5 Partial Samples", NULL, "qrc:///help/tutorial_item_276.html"},
    { "   3.6 External Samples", NULL, "qrc:///help/tutorial_item_277.html"},
    { "   3.7 Sample Packs", NULL, "qrc:///help/tutorial_item_278.html"},
    { "4 Randomisation", NULL, "qrc:///help/tutorial_item_279.html"},
    { "5 Programming Structures", NULL, "qrc:///help/tutorial_item_280.html"},
    { "   5.1 Blocks", NULL, "qrc:///help/tutorial_item_281.html"},
    { "   5.2 Iteration and Loops", NULL, "qrc:///help/tutorial_item_282.html"},
    { "   5.3 Conditionals", NULL, "qrc:///help/tutorial_item_283.html"},
    { "   5.4 Threads", NULL, "qrc:///help/tutorial_item_284.html"},
    { "   5.5 Functions", NULL, "qrc:///help/tutorial_item_285.html"},
    { "   5.6 Variables", NULL, "qrc:///help/tutorial_item_286.html"},
    { "   5.7 Thread Synchronisation", NULL, "qrc:///help/tutorial_item_287.html"},
    { "6 FX", NULL, "qrc:///help/tutorial_item_288.html"},
    { "   6.1 Adding FX", NULL, "qrc:///help/tutorial_item_289.html"},
    { "   6.2 FX in Practice", NULL, "qrc:///help/tutorial_item_290.html"},
    { "7 Control", NULL, "qrc:///help/tutorial_item_291.html"},
    { "   7.1 Controlling Running Synths", NULL, "qrc:///help/tutorial_item_292.html"},
    { "   7.2 Controlling FX", NULL, "qrc:///help/tutorial_item_293.html"},
    { "   7.3 Sliding Options", NULL, "qrc:///help/tutorial_item_294.html"},
    { "8 Data Structures", NULL, "qrc:///help/tutorial_item_295.html"},
    { "   8.1 Lists", NULL, "qrc:///help/tutorial_item_296.html"},
    { "   8.2 Chords", NULL, "qrc:///help/tutorial_item_297.html"},
    { "   8.3 Scales", NULL, "qrc:///help/tutorial_item_298.html"},
    { "   8.4 Rings", NULL, "qrc:///help/tutorial_item_299.html"},
    { "   8.5 Ring Chains", NULL, "qrc:///help/tutorial_item_300.html"},
    { "9 Live Coding", NULL, "qrc:///help/tutorial_item_301.html"},
    { "   9.1 Live Coding Fundamentals", NULL, "qrc:///help/tutorial_item_302.html"},
    { "   9.2 Live Loops", NULL, "qrc:///help/tutorial_item_303.html"},
    { "   9.3 Multiple Live Loops", NULL, "qrc:///help/tutorial_item_304.html"},
    { "   9.4 Ticking", NULL, "qrc:///help/tutorial_item_305.html"},
    { "10 Time State", NULL, "qrc:///help/tutorial_item_306.html"},
    { "   10.1 Set and Get", NULL, "qrc:///help/tutorial_item_307.html"},
    { "   10.2 Sync", NULL, "qrc:///help/tutorial_item_308.html"},
    { "   10.3 Pattern Matching", NULL, "qrc:///help/tutorial_item_309.html"},
    { "11 MIDI", NULL, "qrc:///help/tutorial_item_310.html"},
    { "   11.1 MIDI In", NULL, "qrc:///help/tutorial_item_311.html"},
    { "   11.2 MIDI Out", NULL, "qrc:///help/tutorial_item_312.html"},
    { "12 OSC", NULL, "qrc:///help/tutorial_item_313.html"},
    { "   12.1 Receiving OSC", NULL, "qrc:///help/tutorial_item_314.html"},
    { "   12.2 Sending OSC", NULL, "qrc:///help/tutorial_item_315.html"},
    { "13 Multichannel Audio", NULL, "qrc:///help/tutorial_item_316.html"},
    { "   13.1 Sound In", NULL, "qrc:///help/tutorial_item_317.html"},
    { "   13.2 Live Audio", NULL, "qrc:///help/tutorial_item_318.html"},
    { "   13.3 Sound Out", NULL, "qrc:///help/tutorial_item_319.html"},
    { "14 Conclusions", NULL, "qrc:///help/tutorial_item_320.html"},
    { "A Appendix A - MagPi Articles", NULL, "qrc:///help/tutorial_item_321.html"},
    { "   A.1 Tips for Sonic Pi", NULL, "qrc:///help/tutorial_item_322.html"},
    { "   A.2 Live Coding", NULL, "qrc:///help/tutorial_item_323.html"},
    { "   A.3 Coded Beats", NULL, "qrc:///help/tutorial_item_324.html"},
    { "   A.4 Synth Riffs", NULL, "qrc:///help/tutorial_item_325.html"},
    { "   A.5 Acid Bass", NULL, "qrc:///help/tutorial_item_326.html"},
    { "   A.6 Musical Minecraft", NULL, "qrc:///help/tutorial_item_327.html"},
    { "   A.7 Bizet Beats", NULL, "qrc:///help/tutorial_item_328.html"},
    { "   A.8 Become a Minecraft VJ", NULL, "qrc:///help/tutorial_item_329.html"},
    { "   A.9 Randomisation", NULL, "qrc:///help/tutorial_item_330.html"},
    { "   A.10 Control", NULL, "qrc:///help/tutorial_item_331.html"},
    { "   A.11 Tick Tock", NULL, "qrc:///help/tutorial_item_332.html"},
    { "   A.12 Sample Slicing", NULL, "qrc:///help/tutorial_item_333.html"},
    { "   A.13 Code a Probabilistic Sequencer", NULL, "qrc:///help/tutorial_item_334.html"},
    { "   A.14 Amplitude Modulation", NULL, "qrc:///help/tutorial_item_335.html"},
    { "   A.15 Five Live Coding Techniques", NULL, "qrc:///help/tutorial_item_336.html"},
    { "   A.16 How to Practice Live Coding", NULL, "qrc:///help/tutorial_item_337.html"},
    { "   A.17 Sample Stretching", NULL, "qrc:///help/tutorial_item_338.html"},
    { "   A.18 Sound Design - Additive Synthesis", NULL, "qrc:///help/tutorial_item_339.html"},
    { "   A.19 Sound Design - Subtractive Synthesis", NULL, "qrc:///help/tutorial_item_340.html"},
    { "   A.20 Creative coding in the classroom with Sonic Pi", NULL, "qrc:///help/tutorial_item_341.html"},
    { "B Essential Knowledge", NULL, "qrc:///help/tutorial_item_342.html"},
    { "   B.1 Using Shortcuts", NULL, "qrc:///help/tutorial_item_343.html"},
    { "   B.2 Shortcut Cheatsheet", NULL, "qrc:///help/tutorial_item_344.html"},
    { "   B.3 Sharing", NULL, "qrc:///help/tutorial_item_345.html"},
    { "   B.4 Performing", NULL, "qrc:///help/tutorial_item_346.html"},
    { "C Minecraft Pi", NULL, "qrc:///help/tutorial_item_347.html"},
    { "   C.1 Basic API", NULL, "qrc:///help/tutorial_item_348.html"},
  };

  addHelpPage(createHelpTab(tr("Tutorial")), tutorialHelpPages, 87);

} else if (systemLocale.startsWith("bs")) {

  // language bs

  // tutorial info
  struct help_page tutorialHelpPages[] = {
    { "1 Welcome to Sonic Pi", NULL, "qrc:///help/tutorial_item_349.html"},
    { "   1.1 Live Coding", NULL, "qrc:///help/tutorial_item_350.html"},
    { "   1.2 Exploring the Interface", NULL, "qrc:///help/tutorial_item_351.html"},
    { "   1.3 Learning through Play", NULL, "qrc:///help/tutorial_item_352.html"},
    { "2 Synths", NULL, "qrc:///help/tutorial_item_353.html"},
    { "   2.1 Your First Beeps", NULL, "qrc:///help/tutorial_item_354.html"},
    { "   2.2 Synth Options", NULL, "qrc:///help/tutorial_item_355.html"},
    { "   2.3 Switching Synths", NULL, "qrc:///help/tutorial_item_356.html"},
    { "   2.4 Duration with Envelopes", NULL, "qrc:///help/tutorial_item_357.html"},
    { "3 Samples", NULL, "qrc:///help/tutorial_item_358.html"},
    { "   3.1 Triggering Samples", NULL, "qrc:///help/tutorial_item_359.html"},
    { "   3.2 Sample Parameters", NULL, "qrc:///help/tutorial_item_360.html"},
    { "   3.3 Stretching Samples", NULL, "qrc:///help/tutorial_item_361.html"},
    { "   3.4 Enveloped Samples", NULL, "qrc:///help/tutorial_item_362.html"},
    { "   3.5 Partial Samples", NULL, "qrc:///help/tutorial_item_363.html"},
    { "   3.6 External Samples", NULL, "qrc:///help/tutorial_item_364.html"},
    { "   3.7 Sample Packs", NULL, "qrc:///help/tutorial_item_365.html"},
    { "4 Randomisation", NULL, "qrc:///help/tutorial_item_366.html"},
    { "5 Programming Structures", NULL, "qrc:///help/tutorial_item_367.html"},
    { "   5.1 Blocks", NULL, "qrc:///help/tutorial_item_368.html"},
    { "   5.2 Iteration and Loops", NULL, "qrc:///help/tutorial_item_369.html"},
    { "   5.3 Conditionals", NULL, "qrc:///help/tutorial_item_370.html"},
    { "   5.4 Threads", NULL, "qrc:///help/tutorial_item_371.html"},
    { "   5.5 Functions", NULL, "qrc:///help/tutorial_item_372.html"},
    { "   5.6 Variables", NULL, "qrc:///help/tutorial_item_373.html"},
    { "   5.7 Thread Synchronisation", NULL, "qrc:///help/tutorial_item_374.html"},
    { "6 FX", NULL, "qrc:///help/tutorial_item_375.html"},
    { "   6.1 Adding FX", NULL, "qrc:///help/tutorial_item_376.html"},
    { "   6.2 FX in Practice", NULL, "qrc:///help/tutorial_item_377.html"},
    { "7 Control", NULL, "qrc:///help/tutorial_item_378.html"},
    { "   7.1 Controlling Running Synths", NULL, "qrc:///help/tutorial_item_379.html"},
    { "   7.2 Controlling FX", NULL, "qrc:///help/tutorial_item_380.html"},
    { "   7.3 Sliding Options", NULL, "qrc:///help/tutorial_item_381.html"},
    { "8 Data Structures", NULL, "qrc:///help/tutorial_item_382.html"},
    { "   8.1 Lists", NULL, "qrc:///help/tutorial_item_383.html"},
    { "   8.2 Chords", NULL, "qrc:///help/tutorial_item_384.html"},
    { "   8.3 Scales", NULL, "qrc:///help/tutorial_item_385.html"},
    { "   8.4 Rings", NULL, "qrc:///help/tutorial_item_386.html"},
    { "   8.5 Ring Chains", NULL, "qrc:///help/tutorial_item_387.html"},
    { "9 Live Coding", NULL, "qrc:///help/tutorial_item_388.html"},
    { "   9.1 Live Coding Fundamentals", NULL, "qrc:///help/tutorial_item_389.html"},
    { "   9.2 Live Loops", NULL, "qrc:///help/tutorial_item_390.html"},
    { "   9.3 Multiple Live Loops", NULL, "qrc:///help/tutorial_item_391.html"},
    { "   9.4 Ticking", NULL, "qrc:///help/tutorial_item_392.html"},
    { "10 Time State", NULL, "qrc:///help/tutorial_item_393.html"},
    { "   10.1 Set and Get", NULL, "qrc:///help/tutorial_item_394.html"},
    { "   10.2 Sync", NULL, "qrc:///help/tutorial_item_395.html"},
    { "   10.3 Pattern Matching", NULL, "qrc:///help/tutorial_item_396.html"},
    { "11 MIDI", NULL, "qrc:///help/tutorial_item_397.html"},
    { "   11.1 MIDI In", NULL, "qrc:///help/tutorial_item_398.html"},
    { "   11.2 MIDI Out", NULL, "qrc:///help/tutorial_item_399.html"},
    { "12 OSC", NULL, "qrc:///help/tutorial_item_400.html"},
    { "   12.1 Receiving OSC", NULL, "qrc:///help/tutorial_item_401.html"},
    { "   12.2 Sending OSC", NULL, "qrc:///help/tutorial_item_402.html"},
    { "13 Multichannel Audio", NULL, "qrc:///help/tutorial_item_403.html"},
    { "   13.1 Sound In", NULL, "qrc:///help/tutorial_item_404.html"},
    { "   13.2 Live Audio", NULL, "qrc:///help/tutorial_item_405.html"},
    { "   13.3 Sound Out", NULL, "qrc:///help/tutorial_item_406.html"},
    { "14 Conclusions", NULL, "qrc:///help/tutorial_item_407.html"},
    { "A Appendix A - MagPi Articles", NULL, "qrc:///help/tutorial_item_408.html"},
    { "   A.1 Tips for Sonic Pi", NULL, "qrc:///help/tutorial_item_409.html"},
    { "   A.2 Live Coding", NULL, "qrc:///help/tutorial_item_410.html"},
    { "   A.3 Coded Beats", NULL, "qrc:///help/tutorial_item_411.html"},
    { "   A.4 Synth Riffs", NULL, "qrc:///help/tutorial_item_412.html"},
    { "   A.5 Acid Bass", NULL, "qrc:///help/tutorial_item_413.html"},
    { "   A.6 Musical Minecraft", NULL, "qrc:///help/tutorial_item_414.html"},
    { "   A.7 Bizet Beats", NULL, "qrc:///help/tutorial_item_415.html"},
    { "   A.8 Become a Minecraft VJ", NULL, "qrc:///help/tutorial_item_416.html"},
    { "   A.9 Randomisation", NULL, "qrc:///help/tutorial_item_417.html"},
    { "   A.10 Control", NULL, "qrc:///help/tutorial_item_418.html"},
    { "   A.11 Tick Tock", NULL, "qrc:///help/tutorial_item_419.html"},
    { "   A.12 Sample Slicing", NULL, "qrc:///help/tutorial_item_420.html"},
    { "   A.13 Code a Probabilistic Sequencer", NULL, "qrc:///help/tutorial_item_421.html"},
    { "   A.14 Amplitude Modulation", NULL, "qrc:///help/tutorial_item_422.html"},
    { "   A.15 Five Live Coding Techniques", NULL, "qrc:///help/tutorial_item_423.html"},
    { "   A.16 How to Practice Live Coding", NULL, "qrc:///help/tutorial_item_424.html"},
    { "   A.17 Sample Stretching", NULL, "qrc:///help/tutorial_item_425.html"},
    { "   A.18 Sound Design - Additive Synthesis", NULL, "qrc:///help/tutorial_item_426.html"},
    { "   A.19 Sound Design - Subtractive Synthesis", NULL, "qrc:///help/tutorial_item_427.html"},
    { "   A.20 Creative coding in the classroom with Sonic Pi", NULL, "qrc:///help/tutorial_item_428.html"},
    { "B Essential Knowledge", NULL, "qrc:///help/tutorial_item_429.html"},
    { "   B.1 Using Shortcuts", NULL, "qrc:///help/tutorial_item_430.html"},
    { "   B.2 Shortcut Cheatsheet", NULL, "qrc:///help/tutorial_item_431.html"},
    { "   B.3 Sharing", NULL, "qrc:///help/tutorial_item_432.html"},
    { "   B.4 Performing", NULL, "qrc:///help/tutorial_item_433.html"},
    { "C Minecraft Pi", NULL, "qrc:///help/tutorial_item_434.html"},
    { "   C.1 Basic API", NULL, "qrc:///help/tutorial_item_435.html"},
  };

  addHelpPage(createHelpTab(tr("Tutorial")), tutorialHelpPages, 87);

} else if (systemLocale.startsWith("ca")) {

  // language ca

  // tutorial info
  struct help_page tutorialHelpPages[] = {
    { "1 Benvinguts a Sonic Pi", NULL, "qrc:///help/tutorial_item_436.html"},
    { QString::fromUtf8("   1.1 Live Coding (Programació en viu)"), NULL, "qrc:///help/tutorial_item_437.html"},
    { QString::fromUtf8("   1.2 Explorant la interfície"), NULL, "qrc:///help/tutorial_item_438.html"},
    { "   1.3 Aprendre jugant", NULL, "qrc:///help/tutorial_item_439.html"},
    { "2 Sintetitzadors", NULL, "qrc:///help/tutorial_item_440.html"},
    { "   2.1 Els primers sons", NULL, "qrc:///help/tutorial_item_441.html"},
    { "   2.2 Opcions de sintetitzador", NULL, "qrc:///help/tutorial_item_442.html"},
    { "   2.3 Canviant sintetitzadors", NULL, "qrc:///help/tutorial_item_443.html"},
    { QString::fromUtf8("   2.4 Duració i envolupants"), NULL, "qrc:///help/tutorial_item_444.html"},
    { "3 Mostres", NULL, "qrc:///help/tutorial_item_445.html"},
    { "   3.1 Disparant mostres", NULL, "qrc:///help/tutorial_item_446.html"},
    { QString::fromUtf8("   3.2 Paràmetres de les mostres"), NULL, "qrc:///help/tutorial_item_447.html"},
    { "   3.3 Stretching Samples", NULL, "qrc:///help/tutorial_item_448.html"},
    { "   3.4 Enveloped Samples", NULL, "qrc:///help/tutorial_item_449.html"},
    { "   3.5 Partial Samples", NULL, "qrc:///help/tutorial_item_450.html"},
    { "   3.6 External Samples", NULL, "qrc:///help/tutorial_item_451.html"},
    { "   3.7 Sample Packs", NULL, "qrc:///help/tutorial_item_452.html"},
    { "4 Randomisation", NULL, "qrc:///help/tutorial_item_453.html"},
    { "5 Programming Structures", NULL, "qrc:///help/tutorial_item_454.html"},
    { "   5.1 Blocks", NULL, "qrc:///help/tutorial_item_455.html"},
    { "   5.2 Iteration and Loops", NULL, "qrc:///help/tutorial_item_456.html"},
    { "   5.3 Conditionals", NULL, "qrc:///help/tutorial_item_457.html"},
    { "   5.4 Threads", NULL, "qrc:///help/tutorial_item_458.html"},
    { "   5.5 Functions", NULL, "qrc:///help/tutorial_item_459.html"},
    { "   5.6 Variables", NULL, "qrc:///help/tutorial_item_460.html"},
    { "   5.7 Thread Synchronisation", NULL, "qrc:///help/tutorial_item_461.html"},
    { "6 FX", NULL, "qrc:///help/tutorial_item_462.html"},
    { "   6.1 Adding FX", NULL, "qrc:///help/tutorial_item_463.html"},
    { "   6.2 FX in Practice", NULL, "qrc:///help/tutorial_item_464.html"},
    { "7 Control", NULL, "qrc:///help/tutorial_item_465.html"},
    { "   7.1 Controlling Running Synths", NULL, "qrc:///help/tutorial_item_466.html"},
    { "   7.2 Controlling FX", NULL, "qrc:///help/tutorial_item_467.html"},
    { "   7.3 Sliding Options", NULL, "qrc:///help/tutorial_item_468.html"},
    { "8 Data Structures", NULL, "qrc:///help/tutorial_item_469.html"},
    { "   8.1 Lists", NULL, "qrc:///help/tutorial_item_470.html"},
    { "   8.2 Chords", NULL, "qrc:///help/tutorial_item_471.html"},
    { "   8.3 Scales", NULL, "qrc:///help/tutorial_item_472.html"},
    { "   8.4 Rings", NULL, "qrc:///help/tutorial_item_473.html"},
    { "   8.5 Ring Chains", NULL, "qrc:///help/tutorial_item_474.html"},
    { "9 Live Coding", NULL, "qrc:///help/tutorial_item_475.html"},
    { "   9.1 Live Coding Fundamentals", NULL, "qrc:///help/tutorial_item_476.html"},
    { "   9.2 Live Loops", NULL, "qrc:///help/tutorial_item_477.html"},
    { "   9.3 Multiple Live Loops", NULL, "qrc:///help/tutorial_item_478.html"},
    { "   9.4 Ticking", NULL, "qrc:///help/tutorial_item_479.html"},
    { "10 Time State", NULL, "qrc:///help/tutorial_item_480.html"},
    { "   10.1 Set and Get", NULL, "qrc:///help/tutorial_item_481.html"},
    { "   10.2 Sync", NULL, "qrc:///help/tutorial_item_482.html"},
    { "   10.3 Pattern Matching", NULL, "qrc:///help/tutorial_item_483.html"},
    { "11 MIDI", NULL, "qrc:///help/tutorial_item_484.html"},
    { "   11.1 MIDI In", NULL, "qrc:///help/tutorial_item_485.html"},
    { "   11.2 MIDI Out", NULL, "qrc:///help/tutorial_item_486.html"},
    { "12 OSC", NULL, "qrc:///help/tutorial_item_487.html"},
    { "   12.1 Receiving OSC", NULL, "qrc:///help/tutorial_item_488.html"},
    { "   12.2 Sending OSC", NULL, "qrc:///help/tutorial_item_489.html"},
    { "13 Multichannel Audio", NULL, "qrc:///help/tutorial_item_490.html"},
    { "   13.1 Sound In", NULL, "qrc:///help/tutorial_item_491.html"},
    { "   13.2 Live Audio", NULL, "qrc:///help/tutorial_item_492.html"},
    { "   13.3 Sound Out", NULL, "qrc:///help/tutorial_item_493.html"},
    { "14 Conclusions", NULL, "qrc:///help/tutorial_item_494.html"},
    { "A Appendix A - MagPi Articles", NULL, "qrc:///help/tutorial_item_495.html"},
    { "   A.1 Tips for Sonic Pi", NULL, "qrc:///help/tutorial_item_496.html"},
    { "   A.2 Live Coding", NULL, "qrc:///help/tutorial_item_497.html"},
    { "   A.3 Coded Beats", NULL, "qrc:///help/tutorial_item_498.html"},
    { "   A.4 Synth Riffs", NULL, "qrc:///help/tutorial_item_499.html"},
    { "   A.5 Acid Bass", NULL, "qrc:///help/tutorial_item_500.html"},
    { "   A.6 Musical Minecraft", NULL, "qrc:///help/tutorial_item_501.html"},
    { "   A.7 Bizet Beats", NULL, "qrc:///help/tutorial_item_502.html"},
    { "   A.8 Become a Minecraft VJ", NULL, "qrc:///help/tutorial_item_503.html"},
    { "   A.9 Randomisation", NULL, "qrc:///help/tutorial_item_504.html"},
    { "   A.10 Control", NULL, "qrc:///help/tutorial_item_505.html"},
    { "   A.11 Tick Tock", NULL, "qrc:///help/tutorial_item_506.html"},
    { "   A.12 Sample Slicing", NULL, "qrc:///help/tutorial_item_507.html"},
    { "   A.13 Code a Probabilistic Sequencer", NULL, "qrc:///help/tutorial_item_508.html"},
    { "   A.14 Amplitude Modulation", NULL, "qrc:///help/tutorial_item_509.html"},
    { "   A.15 Five Live Coding Techniques", NULL, "qrc:///help/tutorial_item_510.html"},
    { "   A.16 How to Practice Live Coding", NULL, "qrc:///help/tutorial_item_511.html"},
    { "   A.17 Sample Stretching", NULL, "qrc:///help/tutorial_item_512.html"},
    { "   A.18 Sound Design - Additive Synthesis", NULL, "qrc:///help/tutorial_item_513.html"},
    { "   A.19 Sound Design - Subtractive Synthesis", NULL, "qrc:///help/tutorial_item_514.html"},
    { "   A.20 Creative coding in the classroom with Sonic Pi", NULL, "qrc:///help/tutorial_item_515.html"},
    { "B Essential Knowledge", NULL, "qrc:///help/tutorial_item_516.html"},
    { "   B.1 Using Shortcuts", NULL, "qrc:///help/tutorial_item_517.html"},
    { "   B.2 Shortcut Cheatsheet", NULL, "qrc:///help/tutorial_item_518.html"},
    { "   B.3 Sharing", NULL, "qrc:///help/tutorial_item_519.html"},
    { "   B.4 Performing", NULL, "qrc:///help/tutorial_item_520.html"},
    { "C Minecraft Pi", NULL, "qrc:///help/tutorial_item_521.html"},
    { "   C.1 Basic API", NULL, "qrc:///help/tutorial_item_522.html"},
  };

  addHelpPage(createHelpTab(tr("Tutorial")), tutorialHelpPages, 87);

} else if (systemLocale.startsWith("cs")) {

  // language cs

  // tutorial info
  struct help_page tutorialHelpPages[] = {
    { "1 Welcome to Sonic Pi", NULL, "qrc:///help/tutorial_item_523.html"},
    { "   1.1 Live Coding", NULL, "qrc:///help/tutorial_item_524.html"},
    { "   1.2 Exploring the Interface", NULL, "qrc:///help/tutorial_item_525.html"},
    { "   1.3 Learning through Play", NULL, "qrc:///help/tutorial_item_526.html"},
    { "2 Synths", NULL, "qrc:///help/tutorial_item_527.html"},
    { "   2.1 Your First Beeps", NULL, "qrc:///help/tutorial_item_528.html"},
    { "   2.2 Synth Options", NULL, "qrc:///help/tutorial_item_529.html"},
    { "   2.3 Switching Synths", NULL, "qrc:///help/tutorial_item_530.html"},
    { "   2.4 Duration with Envelopes", NULL, "qrc:///help/tutorial_item_531.html"},
    { "3 Samples", NULL, "qrc:///help/tutorial_item_532.html"},
    { "   3.1 Triggering Samples", NULL, "qrc:///help/tutorial_item_533.html"},
    { "   3.2 Sample Parameters", NULL, "qrc:///help/tutorial_item_534.html"},
    { "   3.3 Stretching Samples", NULL, "qrc:///help/tutorial_item_535.html"},
    { "   3.4 Enveloped Samples", NULL, "qrc:///help/tutorial_item_536.html"},
    { "   3.5 Partial Samples", NULL, "qrc:///help/tutorial_item_537.html"},
    { "   3.6 External Samples", NULL, "qrc:///help/tutorial_item_538.html"},
    { "   3.7 Sample Packs", NULL, "qrc:///help/tutorial_item_539.html"},
    { "4 Randomisation", NULL, "qrc:///help/tutorial_item_540.html"},
    { "5 Programming Structures", NULL, "qrc:///help/tutorial_item_541.html"},
    { "   5.1 Blocks", NULL, "qrc:///help/tutorial_item_542.html"},
    { "   5.2 Iteration and Loops", NULL, "qrc:///help/tutorial_item_543.html"},
    { "   5.3 Conditionals", NULL, "qrc:///help/tutorial_item_544.html"},
    { "   5.4 Threads", NULL, "qrc:///help/tutorial_item_545.html"},
    { "   5.5 Functions", NULL, "qrc:///help/tutorial_item_546.html"},
    { "   5.6 Variables", NULL, "qrc:///help/tutorial_item_547.html"},
    { "   5.7 Thread Synchronisation", NULL, "qrc:///help/tutorial_item_548.html"},
    { "6 FX", NULL, "qrc:///help/tutorial_item_549.html"},
    { "   6.1 Adding FX", NULL, "qrc:///help/tutorial_item_550.html"},
    { "   6.2 FX in Practice", NULL, "qrc:///help/tutorial_item_551.html"},
    { "7 Control", NULL, "qrc:///help/tutorial_item_552.html"},
    { "   7.1 Controlling Running Synths", NULL, "qrc:///help/tutorial_item_553.html"},
    { "   7.2 Controlling FX", NULL, "qrc:///help/tutorial_item_554.html"},
    { "   7.3 Sliding Options", NULL, "qrc:///help/tutorial_item_555.html"},
    { "8 Data Structures", NULL, "qrc:///help/tutorial_item_556.html"},
    { "   8.1 Lists", NULL, "qrc:///help/tutorial_item_557.html"},
    { "   8.2 Chords", NULL, "qrc:///help/tutorial_item_558.html"},
    { "   8.3 Scales", NULL, "qrc:///help/tutorial_item_559.html"},
    { "   8.4 Rings", NULL, "qrc:///help/tutorial_item_560.html"},
    { "   8.5 Ring Chains", NULL, "qrc:///help/tutorial_item_561.html"},
    { "9 Live Coding", NULL, "qrc:///help/tutorial_item_562.html"},
    { "   9.1 Live Coding Fundamentals", NULL, "qrc:///help/tutorial_item_563.html"},
    { "   9.2 Live Loops", NULL, "qrc:///help/tutorial_item_564.html"},
    { "   9.3 Multiple Live Loops", NULL, "qrc:///help/tutorial_item_565.html"},
    { "   9.4 Ticking", NULL, "qrc:///help/tutorial_item_566.html"},
    { "10 Time State", NULL, "qrc:///help/tutorial_item_567.html"},
    { "   10.1 Set and Get", NULL, "qrc:///help/tutorial_item_568.html"},
    { "   10.2 Sync", NULL, "qrc:///help/tutorial_item_569.html"},
    { "   10.3 Pattern Matching", NULL, "qrc:///help/tutorial_item_570.html"},
    { "11 MIDI", NULL, "qrc:///help/tutorial_item_571.html"},
    { "   11.1 MIDI In", NULL, "qrc:///help/tutorial_item_572.html"},
    { "   11.2 MIDI Out", NULL, "qrc:///help/tutorial_item_573.html"},
    { "12 OSC", NULL, "qrc:///help/tutorial_item_574.html"},
    { "   12.1 Receiving OSC", NULL, "qrc:///help/tutorial_item_575.html"},
    { "   12.2 Sending OSC", NULL, "qrc:///help/tutorial_item_576.html"},
    { "13 Multichannel Audio", NULL, "qrc:///help/tutorial_item_577.html"},
    { "   13.1 Sound In", NULL, "qrc:///help/tutorial_item_578.html"},
    { "   13.2 Live Audio", NULL, "qrc:///help/tutorial_item_579.html"},
    { "   13.3 Sound Out", NULL, "qrc:///help/tutorial_item_580.html"},
    { "14 Conclusions", NULL, "qrc:///help/tutorial_item_581.html"},
    { "A Appendix A - MagPi Articles", NULL, "qrc:///help/tutorial_item_582.html"},
    { "   A.1 Tips for Sonic Pi", NULL, "qrc:///help/tutorial_item_583.html"},
    { "   A.2 Live Coding", NULL, "qrc:///help/tutorial_item_584.html"},
    { "   A.3 Coded Beats", NULL, "qrc:///help/tutorial_item_585.html"},
    { "   A.4 Synth Riffs", NULL, "qrc:///help/tutorial_item_586.html"},
    { "   A.5 Acid Bass", NULL, "qrc:///help/tutorial_item_587.html"},
    { "   A.6 Musical Minecraft", NULL, "qrc:///help/tutorial_item_588.html"},
    { "   A.7 Bizet Beats", NULL, "qrc:///help/tutorial_item_589.html"},
    { "   A.8 Become a Minecraft VJ", NULL, "qrc:///help/tutorial_item_590.html"},
    { "   A.9 Randomisation", NULL, "qrc:///help/tutorial_item_591.html"},
    { "   A.10 Control", NULL, "qrc:///help/tutorial_item_592.html"},
    { "   A.11 Tick Tock", NULL, "qrc:///help/tutorial_item_593.html"},
    { "   A.12 Sample Slicing", NULL, "qrc:///help/tutorial_item_594.html"},
    { "   A.13 Code a Probabilistic Sequencer", NULL, "qrc:///help/tutorial_item_595.html"},
    { "   A.14 Amplitude Modulation", NULL, "qrc:///help/tutorial_item_596.html"},
    { "   A.15 Five Live Coding Techniques", NULL, "qrc:///help/tutorial_item_597.html"},
    { "   A.16 How to Practice Live Coding", NULL, "qrc:///help/tutorial_item_598.html"},
    { "   A.17 Sample Stretching", NULL, "qrc:///help/tutorial_item_599.html"},
    { "   A.18 Sound Design - Additive Synthesis", NULL, "qrc:///help/tutorial_item_600.html"},
    { "   A.19 Sound Design - Subtractive Synthesis", NULL, "qrc:///help/tutorial_item_601.html"},
    { "   A.20 Creative coding in the classroom with Sonic Pi", NULL, "qrc:///help/tutorial_item_602.html"},
    { "B Essential Knowledge", NULL, "qrc:///help/tutorial_item_603.html"},
    { "   B.1 Using Shortcuts", NULL, "qrc:///help/tutorial_item_604.html"},
    { "   B.2 Shortcut Cheatsheet", NULL, "qrc:///help/tutorial_item_605.html"},
    { "   B.3 Sharing", NULL, "qrc:///help/tutorial_item_606.html"},
    { "   B.4 Performing", NULL, "qrc:///help/tutorial_item_607.html"},
    { "C Minecraft Pi", NULL, "qrc:///help/tutorial_item_608.html"},
    { "   C.1 Basic API", NULL, "qrc:///help/tutorial_item_609.html"},
  };

  addHelpPage(createHelpTab(tr("Tutorial")), tutorialHelpPages, 87);

} else if (systemLocale.startsWith("da")) {

  // language da

  // tutorial info
  struct help_page tutorialHelpPages[] = {
    { "1 Velkommen til Sonic Pi", NULL, "qrc:///help/tutorial_item_610.html"},
    { "   1.1 Live-kodning", NULL, "qrc:///help/tutorial_item_611.html"},
    { "   1.2 Udforskning af brugerfladen", NULL, "qrc:///help/tutorial_item_612.html"},
    { QString::fromUtf8("   1.3 Læring gennem leg"), NULL, "qrc:///help/tutorial_item_613.html"},
    { "2 Synths", NULL, "qrc:///help/tutorial_item_614.html"},
    { QString::fromUtf8("   2.1 Dine første bip"), NULL, "qrc:///help/tutorial_item_615.html"},
    { "   2.2 Synth-parametre", NULL, "qrc:///help/tutorial_item_616.html"},
    { "   2.3 Skift af synths", NULL, "qrc:///help/tutorial_item_617.html"},
    { "   2.4 Varighed med envelopes", NULL, "qrc:///help/tutorial_item_618.html"},
    { "3 Samples", NULL, "qrc:///help/tutorial_item_619.html"},
    { "   3.1 Afspilning af samples", NULL, "qrc:///help/tutorial_item_620.html"},
    { "   3.2 Sample-parametre", NULL, "qrc:///help/tutorial_item_621.html"},
    { QString::fromUtf8("   3.3 Strækning af samples"), NULL, "qrc:///help/tutorial_item_622.html"},
    { "   3.4 Enveloped Samples", NULL, "qrc:///help/tutorial_item_623.html"},
    { "   3.5 Partial Samples", NULL, "qrc:///help/tutorial_item_624.html"},
    { "   3.6 External Samples", NULL, "qrc:///help/tutorial_item_625.html"},
    { "   3.7 Sample Packs", NULL, "qrc:///help/tutorial_item_626.html"},
    { "4 Randomisation", NULL, "qrc:///help/tutorial_item_627.html"},
    { "5 Programming Structures", NULL, "qrc:///help/tutorial_item_628.html"},
    { "   5.1 Blocks", NULL, "qrc:///help/tutorial_item_629.html"},
    { "   5.2 Iteration and Loops", NULL, "qrc:///help/tutorial_item_630.html"},
    { "   5.3 Conditionals", NULL, "qrc:///help/tutorial_item_631.html"},
    { "   5.4 Threads", NULL, "qrc:///help/tutorial_item_632.html"},
    { "   5.5 Functions", NULL, "qrc:///help/tutorial_item_633.html"},
    { "   5.6 Variables", NULL, "qrc:///help/tutorial_item_634.html"},
    { "   5.7 Thread Synchronisation", NULL, "qrc:///help/tutorial_item_635.html"},
    { "6 FX", NULL, "qrc:///help/tutorial_item_636.html"},
    { "   6.1 Adding FX", NULL, "qrc:///help/tutorial_item_637.html"},
    { "   6.2 FX in Practice", NULL, "qrc:///help/tutorial_item_638.html"},
    { "7 Control", NULL, "qrc:///help/tutorial_item_639.html"},
    { "   7.1 Controlling Running Synths", NULL, "qrc:///help/tutorial_item_640.html"},
    { "   7.2 Controlling FX", NULL, "qrc:///help/tutorial_item_641.html"},
    { "   7.3 Sliding Options", NULL, "qrc:///help/tutorial_item_642.html"},
    { "8 Data Structures", NULL, "qrc:///help/tutorial_item_643.html"},
    { "   8.1 Lists", NULL, "qrc:///help/tutorial_item_644.html"},
    { "   8.2 Chords", NULL, "qrc:///help/tutorial_item_645.html"},
    { "   8.3 Scales", NULL, "qrc:///help/tutorial_item_646.html"},
    { "   8.4 Rings", NULL, "qrc:///help/tutorial_item_647.html"},
    { "   8.5 Ring Chains", NULL, "qrc:///help/tutorial_item_648.html"},
    { "9 Live Coding", NULL, "qrc:///help/tutorial_item_649.html"},
    { "   9.1 Live Coding Fundamentals", NULL, "qrc:///help/tutorial_item_650.html"},
    { "   9.2 Live Loops", NULL, "qrc:///help/tutorial_item_651.html"},
    { "   9.3 Multiple Live Loops", NULL, "qrc:///help/tutorial_item_652.html"},
    { "   9.4 Ticking", NULL, "qrc:///help/tutorial_item_653.html"},
    { "10 Time State", NULL, "qrc:///help/tutorial_item_654.html"},
    { "   10.1 Set and Get", NULL, "qrc:///help/tutorial_item_655.html"},
    { "   10.2 Sync", NULL, "qrc:///help/tutorial_item_656.html"},
    { "   10.3 Pattern Matching", NULL, "qrc:///help/tutorial_item_657.html"},
    { "11 MIDI", NULL, "qrc:///help/tutorial_item_658.html"},
    { "   11.1 MIDI In", NULL, "qrc:///help/tutorial_item_659.html"},
    { "   11.2 MIDI Out", NULL, "qrc:///help/tutorial_item_660.html"},
    { "12 OSC", NULL, "qrc:///help/tutorial_item_661.html"},
    { "   12.1 Receiving OSC", NULL, "qrc:///help/tutorial_item_662.html"},
    { "   12.2 Sending OSC", NULL, "qrc:///help/tutorial_item_663.html"},
    { "13 Multichannel Audio", NULL, "qrc:///help/tutorial_item_664.html"},
    { "   13.1 Sound In", NULL, "qrc:///help/tutorial_item_665.html"},
    { "   13.2 Live Audio", NULL, "qrc:///help/tutorial_item_666.html"},
    { "   13.3 Sound Out", NULL, "qrc:///help/tutorial_item_667.html"},
    { "14 Conclusions", NULL, "qrc:///help/tutorial_item_668.html"},
    { "A Appendix A - MagPi Articles", NULL, "qrc:///help/tutorial_item_669.html"},
    { "   A.1 Tips for Sonic Pi", NULL, "qrc:///help/tutorial_item_670.html"},
    { "   A.2 Live Coding", NULL, "qrc:///help/tutorial_item_671.html"},
    { "   A.3 Coded Beats", NULL, "qrc:///help/tutorial_item_672.html"},
    { "   A.4 Synth Riffs", NULL, "qrc:///help/tutorial_item_673.html"},
    { "   A.5 Acid Bass", NULL, "qrc:///help/tutorial_item_674.html"},
    { "   A.6 Musical Minecraft", NULL, "qrc:///help/tutorial_item_675.html"},
    { "   A.7 Bizet Beats", NULL, "qrc:///help/tutorial_item_676.html"},
    { "   A.8 Become a Minecraft VJ", NULL, "qrc:///help/tutorial_item_677.html"},
    { "   A.9 Randomisation", NULL, "qrc:///help/tutorial_item_678.html"},
    { "   A.10 Control", NULL, "qrc:///help/tutorial_item_679.html"},
    { "   A.11 Tick Tock", NULL, "qrc:///help/tutorial_item_680.html"},
    { "   A.12 Sample Slicing", NULL, "qrc:///help/tutorial_item_681.html"},
    { "   A.13 Code a Probabilistic Sequencer", NULL, "qrc:///help/tutorial_item_682.html"},
    { "   A.14 Amplitude Modulation", NULL, "qrc:///help/tutorial_item_683.html"},
    { "   A.15 Five Live Coding Techniques", NULL, "qrc:///help/tutorial_item_684.html"},
    { "   A.16 How to Practice Live Coding", NULL, "qrc:///help/tutorial_item_685.html"},
    { "   A.17 Sample Stretching", NULL, "qrc:///help/tutorial_item_686.html"},
    { "   A.18 Sound Design - Additive Synthesis", NULL, "qrc:///help/tutorial_item_687.html"},
    { "   A.19 Sound Design - Subtractive Synthesis", NULL, "qrc:///help/tutorial_item_688.html"},
    { "   A.20 Creative coding in the classroom with Sonic Pi", NULL, "qrc:///help/tutorial_item_689.html"},
    { "B Essential Knowledge", NULL, "qrc:///help/tutorial_item_690.html"},
    { "   B.1 Using Shortcuts", NULL, "qrc:///help/tutorial_item_691.html"},
    { "   B.2 Shortcut Cheatsheet", NULL, "qrc:///help/tutorial_item_692.html"},
    { "   B.3 Sharing", NULL, "qrc:///help/tutorial_item_693.html"},
    { "   B.4 Performing", NULL, "qrc:///help/tutorial_item_694.html"},
    { "C Minecraft Pi", NULL, "qrc:///help/tutorial_item_695.html"},
    { "   C.1 Basic API", NULL, "qrc:///help/tutorial_item_696.html"},
  };

  addHelpPage(createHelpTab(tr("Tutorial")), tutorialHelpPages, 87);

} else if (systemLocale.startsWith("de")) {

  // language de

  // tutorial info
  struct help_page tutorialHelpPages[] = {
    { "1 Willkommen bei Sonic Pi", NULL, "qrc:///help/tutorial_item_697.html"},
    { "   1.1 Live-Coding", NULL, "qrc:///help/tutorial_item_698.html"},
    { QString::fromUtf8("   1.2 Die Programmoberfläche von Sonic Pi"), NULL, "qrc:///help/tutorial_item_699.html"},
    { "   1.3 Spielend lernen", NULL, "qrc:///help/tutorial_item_700.html"},
    { "2 Synths", NULL, "qrc:///help/tutorial_item_701.html"},
    { QString::fromUtf8("   2.1 Deine ersten Klänge"), NULL, "qrc:///help/tutorial_item_702.html"},
    { "   2.2 Synth-Optionen", NULL, "qrc:///help/tutorial_item_703.html"},
    { "   2.3 Synths wechseln", NULL, "qrc:///help/tutorial_item_704.html"},
    { QString::fromUtf8("   2.4 Dauer und Hüllkurven"), NULL, "qrc:///help/tutorial_item_705.html"},
    { "3 Samples", NULL, "qrc:///help/tutorial_item_706.html"},
    { "   3.1 Samples ansteuern", NULL, "qrc:///help/tutorial_item_707.html"},
    { "   3.2 Sample-Parameter", NULL, "qrc:///help/tutorial_item_708.html"},
    { "   3.3 Samples dehnen", NULL, "qrc:///help/tutorial_item_709.html"},
    { QString::fromUtf8("   3.4 Samples mit Hüllkurven"), NULL, "qrc:///help/tutorial_item_710.html"},
    { "   3.5 Teil-Samples", NULL, "qrc:///help/tutorial_item_711.html"},
    { "   3.6 Samples aus externen Quellen", NULL, "qrc:///help/tutorial_item_712.html"},
    { "   3.7 Sample-Pakete", NULL, "qrc:///help/tutorial_item_713.html"},
    { "4 Randomisierung", NULL, "qrc:///help/tutorial_item_714.html"},
    { "5 Programmstrukturen", NULL, "qrc:///help/tutorial_item_715.html"},
    { "   5.1 Blocks", NULL, "qrc:///help/tutorial_item_716.html"},
    { "   5.2 Iteration und Schleifen", NULL, "qrc:///help/tutorial_item_717.html"},
    { "   5.3 Bedingungen", NULL, "qrc:///help/tutorial_item_718.html"},
    { "   5.4 Threads", NULL, "qrc:///help/tutorial_item_719.html"},
    { "   5.5 Funktionen", NULL, "qrc:///help/tutorial_item_720.html"},
    { "   5.6 Variablen", NULL, "qrc:///help/tutorial_item_721.html"},
    { "   5.7 Thread Synchronisierung", NULL, "qrc:///help/tutorial_item_722.html"},
    { "6 Effekte", NULL, "qrc:///help/tutorial_item_723.html"},
    { QString::fromUtf8("   6.1 FX hinzufügen"), NULL, "qrc:///help/tutorial_item_724.html"},
    { "   6.2 Anwenden von Soundeffekten", NULL, "qrc:///help/tutorial_item_725.html"},
    { "7 Steuerung", NULL, "qrc:///help/tutorial_item_726.html"},
    { "   7.1 Laufende Synths steuern", NULL, "qrc:///help/tutorial_item_727.html"},
    { "   7.2 Effekte steuern", NULL, "qrc:///help/tutorial_item_728.html"},
    { "   7.3 Gleitende Parameter", NULL, "qrc:///help/tutorial_item_729.html"},
    { "8 Datenstrukturen", NULL, "qrc:///help/tutorial_item_730.html"},
    { "   8.1 Listen", NULL, "qrc:///help/tutorial_item_731.html"},
    { "   8.2 Akkorde", NULL, "qrc:///help/tutorial_item_732.html"},
    { "   8.3 Skalen", NULL, "qrc:///help/tutorial_item_733.html"},
    { "   8.4 Ringe", NULL, "qrc:///help/tutorial_item_734.html"},
    { "   8.5 Ring-Ketten", NULL, "qrc:///help/tutorial_item_735.html"},
    { "9 Live-Coding", NULL, "qrc:///help/tutorial_item_736.html"},
    { "   9.1 Live-Coding: Grundlagen", NULL, "qrc:///help/tutorial_item_737.html"},
    { "   9.2 Live-Loops", NULL, "qrc:///help/tutorial_item_738.html"},
    { "   9.3 Mehrere Live-Loops", NULL, "qrc:///help/tutorial_item_739.html"},
    { "   9.4 Ticks", NULL, "qrc:///help/tutorial_item_740.html"},
    { "10 Zeitzustand (Time State)", NULL, "qrc:///help/tutorial_item_741.html"},
    { "   10.1 Set und Get", NULL, "qrc:///help/tutorial_item_742.html"},
    { "   10.2 Synchronisation (Sync)", NULL, "qrc:///help/tutorial_item_743.html"},
    { "   10.3 Muster-Erkennung", NULL, "qrc:///help/tutorial_item_744.html"},
    { "11 MIDI", NULL, "qrc:///help/tutorial_item_745.html"},
    { "   11.1 MIDI In", NULL, "qrc:///help/tutorial_item_746.html"},
    { "   11.2 MIDI Ausgabe", NULL, "qrc:///help/tutorial_item_747.html"},
    { "12 OSC", NULL, "qrc:///help/tutorial_item_748.html"},
    { "   12.1 OSC empfangen", NULL, "qrc:///help/tutorial_item_749.html"},
    { "   12.2 OSC senden", NULL, "qrc:///help/tutorial_item_750.html"},
    { "13 Multikanal-Audio", NULL, "qrc:///help/tutorial_item_751.html"},
    { "   13.1 Sound Ein", NULL, "qrc:///help/tutorial_item_752.html"},
    { "   13.2 Live Audio", NULL, "qrc:///help/tutorial_item_753.html"},
    { "   13.3 Soundausgabe", NULL, "qrc:///help/tutorial_item_754.html"},
    { "12 Abschluss", NULL, "qrc:///help/tutorial_item_755.html"},
    { "A Appendix A - Artikel aus MagPi", NULL, "qrc:///help/tutorial_item_756.html"},
    { "   A.1 Tipps zu Sonic Pi", NULL, "qrc:///help/tutorial_item_757.html"},
    { "   A.2 Live Coding", NULL, "qrc:///help/tutorial_item_758.html"},
    { "   A.3 Kodierte Beats", NULL, "qrc:///help/tutorial_item_759.html"},
    { "   A.4 Synth Riffs", NULL, "qrc:///help/tutorial_item_760.html"},
    { "   A.5 Acid Bass", NULL, "qrc:///help/tutorial_item_761.html"},
    { "   A.6 Musisches Minecraft", NULL, "qrc:///help/tutorial_item_762.html"},
    { "   A.7 Bizet Beats", NULL, "qrc:///help/tutorial_item_763.html"},
    { "   A.8 Werde ein Minecraft VJ", NULL, "qrc:///help/tutorial_item_764.html"},
    { QString::fromUtf8("   A.9 Zufälligkeit"), NULL, "qrc:///help/tutorial_item_765.html"},
    { "   A.10 Steuerung", NULL, "qrc:///help/tutorial_item_766.html"},
    { "   A.11 Tick Tock", NULL, "qrc:///help/tutorial_item_767.html"},
    { "   A.12 Sample Slicing", NULL, "qrc:///help/tutorial_item_768.html"},
    { "   A.13 Code a Probabilistic Sequencer", NULL, "qrc:///help/tutorial_item_769.html"},
    { "   A.14 Amplitudenmodulation", NULL, "qrc:///help/tutorial_item_770.html"},
    { "   A.15 Five Live Coding Techniques", NULL, "qrc:///help/tutorial_item_771.html"},
    { "   A.16 How to Practice Live Coding", NULL, "qrc:///help/tutorial_item_772.html"},
    { "   A.17 Sample Stretching", NULL, "qrc:///help/tutorial_item_773.html"},
    { "   A.18 Sound Design - Additive Synthesis", NULL, "qrc:///help/tutorial_item_774.html"},
    { "   A.19 Sound Design - Subtractive Synthesis", NULL, "qrc:///help/tutorial_item_775.html"},
    { "   A.20 Creative coding in the classroom with Sonic Pi", NULL, "qrc:///help/tutorial_item_776.html"},
    { "Unentbehrliche Kenntnisse", NULL, "qrc:///help/tutorial_item_777.html"},
    { QString::fromUtf8("   10.1 Tastaturkürzel"), NULL, "qrc:///help/tutorial_item_778.html"},
    { QString::fromUtf8("   10.2 Cheatsheet für Tastaturkürzel"), NULL, "qrc:///help/tutorial_item_779.html"},
    { "   10.3 Teilen", NULL, "qrc:///help/tutorial_item_780.html"},
    { "   10.4 Auftritte", NULL, "qrc:///help/tutorial_item_781.html"},
    { "Minecraft Pi", NULL, "qrc:///help/tutorial_item_782.html"},
    { "   11.1 Grundfunktionen der Minecraft-PI-API", NULL, "qrc:///help/tutorial_item_783.html"},
  };

  addHelpPage(createHelpTab(tr("Tutorial")), tutorialHelpPages, 87);

} else if (systemLocale.startsWith("el")) {

  // language el

  // tutorial info
  struct help_page tutorialHelpPages[] = {
    { QString::fromUtf8("1 Καλώς ήλθατε στο Sonic Pi"), NULL, "qrc:///help/tutorial_item_784.html"},
    { QString::fromUtf8("   1.1 Ζωντανή κωδικοποίηση"), NULL, "qrc:///help/tutorial_item_785.html"},
    { QString::fromUtf8("   1.2 Εξερευνώντας τη διεπαφή"), NULL, "qrc:///help/tutorial_item_786.html"},
    { "   1.3 Learning through Play", NULL, "qrc:///help/tutorial_item_787.html"},
    { "2 Synths", NULL, "qrc:///help/tutorial_item_788.html"},
    { "   2.1 Your First Beeps", NULL, "qrc:///help/tutorial_item_789.html"},
    { "   2.2 Synth Options", NULL, "qrc:///help/tutorial_item_790.html"},
    { "   2.3 Switching Synths", NULL, "qrc:///help/tutorial_item_791.html"},
    { "   2.4 Duration with Envelopes", NULL, "qrc:///help/tutorial_item_792.html"},
    { "3 Samples", NULL, "qrc:///help/tutorial_item_793.html"},
    { "   3.1 Triggering Samples", NULL, "qrc:///help/tutorial_item_794.html"},
    { "   3.2 Sample Parameters", NULL, "qrc:///help/tutorial_item_795.html"},
    { "   3.3 Stretching Samples", NULL, "qrc:///help/tutorial_item_796.html"},
    { "   3.4 Enveloped Samples", NULL, "qrc:///help/tutorial_item_797.html"},
    { "   3.5 Partial Samples", NULL, "qrc:///help/tutorial_item_798.html"},
    { "   3.6 External Samples", NULL, "qrc:///help/tutorial_item_799.html"},
    { "   3.7 Sample Packs", NULL, "qrc:///help/tutorial_item_800.html"},
    { "4 Randomisation", NULL, "qrc:///help/tutorial_item_801.html"},
    { "5 Programming Structures", NULL, "qrc:///help/tutorial_item_802.html"},
    { "   5.1 Blocks", NULL, "qrc:///help/tutorial_item_803.html"},
    { "   5.2 Iteration and Loops", NULL, "qrc:///help/tutorial_item_804.html"},
    { "   5.3 Conditionals", NULL, "qrc:///help/tutorial_item_805.html"},
    { "   5.4 Threads", NULL, "qrc:///help/tutorial_item_806.html"},
    { "   5.5 Functions", NULL, "qrc:///help/tutorial_item_807.html"},
    { "   5.6 Variables", NULL, "qrc:///help/tutorial_item_808.html"},
    { "   5.7 Thread Synchronisation", NULL, "qrc:///help/tutorial_item_809.html"},
    { "6 FX", NULL, "qrc:///help/tutorial_item_810.html"},
    { "   6.1 Adding FX", NULL, "qrc:///help/tutorial_item_811.html"},
    { "   6.2 FX in Practice", NULL, "qrc:///help/tutorial_item_812.html"},
    { "7 Control", NULL, "qrc:///help/tutorial_item_813.html"},
    { "   7.1 Controlling Running Synths", NULL, "qrc:///help/tutorial_item_814.html"},
    { "   7.2 Controlling FX", NULL, "qrc:///help/tutorial_item_815.html"},
    { "   7.3 Sliding Options", NULL, "qrc:///help/tutorial_item_816.html"},
    { "8 Data Structures", NULL, "qrc:///help/tutorial_item_817.html"},
    { "   8.1 Lists", NULL, "qrc:///help/tutorial_item_818.html"},
    { "   8.2 Chords", NULL, "qrc:///help/tutorial_item_819.html"},
    { "   8.3 Scales", NULL, "qrc:///help/tutorial_item_820.html"},
    { "   8.4 Rings", NULL, "qrc:///help/tutorial_item_821.html"},
    { "   8.5 Ring Chains", NULL, "qrc:///help/tutorial_item_822.html"},
    { "9 Live Coding", NULL, "qrc:///help/tutorial_item_823.html"},
    { "   9.1 Live Coding Fundamentals", NULL, "qrc:///help/tutorial_item_824.html"},
    { "   9.2 Live Loops", NULL, "qrc:///help/tutorial_item_825.html"},
    { "   9.3 Multiple Live Loops", NULL, "qrc:///help/tutorial_item_826.html"},
    { "   9.4 Ticking", NULL, "qrc:///help/tutorial_item_827.html"},
    { "10 Time State", NULL, "qrc:///help/tutorial_item_828.html"},
    { "   10.1 Set and Get", NULL, "qrc:///help/tutorial_item_829.html"},
    { "   10.2 Sync", NULL, "qrc:///help/tutorial_item_830.html"},
    { "   10.3 Pattern Matching", NULL, "qrc:///help/tutorial_item_831.html"},
    { "11 MIDI", NULL, "qrc:///help/tutorial_item_832.html"},
    { "   11.1 MIDI In", NULL, "qrc:///help/tutorial_item_833.html"},
    { "   11.2 MIDI Out", NULL, "qrc:///help/tutorial_item_834.html"},
    { "12 OSC", NULL, "qrc:///help/tutorial_item_835.html"},
    { "   12.1 Receiving OSC", NULL, "qrc:///help/tutorial_item_836.html"},
    { "   12.2 Sending OSC", NULL, "qrc:///help/tutorial_item_837.html"},
    { "13 Multichannel Audio", NULL, "qrc:///help/tutorial_item_838.html"},
    { "   13.1 Sound In", NULL, "qrc:///help/tutorial_item_839.html"},
    { "   13.2 Live Audio", NULL, "qrc:///help/tutorial_item_840.html"},
    { "   13.3 Sound Out", NULL, "qrc:///help/tutorial_item_841.html"},
    { "14 Conclusions", NULL, "qrc:///help/tutorial_item_842.html"},
    { "A Appendix A - MagPi Articles", NULL, "qrc:///help/tutorial_item_843.html"},
    { "   A.1 Tips for Sonic Pi", NULL, "qrc:///help/tutorial_item_844.html"},
    { "   A.2 Live Coding", NULL, "qrc:///help/tutorial_item_845.html"},
    { "   A.3 Coded Beats", NULL, "qrc:///help/tutorial_item_846.html"},
    { "   A.4 Synth Riffs", NULL, "qrc:///help/tutorial_item_847.html"},
    { "   A.5 Acid Bass", NULL, "qrc:///help/tutorial_item_848.html"},
    { "   A.6 Musical Minecraft", NULL, "qrc:///help/tutorial_item_849.html"},
    { "   A.7 Bizet Beats", NULL, "qrc:///help/tutorial_item_850.html"},
    { "   A.8 Become a Minecraft VJ", NULL, "qrc:///help/tutorial_item_851.html"},
    { "   A.9 Randomisation", NULL, "qrc:///help/tutorial_item_852.html"},
    { "   A.10 Control", NULL, "qrc:///help/tutorial_item_853.html"},
    { "   A.11 Tick Tock", NULL, "qrc:///help/tutorial_item_854.html"},
    { "   A.12 Sample Slicing", NULL, "qrc:///help/tutorial_item_855.html"},
    { "   A.13 Code a Probabilistic Sequencer", NULL, "qrc:///help/tutorial_item_856.html"},
    { "   A.14 Amplitude Modulation", NULL, "qrc:///help/tutorial_item_857.html"},
    { "   A.15 Five Live Coding Techniques", NULL, "qrc:///help/tutorial_item_858.html"},
    { "   A.16 How to Practice Live Coding", NULL, "qrc:///help/tutorial_item_859.html"},
    { "   A.17 Sample Stretching", NULL, "qrc:///help/tutorial_item_860.html"},
    { "   A.18 Sound Design - Additive Synthesis", NULL, "qrc:///help/tutorial_item_861.html"},
    { "   A.19 Sound Design - Subtractive Synthesis", NULL, "qrc:///help/tutorial_item_862.html"},
    { "   A.20 Creative coding in the classroom with Sonic Pi", NULL, "qrc:///help/tutorial_item_863.html"},
    { "B Essential Knowledge", NULL, "qrc:///help/tutorial_item_864.html"},
    { "   B.1 Using Shortcuts", NULL, "qrc:///help/tutorial_item_865.html"},
    { "   B.2 Shortcut Cheatsheet", NULL, "qrc:///help/tutorial_item_866.html"},
    { "   B.3 Sharing", NULL, "qrc:///help/tutorial_item_867.html"},
    { "   B.4 Performing", NULL, "qrc:///help/tutorial_item_868.html"},
    { "C Minecraft Pi", NULL, "qrc:///help/tutorial_item_869.html"},
    { "   C.1 Basic API", NULL, "qrc:///help/tutorial_item_870.html"},
  };

  addHelpPage(createHelpTab(tr("Tutorial")), tutorialHelpPages, 87);

} else if (systemLocale.startsWith("es")) {

  // language es

  // tutorial info
  struct help_page tutorialHelpPages[] = {
    { "1 Bienvenido a Sonic Pi", NULL, "qrc:///help/tutorial_item_871.html"},
    { QString::fromUtf8("   1.1 Live Coding (Programación en vivo)"), NULL, "qrc:///help/tutorial_item_872.html"},
    { "   1.2 Explorando la interfaz", NULL, "qrc:///help/tutorial_item_873.html"},
    { "   1.3 Aprender jugando", NULL, "qrc:///help/tutorial_item_874.html"},
    { "2 Sintetizadores", NULL, "qrc:///help/tutorial_item_875.html"},
    { "   2.1 Tus primeros Sonidos", NULL, "qrc:///help/tutorial_item_876.html"},
    { "   2.2 Opciones de Sintetizador", NULL, "qrc:///help/tutorial_item_877.html"},
    { "   2.3 Cambiando Sintetizadores", NULL, "qrc:///help/tutorial_item_878.html"},
    { QString::fromUtf8("   2.4 Duración con Envolventes"), NULL, "qrc:///help/tutorial_item_879.html"},
    { "3 Muestras", NULL, "qrc:///help/tutorial_item_880.html"},
    { "   3.1 Disparando muestras", NULL, "qrc:///help/tutorial_item_881.html"},
    { QString::fromUtf8("   3.2 Parámetros de muestreo"), NULL, "qrc:///help/tutorial_item_882.html"},
    { "   3.3 Estirando Samples", NULL, "qrc:///help/tutorial_item_883.html"},
    { "   3.4 Onda de muestra con envolvente", NULL, "qrc:///help/tutorial_item_884.html"},
    { "   3.5 Sampleos parciales", NULL, "qrc:///help/tutorial_item_885.html"},
    { "Samples externos", NULL, "qrc:///help/tutorial_item_886.html"},
    { "   3.7 Paquete de samples", NULL, "qrc:///help/tutorial_item_887.html"},
    { "4 Aleatoriedad", NULL, "qrc:///help/tutorial_item_888.html"},
    { QString::fromUtf8("5 Estructuras de Programación"), NULL, "qrc:///help/tutorial_item_889.html"},
    { "   5.1 Bloques", NULL, "qrc:///help/tutorial_item_890.html"},
    { QString::fromUtf8("   5.2 Iteración y Bucles"), NULL, "qrc:///help/tutorial_item_891.html"},
    { "   5.3 Condicionales", NULL, "qrc:///help/tutorial_item_892.html"},
    { "   5.4 Hilos", NULL, "qrc:///help/tutorial_item_893.html"},
    { "   5.5 Funciones", NULL, "qrc:///help/tutorial_item_894.html"},
    { "   5.6 Variables", NULL, "qrc:///help/tutorial_item_895.html"},
    { QString::fromUtf8("   5.7 Sincronización de hilos"), NULL, "qrc:///help/tutorial_item_896.html"},
    { "6 FX", NULL, "qrc:///help/tutorial_item_897.html"},
    { QString::fromUtf8("   6.1 Añadiendo efectos FX"), NULL, "qrc:///help/tutorial_item_898.html"},
    { QString::fromUtf8("   6.2 FX en la práctica"), NULL, "qrc:///help/tutorial_item_899.html"},
    { "7 Control", NULL, "qrc:///help/tutorial_item_900.html"},
    { QString::fromUtf8("   7.1 Controlando Sintetizadores en ejecución"), NULL, "qrc:///help/tutorial_item_901.html"},
    { "   7.2 Controlando efectos (FX)", NULL, "qrc:///help/tutorial_item_902.html"},
    { "   7.3 Opciones con Deslizadores", NULL, "qrc:///help/tutorial_item_903.html"},
    { "8 Estructuras de Datos", NULL, "qrc:///help/tutorial_item_904.html"},
    { "   8.1 Listas", NULL, "qrc:///help/tutorial_item_905.html"},
    { "   8.2 Acordes", NULL, "qrc:///help/tutorial_item_906.html"},
    { "   8.3 Escalas", NULL, "qrc:///help/tutorial_item_907.html"},
    { "   8.4 Anillos", NULL, "qrc:///help/tutorial_item_908.html"},
    { "   8.5 Cadenas de Anillos", NULL, "qrc:///help/tutorial_item_909.html"},
    { "9 Live Coding", NULL, "qrc:///help/tutorial_item_910.html"},
    { "   9.1 Fundamentos de Live Coding", NULL, "qrc:///help/tutorial_item_911.html"},
    { "   9.2 Bucles en Vivo", NULL, "qrc:///help/tutorial_item_912.html"},
    { QString::fromUtf8("   9.3 Múltiples Bucles en Vivo"), NULL, "qrc:///help/tutorial_item_913.html"},
    { "   9.4 Ticado", NULL, "qrc:///help/tutorial_item_914.html"},
    { "10 Estado del Tiempo (Time State)", NULL, "qrc:///help/tutorial_item_915.html"},
    { "   10.1 Set y Get", NULL, "qrc:///help/tutorial_item_916.html"},
    { QString::fromUtf8("   10.2 Sincronización (Sync)"), NULL, "qrc:///help/tutorial_item_917.html"},
    { "   10.3 Pattern Matching", NULL, "qrc:///help/tutorial_item_918.html"},
    { "11 MIDI", NULL, "qrc:///help/tutorial_item_919.html"},
    { "   11.1 MIDI In", NULL, "qrc:///help/tutorial_item_920.html"},
    { "   11.2 MIDI Out", NULL, "qrc:///help/tutorial_item_921.html"},
    { "12 OSC", NULL, "qrc:///help/tutorial_item_922.html"},
    { "   12.1 Receiving OSC", NULL, "qrc:///help/tutorial_item_923.html"},
    { "   12.2 Sending OSC", NULL, "qrc:///help/tutorial_item_924.html"},
    { "13 Multichannel Audio", NULL, "qrc:///help/tutorial_item_925.html"},
    { "   13.1 Sound In", NULL, "qrc:///help/tutorial_item_926.html"},
    { "   13.2 Live Audio", NULL, "qrc:///help/tutorial_item_927.html"},
    { "   13.3 Sound Out", NULL, "qrc:///help/tutorial_item_928.html"},
    { "12 Conclusiones", NULL, "qrc:///help/tutorial_item_929.html"},
    { QString::fromUtf8("A Apéndice A - Artículos de MagPi"), NULL, "qrc:///help/tutorial_item_930.html"},
    { "   A.1 Consejos para Sonic Pi", NULL, "qrc:///help/tutorial_item_931.html"},
    { "A.2. Live Coding", NULL, "qrc:///help/tutorial_item_932.html"},
    { "A.3. Beats Programados", NULL, "qrc:///help/tutorial_item_933.html"},
    { "   A.4 Riffs con sintetizadores", NULL, "qrc:///help/tutorial_item_934.html"},
    { "   A.5 Acid Bass", NULL, "qrc:///help/tutorial_item_935.html"},
    { "   A.6 Minecraft Musical", NULL, "qrc:///help/tutorial_item_936.html"},
    { "   A.7 Bizet Beats", NULL, "qrc:///help/tutorial_item_937.html"},
    { QString::fromUtf8("   A.8 Conviértete en un VJ de Minecraft"), NULL, "qrc:///help/tutorial_item_938.html"},
    { QString::fromUtf8("   A.9 Randomización"), NULL, "qrc:///help/tutorial_item_939.html"},
    { "   A.10 Control", NULL, "qrc:///help/tutorial_item_940.html"},
    { "A.11. Tic tac", NULL, "qrc:///help/tutorial_item_941.html"},
    { "   A.12 Cortando Samples", NULL, "qrc:///help/tutorial_item_942.html"},
    { QString::fromUtf8("   A.13 Programando un Secuenciador Probabilístico"), NULL, "qrc:///help/tutorial_item_943.html"},
    { "Amplitud", NULL, "qrc:///help/tutorial_item_944.html"},
    { QString::fromUtf8("Programación en directo (Live Coding)"), NULL, "qrc:///help/tutorial_item_945.html"},
    { QString::fromUtf8("   A.18 Diseño Sonoro - Síntesis Aditiva"), NULL, "qrc:///help/tutorial_item_946.html"},
    { QString::fromUtf8("   A.19 Diseño Sonoro - Síntesis Sustractiva"), NULL, "qrc:///help/tutorial_item_947.html"},
    { "   A.20 Creative coding in the classroom with Sonic Pi", NULL, "qrc:///help/tutorial_item_948.html"},
    { "Conocimiento Esencial", NULL, "qrc:///help/tutorial_item_949.html"},
    { "   10.1 Usando atajos", NULL, "qrc:///help/tutorial_item_950.html"},
    { "   10.2 Tabla de Atajos", NULL, "qrc:///help/tutorial_item_951.html"},
    { "   10.3 Compartiendo", NULL, "qrc:///help/tutorial_item_952.html"},
    { "   10.4 Ejecutando", NULL, "qrc:///help/tutorial_item_953.html"},
    { "Minecraft Pi", NULL, "qrc:///help/tutorial_item_954.html"},
    { QString::fromUtf8("   11.1 API Básico"), NULL, "qrc:///help/tutorial_item_955.html"},
  };

  addHelpPage(createHelpTab(tr("Tutorial")), tutorialHelpPages, 85);

} else if (systemLocale.startsWith("et")) {

  // language et

  // tutorial info
  struct help_page tutorialHelpPages[] = {
    { "1 Welcome to Sonic Pi", NULL, "qrc:///help/tutorial_item_956.html"},
    { "   1.1 Live Coding", NULL, "qrc:///help/tutorial_item_957.html"},
    { "   1.2 Exploring the Interface", NULL, "qrc:///help/tutorial_item_958.html"},
    { "   1.3 Learning through Play", NULL, "qrc:///help/tutorial_item_959.html"},
    { "2 Synths", NULL, "qrc:///help/tutorial_item_960.html"},
    { "   2.1 Your First Beeps", NULL, "qrc:///help/tutorial_item_961.html"},
    { "   2.2 Synth Options", NULL, "qrc:///help/tutorial_item_962.html"},
    { "   2.3 Switching Synths", NULL, "qrc:///help/tutorial_item_963.html"},
    { "   2.4 Duration with Envelopes", NULL, "qrc:///help/tutorial_item_964.html"},
    { "3 Samples", NULL, "qrc:///help/tutorial_item_965.html"},
    { "   3.1 Triggering Samples", NULL, "qrc:///help/tutorial_item_966.html"},
    { "   3.2 Sample Parameters", NULL, "qrc:///help/tutorial_item_967.html"},
    { "   3.3 Stretching Samples", NULL, "qrc:///help/tutorial_item_968.html"},
    { "   3.4 Enveloped Samples", NULL, "qrc:///help/tutorial_item_969.html"},
    { "   3.5 Partial Samples", NULL, "qrc:///help/tutorial_item_970.html"},
    { "   3.6 External Samples", NULL, "qrc:///help/tutorial_item_971.html"},
    { "   3.7 Sample Packs", NULL, "qrc:///help/tutorial_item_972.html"},
    { "4 Randomisation", NULL, "qrc:///help/tutorial_item_973.html"},
    { "5 Programming Structures", NULL, "qrc:///help/tutorial_item_974.html"},
    { "   5.1 Blocks", NULL, "qrc:///help/tutorial_item_975.html"},
    { "   5.2 Iteration and Loops", NULL, "qrc:///help/tutorial_item_976.html"},
    { "   5.3 Conditionals", NULL, "qrc:///help/tutorial_item_977.html"},
    { "   5.4 Threads", NULL, "qrc:///help/tutorial_item_978.html"},
    { "   5.5 Functions", NULL, "qrc:///help/tutorial_item_979.html"},
    { "   5.6 Variables", NULL, "qrc:///help/tutorial_item_980.html"},
    { "   5.7 Thread Synchronisation", NULL, "qrc:///help/tutorial_item_981.html"},
    { "6 FX", NULL, "qrc:///help/tutorial_item_982.html"},
    { "   6.1 Adding FX", NULL, "qrc:///help/tutorial_item_983.html"},
    { "   6.2 FX in Practice", NULL, "qrc:///help/tutorial_item_984.html"},
    { "7 Control", NULL, "qrc:///help/tutorial_item_985.html"},
    { "   7.1 Controlling Running Synths", NULL, "qrc:///help/tutorial_item_986.html"},
    { "   7.2 Controlling FX", NULL, "qrc:///help/tutorial_item_987.html"},
    { "   7.3 Sliding Options", NULL, "qrc:///help/tutorial_item_988.html"},
    { "8 Data Structures", NULL, "qrc:///help/tutorial_item_989.html"},
    { "   8.1 Lists", NULL, "qrc:///help/tutorial_item_990.html"},
    { "   8.2 Chords", NULL, "qrc:///help/tutorial_item_991.html"},
    { "   8.3 Scales", NULL, "qrc:///help/tutorial_item_992.html"},
    { "   8.4 Rings", NULL, "qrc:///help/tutorial_item_993.html"},
    { "   8.5 Ring Chains", NULL, "qrc:///help/tutorial_item_994.html"},
    { "9 Live Coding", NULL, "qrc:///help/tutorial_item_995.html"},
    { "   9.1 Live Coding Fundamentals", NULL, "qrc:///help/tutorial_item_996.html"},
    { "   9.2 Live Loops", NULL, "qrc:///help/tutorial_item_997.html"},
    { "   9.3 Multiple Live Loops", NULL, "qrc:///help/tutorial_item_998.html"},
    { "   9.4 Ticking", NULL, "qrc:///help/tutorial_item_999.html"},
    { "10 Time State", NULL, "qrc:///help/tutorial_item_1000.html"},
    { "   10.1 Set and Get", NULL, "qrc:///help/tutorial_item_1001.html"},
    { "   10.2 Sync", NULL, "qrc:///help/tutorial_item_1002.html"},
    { "   10.3 Pattern Matching", NULL, "qrc:///help/tutorial_item_1003.html"},
    { "11 MIDI", NULL, "qrc:///help/tutorial_item_1004.html"},
    { "   11.1 MIDI In", NULL, "qrc:///help/tutorial_item_1005.html"},
    { "   11.2 MIDI Out", NULL, "qrc:///help/tutorial_item_1006.html"},
    { "12 OSC", NULL, "qrc:///help/tutorial_item_1007.html"},
    { "   12.1 Receiving OSC", NULL, "qrc:///help/tutorial_item_1008.html"},
    { "   12.2 Sending OSC", NULL, "qrc:///help/tutorial_item_1009.html"},
    { "13 Multichannel Audio", NULL, "qrc:///help/tutorial_item_1010.html"},
    { "   13.1 Sound In", NULL, "qrc:///help/tutorial_item_1011.html"},
    { "   13.2 Live Audio", NULL, "qrc:///help/tutorial_item_1012.html"},
    { "   13.3 Sound Out", NULL, "qrc:///help/tutorial_item_1013.html"},
    { "14 Conclusions", NULL, "qrc:///help/tutorial_item_1014.html"},
    { "A Appendix A - MagPi Articles", NULL, "qrc:///help/tutorial_item_1015.html"},
    { "   A.1 Tips for Sonic Pi", NULL, "qrc:///help/tutorial_item_1016.html"},
    { "   A.2 Live Coding", NULL, "qrc:///help/tutorial_item_1017.html"},
    { "   A.3 Coded Beats", NULL, "qrc:///help/tutorial_item_1018.html"},
    { "   A.4 Synth Riffs", NULL, "qrc:///help/tutorial_item_1019.html"},
    { "   A.5 Acid Bass", NULL, "qrc:///help/tutorial_item_1020.html"},
    { "   A.6 Musical Minecraft", NULL, "qrc:///help/tutorial_item_1021.html"},
    { "   A.7 Bizet Beats", NULL, "qrc:///help/tutorial_item_1022.html"},
    { "   A.8 Become a Minecraft VJ", NULL, "qrc:///help/tutorial_item_1023.html"},
    { "   A.9 Randomisation", NULL, "qrc:///help/tutorial_item_1024.html"},
    { "   A.10 Control", NULL, "qrc:///help/tutorial_item_1025.html"},
    { "   A.11 Tick Tock", NULL, "qrc:///help/tutorial_item_1026.html"},
    { "   A.12 Sample Slicing", NULL, "qrc:///help/tutorial_item_1027.html"},
    { "   A.13 Code a Probabilistic Sequencer", NULL, "qrc:///help/tutorial_item_1028.html"},
    { "   A.14 Amplitude Modulation", NULL, "qrc:///help/tutorial_item_1029.html"},
    { "   A.15 Five Live Coding Techniques", NULL, "qrc:///help/tutorial_item_1030.html"},
    { "   A.16 How to Practice Live Coding", NULL, "qrc:///help/tutorial_item_1031.html"},
    { "   A.17 Sample Stretching", NULL, "qrc:///help/tutorial_item_1032.html"},
    { "   A.18 Sound Design - Additive Synthesis", NULL, "qrc:///help/tutorial_item_1033.html"},
    { "   A.19 Sound Design - Subtractive Synthesis", NULL, "qrc:///help/tutorial_item_1034.html"},
    { "   A.20 Creative coding in the classroom with Sonic Pi", NULL, "qrc:///help/tutorial_item_1035.html"},
    { "B Essential Knowledge", NULL, "qrc:///help/tutorial_item_1036.html"},
    { "   B.1 Using Shortcuts", NULL, "qrc:///help/tutorial_item_1037.html"},
    { "   B.2 Shortcut Cheatsheet", NULL, "qrc:///help/tutorial_item_1038.html"},
    { "   B.3 Sharing", NULL, "qrc:///help/tutorial_item_1039.html"},
    { "   B.4 Performing", NULL, "qrc:///help/tutorial_item_1040.html"},
    { "C Minecraft Pi", NULL, "qrc:///help/tutorial_item_1041.html"},
    { "   C.1 Basic API", NULL, "qrc:///help/tutorial_item_1042.html"},
  };

  addHelpPage(createHelpTab(tr("Tutorial")), tutorialHelpPages, 87);

} else if (systemLocale.startsWith("fi")) {

  // language fi

  // tutorial info
  struct help_page tutorialHelpPages[] = {
    { "1 Welcome to Sonic Pi", NULL, "qrc:///help/tutorial_item_1043.html"},
    { "   1.1 Live Coding", NULL, "qrc:///help/tutorial_item_1044.html"},
    { "   1.2 Exploring the Interface", NULL, "qrc:///help/tutorial_item_1045.html"},
    { "   1.3 Learning through Play", NULL, "qrc:///help/tutorial_item_1046.html"},
    { "2 Synths", NULL, "qrc:///help/tutorial_item_1047.html"},
    { "   2.1 Your First Beeps", NULL, "qrc:///help/tutorial_item_1048.html"},
    { "   2.2 Synth Options", NULL, "qrc:///help/tutorial_item_1049.html"},
    { "   2.3 Switching Synths", NULL, "qrc:///help/tutorial_item_1050.html"},
    { "   2.4 Duration with Envelopes", NULL, "qrc:///help/tutorial_item_1051.html"},
    { "3 Samples", NULL, "qrc:///help/tutorial_item_1052.html"},
    { "   3.1 Triggering Samples", NULL, "qrc:///help/tutorial_item_1053.html"},
    { "   3.2 Sample Parameters", NULL, "qrc:///help/tutorial_item_1054.html"},
    { "   3.3 Stretching Samples", NULL, "qrc:///help/tutorial_item_1055.html"},
    { "   3.4 Enveloped Samples", NULL, "qrc:///help/tutorial_item_1056.html"},
    { "   3.5 Partial Samples", NULL, "qrc:///help/tutorial_item_1057.html"},
    { "   3.6 External Samples", NULL, "qrc:///help/tutorial_item_1058.html"},
    { "   3.7 Sample Packs", NULL, "qrc:///help/tutorial_item_1059.html"},
    { "4 Randomisation", NULL, "qrc:///help/tutorial_item_1060.html"},
    { "5 Programming Structures", NULL, "qrc:///help/tutorial_item_1061.html"},
    { "   5.1 Blocks", NULL, "qrc:///help/tutorial_item_1062.html"},
    { "   5.2 Iteration and Loops", NULL, "qrc:///help/tutorial_item_1063.html"},
    { "   5.3 Conditionals", NULL, "qrc:///help/tutorial_item_1064.html"},
    { "   5.4 Threads", NULL, "qrc:///help/tutorial_item_1065.html"},
    { "   5.5 Functions", NULL, "qrc:///help/tutorial_item_1066.html"},
    { "   5.6 Variables", NULL, "qrc:///help/tutorial_item_1067.html"},
    { "   5.7 Thread Synchronisation", NULL, "qrc:///help/tutorial_item_1068.html"},
    { "6 FX", NULL, "qrc:///help/tutorial_item_1069.html"},
    { "   6.1 Adding FX", NULL, "qrc:///help/tutorial_item_1070.html"},
    { "   6.2 FX in Practice", NULL, "qrc:///help/tutorial_item_1071.html"},
    { "7 Control", NULL, "qrc:///help/tutorial_item_1072.html"},
    { "   7.1 Controlling Running Synths", NULL, "qrc:///help/tutorial_item_1073.html"},
    { "   7.2 Controlling FX", NULL, "qrc:///help/tutorial_item_1074.html"},
    { "   7.3 Sliding Options", NULL, "qrc:///help/tutorial_item_1075.html"},
    { "8 Data Structures", NULL, "qrc:///help/tutorial_item_1076.html"},
    { "   8.1 Lists", NULL, "qrc:///help/tutorial_item_1077.html"},
    { "   8.2 Chords", NULL, "qrc:///help/tutorial_item_1078.html"},
    { "   8.3 Scales", NULL, "qrc:///help/tutorial_item_1079.html"},
    { "   8.4 Rings", NULL, "qrc:///help/tutorial_item_1080.html"},
    { "   8.5 Ring Chains", NULL, "qrc:///help/tutorial_item_1081.html"},
    { "9 Live Coding", NULL, "qrc:///help/tutorial_item_1082.html"},
    { "   9.1 Live Coding Fundamentals", NULL, "qrc:///help/tutorial_item_1083.html"},
    { "   9.2 Live Loops", NULL, "qrc:///help/tutorial_item_1084.html"},
    { "   9.3 Multiple Live Loops", NULL, "qrc:///help/tutorial_item_1085.html"},
    { "   9.4 Ticking", NULL, "qrc:///help/tutorial_item_1086.html"},
    { "10 Time State", NULL, "qrc:///help/tutorial_item_1087.html"},
    { "   10.1 Set and Get", NULL, "qrc:///help/tutorial_item_1088.html"},
    { "   10.2 Sync", NULL, "qrc:///help/tutorial_item_1089.html"},
    { "   10.3 Pattern Matching", NULL, "qrc:///help/tutorial_item_1090.html"},
    { "11 MIDI", NULL, "qrc:///help/tutorial_item_1091.html"},
    { "   11.1 MIDI In", NULL, "qrc:///help/tutorial_item_1092.html"},
    { "   11.2 MIDI Out", NULL, "qrc:///help/tutorial_item_1093.html"},
    { "12 OSC", NULL, "qrc:///help/tutorial_item_1094.html"},
    { "   12.1 Receiving OSC", NULL, "qrc:///help/tutorial_item_1095.html"},
    { "   12.2 Sending OSC", NULL, "qrc:///help/tutorial_item_1096.html"},
    { "13 Multichannel Audio", NULL, "qrc:///help/tutorial_item_1097.html"},
    { "   13.1 Sound In", NULL, "qrc:///help/tutorial_item_1098.html"},
    { "   13.2 Live Audio", NULL, "qrc:///help/tutorial_item_1099.html"},
    { "   13.3 Sound Out", NULL, "qrc:///help/tutorial_item_1100.html"},
    { "14 Conclusions", NULL, "qrc:///help/tutorial_item_1101.html"},
    { "A Appendix A - MagPi Articles", NULL, "qrc:///help/tutorial_item_1102.html"},
    { "   A.1 Tips for Sonic Pi", NULL, "qrc:///help/tutorial_item_1103.html"},
    { "   A.2 Live Coding", NULL, "qrc:///help/tutorial_item_1104.html"},
    { "   A.3 Coded Beats", NULL, "qrc:///help/tutorial_item_1105.html"},
    { "   A.4 Synth Riffs", NULL, "qrc:///help/tutorial_item_1106.html"},
    { "   A.5 Acid Bass", NULL, "qrc:///help/tutorial_item_1107.html"},
    { "   A.6 Musical Minecraft", NULL, "qrc:///help/tutorial_item_1108.html"},
    { "   A.7 Bizet Beats", NULL, "qrc:///help/tutorial_item_1109.html"},
    { "   A.8 Become a Minecraft VJ", NULL, "qrc:///help/tutorial_item_1110.html"},
    { "   A.9 Randomisation", NULL, "qrc:///help/tutorial_item_1111.html"},
    { "   A.10 Control", NULL, "qrc:///help/tutorial_item_1112.html"},
    { "   A.11 Tick Tock", NULL, "qrc:///help/tutorial_item_1113.html"},
    { "   A.12 Sample Slicing", NULL, "qrc:///help/tutorial_item_1114.html"},
    { "   A.13 Code a Probabilistic Sequencer", NULL, "qrc:///help/tutorial_item_1115.html"},
    { "   A.14 Amplitude Modulation", NULL, "qrc:///help/tutorial_item_1116.html"},
    { "   A.15 Five Live Coding Techniques", NULL, "qrc:///help/tutorial_item_1117.html"},
    { "   A.16 How to Practice Live Coding", NULL, "qrc:///help/tutorial_item_1118.html"},
    { "   A.17 Sample Stretching", NULL, "qrc:///help/tutorial_item_1119.html"},
    { "   A.18 Sound Design - Additive Synthesis", NULL, "qrc:///help/tutorial_item_1120.html"},
    { "   A.19 Sound Design - Subtractive Synthesis", NULL, "qrc:///help/tutorial_item_1121.html"},
    { "   A.20 Creative coding in the classroom with Sonic Pi", NULL, "qrc:///help/tutorial_item_1122.html"},
    { "B Essential Knowledge", NULL, "qrc:///help/tutorial_item_1123.html"},
    { "   B.1 Using Shortcuts", NULL, "qrc:///help/tutorial_item_1124.html"},
    { "   B.2 Shortcut Cheatsheet", NULL, "qrc:///help/tutorial_item_1125.html"},
    { "   B.3 Sharing", NULL, "qrc:///help/tutorial_item_1126.html"},
    { "   B.4 Performing", NULL, "qrc:///help/tutorial_item_1127.html"},
    { "C Minecraft Pi", NULL, "qrc:///help/tutorial_item_1128.html"},
    { "   C.1 Basic API", NULL, "qrc:///help/tutorial_item_1129.html"},
  };

  addHelpPage(createHelpTab(tr("Tutorial")), tutorialHelpPages, 87);

} else if (systemLocale.startsWith("fr")) {

  // language fr

  // tutorial info
  struct help_page tutorialHelpPages[] = {
    { "1 Bienvenue dans Sonic Pi", NULL, "qrc:///help/tutorial_item_1130.html"},
    { "   1.1 Codage en 'live'", NULL, "qrc:///help/tutorial_item_1131.html"},
    { QString::fromUtf8("   1.2 Découverte de l'interface"), NULL, "qrc:///help/tutorial_item_1132.html"},
    { "   1.3 Apprendre en jouant", NULL, "qrc:///help/tutorial_item_1133.html"},
    { QString::fromUtf8("2 Synthés"), NULL, "qrc:///help/tutorial_item_1134.html"},
    { "   2.1 Vos premiers Beeps", NULL, "qrc:///help/tutorial_item_1135.html"},
    { QString::fromUtf8("   2.2 Paramètres des synthés"), NULL, "qrc:///help/tutorial_item_1136.html"},
    { QString::fromUtf8("   2.3 Changement de synthés"), NULL, "qrc:///help/tutorial_item_1137.html"},
    { QString::fromUtf8("   2.4 Durées avec enveloppes"), NULL, "qrc:///help/tutorial_item_1138.html"},
    { QString::fromUtf8("3 Échantillons"), NULL, "qrc:///help/tutorial_item_1139.html"},
    { QString::fromUtf8("   3.1 Lecture des échantillons"), NULL, "qrc:///help/tutorial_item_1140.html"},
    { QString::fromUtf8("   3.2 Paramètres des échantillons"), NULL, "qrc:///help/tutorial_item_1141.html"},
    { QString::fromUtf8("   3.3 Étirement des échantillons"), NULL, "qrc:///help/tutorial_item_1142.html"},
    { QString::fromUtf8("   3.4 Échantillons enveloppés"), NULL, "qrc:///help/tutorial_item_1143.html"},
    { QString::fromUtf8("   3.5 Échantillons partiels"), NULL, "qrc:///help/tutorial_item_1144.html"},
    { QString::fromUtf8("   3.6 Échantillons externes"), NULL, "qrc:///help/tutorial_item_1145.html"},
    { "   3.7 Paquets de samples", NULL, "qrc:///help/tutorial_item_1146.html"},
    { QString::fromUtf8("4 Aléatoire"), NULL, "qrc:///help/tutorial_item_1147.html"},
    { "5 Structures de programmation", NULL, "qrc:///help/tutorial_item_1148.html"},
    { "   5.1 Blocs", NULL, "qrc:///help/tutorial_item_1149.html"},
    { QString::fromUtf8("   5.2 Itérations et boucles"), NULL, "qrc:///help/tutorial_item_1150.html"},
    { "   5.3 Conditionnels", NULL, "qrc:///help/tutorial_item_1151.html"},
    { "   5.4 Threads", NULL, "qrc:///help/tutorial_item_1152.html"},
    { "   5.5 Fonctions", NULL, "qrc:///help/tutorial_item_1153.html"},
    { "   5.6 Variables", NULL, "qrc:///help/tutorial_item_1154.html"},
    { "   5.7 Synchronisation des threads", NULL, "qrc:///help/tutorial_item_1155.html"},
    { "6 FX (effets)", NULL, "qrc:///help/tutorial_item_1156.html"},
    { "   6.1 Ajout d'effets", NULL, "qrc:///help/tutorial_item_1157.html"},
    { "   6.2 FX en Pratique", NULL, "qrc:///help/tutorial_item_1158.html"},
    { QString::fromUtf8("7 Contrôle"), NULL, "qrc:///help/tutorial_item_1159.html"},
    { QString::fromUtf8("   7.1 Contrôler des synthés en cours de jeu"), NULL, "qrc:///help/tutorial_item_1160.html"},
    { QString::fromUtf8("   7.2 Contrôle des effets (FX)"), NULL, "qrc:///help/tutorial_item_1161.html"},
    { QString::fromUtf8("   7.3 Paramètres à curseur glissant"), NULL, "qrc:///help/tutorial_item_1162.html"},
    { QString::fromUtf8("8 Structures de données"), NULL, "qrc:///help/tutorial_item_1163.html"},
    { "   8.1 Listes", NULL, "qrc:///help/tutorial_item_1164.html"},
    { "   8.2 Accords", NULL, "qrc:///help/tutorial_item_1165.html"},
    { "   8.3 Gammes", NULL, "qrc:///help/tutorial_item_1166.html"},
    { "   8.4 Anneaux", NULL, "qrc:///help/tutorial_item_1167.html"},
    { QString::fromUtf8("   8.5 Chaînes d'anneaux"), NULL, "qrc:///help/tutorial_item_1168.html"},
    { "9 Codage en direct", NULL, "qrc:///help/tutorial_item_1169.html"},
    { "   9.1 Fondamentaux du Codage en direct", NULL, "qrc:///help/tutorial_item_1170.html"},
    { "   9.2 Boucles en direct", NULL, "qrc:///help/tutorial_item_1171.html"},
    { "   9.3 Boucles multiples en direct", NULL, "qrc:///help/tutorial_item_1172.html"},
    { "   9.4 Avance automatique", NULL, "qrc:///help/tutorial_item_1173.html"},
    { QString::fromUtf8("10 État du temps"), NULL, "qrc:///help/tutorial_item_1174.html"},
    { QString::fromUtf8("   10.1 Paramétrer et obtenir"), NULL, "qrc:///help/tutorial_item_1175.html"},
    { "   10.2 Sync", NULL, "qrc:///help/tutorial_item_1176.html"},
    { "   10.3 Correspondance de motif", NULL, "qrc:///help/tutorial_item_1177.html"},
    { "11 MIDI", NULL, "qrc:///help/tutorial_item_1178.html"},
    { QString::fromUtf8("   11.1 MIDI Entrée"), NULL, "qrc:///help/tutorial_item_1179.html"},
    { "   11.2 Sortie MIDI", NULL, "qrc:///help/tutorial_item_1180.html"},
    { "12 OSC", NULL, "qrc:///help/tutorial_item_1181.html"},
    { QString::fromUtf8("   12.1 Réception OSC"), NULL, "qrc:///help/tutorial_item_1182.html"},
    { "   12.2 Envoyer du OSC", NULL, "qrc:///help/tutorial_item_1183.html"},
    { "13 Audio multi-canaux", NULL, "qrc:///help/tutorial_item_1184.html"},
    { "   13.1 Son entrant", NULL, "qrc:///help/tutorial_item_1185.html"},
    { "   13.2 Audio en direct", NULL, "qrc:///help/tutorial_item_1186.html"},
    { "   13.3 Son sortant", NULL, "qrc:///help/tutorial_item_1187.html"},
    { "14 Conclusions", NULL, "qrc:///help/tutorial_item_1188.html"},
    { "A Appendice A - Articles MagPi", NULL, "qrc:///help/tutorial_item_1189.html"},
    { "   A.1 Conseils pour Sonic Pi", NULL, "qrc:///help/tutorial_item_1190.html"},
    { "   A.2 Programmation interactive", NULL, "qrc:///help/tutorial_item_1191.html"},
    { QString::fromUtf8("   A.3 Rythmes codés"), NULL, "qrc:///help/tutorial_item_1192.html"},
    { QString::fromUtf8("   A.4 Riffs de synthés"), NULL, "qrc:///help/tutorial_item_1193.html"},
    { "   A.5 Basse acide", NULL, "qrc:///help/tutorial_item_1194.html"},
    { "   A.6 Minecraft musical", NULL, "qrc:///help/tutorial_item_1195.html"},
    { "   A.7 Battements de Bizet", NULL, "qrc:///help/tutorial_item_1196.html"},
    { "   A.8 Devenez un VJ Minecraft", NULL, "qrc:///help/tutorial_item_1197.html"},
    { QString::fromUtf8("   A.9 L'aléation"), NULL, "qrc:///help/tutorial_item_1198.html"},
    { QString::fromUtf8("   A.10 Contrôle"), NULL, "qrc:///help/tutorial_item_1199.html"},
    { "   A.11 Tic Tac", NULL, "qrc:///help/tutorial_item_1200.html"},
    { QString::fromUtf8("   A.12 Tranchage d'échantillon"), NULL, "qrc:///help/tutorial_item_1201.html"},
    { QString::fromUtf8("   A.13 Coder un séquenceur probabiliste"), NULL, "qrc:///help/tutorial_item_1202.html"},
    { "   A.14 Modulation d'amplitude", NULL, "qrc:///help/tutorial_item_1203.html"},
    { "A. 15 techniques de codage en \"Live\"", NULL, "qrc:///help/tutorial_item_1204.html"},
    { "   A.16 Comment pratiquer le codage en direct", NULL, "qrc:///help/tutorial_item_1205.html"},
    { QString::fromUtf8("   A.17 Étirement de l'échantillon"), NULL, "qrc:///help/tutorial_item_1206.html"},
    { QString::fromUtf8("   A.18 Design du son - Synthèse additive"), NULL, "qrc:///help/tutorial_item_1207.html"},
    { QString::fromUtf8("   A.19 Design du son - Synthèse soustractive"), NULL, "qrc:///help/tutorial_item_1208.html"},
    { QString::fromUtf8("   A.20 Codage créatif en classe avec Sonic Pi"), NULL, "qrc:///help/tutorial_item_1209.html"},
    { "B Connaissances essentielles", NULL, "qrc:///help/tutorial_item_1210.html"},
    { "   B.1 Utilisation des raccourcis", NULL, "qrc:///help/tutorial_item_1211.html"},
    { QString::fromUtf8("   B.2 Antisèche des raccourcis"), NULL, "qrc:///help/tutorial_item_1212.html"},
    { "   B.3 Partage", NULL, "qrc:///help/tutorial_item_1213.html"},
    { "   B.4 Se produire", NULL, "qrc:///help/tutorial_item_1214.html"},
    { "C Minecraft Pi", NULL, "qrc:///help/tutorial_item_1215.html"},
    { "   C.1 API basique", NULL, "qrc:///help/tutorial_item_1216.html"},
  };

  addHelpPage(createHelpTab(tr("Tutorial")), tutorialHelpPages, 87);

} else if (systemLocale.startsWith("gl")) {

  // language gl

  // tutorial info
  struct help_page tutorialHelpPages[] = {
    { "1 Welcome to Sonic Pi", NULL, "qrc:///help/tutorial_item_1217.html"},
    { "   1.1 Live Coding", NULL, "qrc:///help/tutorial_item_1218.html"},
    { "   1.2 Exploring the Interface", NULL, "qrc:///help/tutorial_item_1219.html"},
    { "   1.3 Learning through Play", NULL, "qrc:///help/tutorial_item_1220.html"},
    { "2 Synths", NULL, "qrc:///help/tutorial_item_1221.html"},
    { "   2.1 Your First Beeps", NULL, "qrc:///help/tutorial_item_1222.html"},
    { "   2.2 Synth Options", NULL, "qrc:///help/tutorial_item_1223.html"},
    { "   2.3 Switching Synths", NULL, "qrc:///help/tutorial_item_1224.html"},
    { "   2.4 Duration with Envelopes", NULL, "qrc:///help/tutorial_item_1225.html"},
    { "3 Samples", NULL, "qrc:///help/tutorial_item_1226.html"},
    { "   3.1 Triggering Samples", NULL, "qrc:///help/tutorial_item_1227.html"},
    { "   3.2 Sample Parameters", NULL, "qrc:///help/tutorial_item_1228.html"},
    { "   3.3 Stretching Samples", NULL, "qrc:///help/tutorial_item_1229.html"},
    { "   3.4 Enveloped Samples", NULL, "qrc:///help/tutorial_item_1230.html"},
    { "   3.5 Partial Samples", NULL, "qrc:///help/tutorial_item_1231.html"},
    { "   3.6 External Samples", NULL, "qrc:///help/tutorial_item_1232.html"},
    { "   3.7 Sample Packs", NULL, "qrc:///help/tutorial_item_1233.html"},
    { "4 Randomisation", NULL, "qrc:///help/tutorial_item_1234.html"},
    { "5 Programming Structures", NULL, "qrc:///help/tutorial_item_1235.html"},
    { "   5.1 Blocks", NULL, "qrc:///help/tutorial_item_1236.html"},
    { "   5.2 Iteration and Loops", NULL, "qrc:///help/tutorial_item_1237.html"},
    { "   5.3 Conditionals", NULL, "qrc:///help/tutorial_item_1238.html"},
    { "   5.4 Threads", NULL, "qrc:///help/tutorial_item_1239.html"},
    { "   5.5 Functions", NULL, "qrc:///help/tutorial_item_1240.html"},
    { "   5.6 Variables", NULL, "qrc:///help/tutorial_item_1241.html"},
    { "   5.7 Thread Synchronisation", NULL, "qrc:///help/tutorial_item_1242.html"},
    { "6 FX", NULL, "qrc:///help/tutorial_item_1243.html"},
    { "   6.1 Adding FX", NULL, "qrc:///help/tutorial_item_1244.html"},
    { "   6.2 FX in Practice", NULL, "qrc:///help/tutorial_item_1245.html"},
    { "7 Control", NULL, "qrc:///help/tutorial_item_1246.html"},
    { "   7.1 Controlling Running Synths", NULL, "qrc:///help/tutorial_item_1247.html"},
    { "   7.2 Controlling FX", NULL, "qrc:///help/tutorial_item_1248.html"},
    { "   7.3 Sliding Options", NULL, "qrc:///help/tutorial_item_1249.html"},
    { "8 Data Structures", NULL, "qrc:///help/tutorial_item_1250.html"},
    { "   8.1 Lists", NULL, "qrc:///help/tutorial_item_1251.html"},
    { "   8.2 Chords", NULL, "qrc:///help/tutorial_item_1252.html"},
    { "   8.3 Scales", NULL, "qrc:///help/tutorial_item_1253.html"},
    { "   8.4 Rings", NULL, "qrc:///help/tutorial_item_1254.html"},
    { "   8.5 Ring Chains", NULL, "qrc:///help/tutorial_item_1255.html"},
    { "9 Live Coding", NULL, "qrc:///help/tutorial_item_1256.html"},
    { "   9.1 Live Coding Fundamentals", NULL, "qrc:///help/tutorial_item_1257.html"},
    { "   9.2 Live Loops", NULL, "qrc:///help/tutorial_item_1258.html"},
    { "   9.3 Multiple Live Loops", NULL, "qrc:///help/tutorial_item_1259.html"},
    { "   9.4 Ticking", NULL, "qrc:///help/tutorial_item_1260.html"},
    { "10 Time State", NULL, "qrc:///help/tutorial_item_1261.html"},
    { "   10.1 Set and Get", NULL, "qrc:///help/tutorial_item_1262.html"},
    { "   10.2 Sync", NULL, "qrc:///help/tutorial_item_1263.html"},
    { "   10.3 Pattern Matching", NULL, "qrc:///help/tutorial_item_1264.html"},
    { "11 MIDI", NULL, "qrc:///help/tutorial_item_1265.html"},
    { "   11.1 MIDI In", NULL, "qrc:///help/tutorial_item_1266.html"},
    { "   11.2 MIDI Out", NULL, "qrc:///help/tutorial_item_1267.html"},
    { "12 OSC", NULL, "qrc:///help/tutorial_item_1268.html"},
    { "   12.1 Receiving OSC", NULL, "qrc:///help/tutorial_item_1269.html"},
    { "   12.2 Sending OSC", NULL, "qrc:///help/tutorial_item_1270.html"},
    { "13 Multichannel Audio", NULL, "qrc:///help/tutorial_item_1271.html"},
    { "   13.1 Sound In", NULL, "qrc:///help/tutorial_item_1272.html"},
    { "   13.2 Live Audio", NULL, "qrc:///help/tutorial_item_1273.html"},
    { "   13.3 Sound Out", NULL, "qrc:///help/tutorial_item_1274.html"},
    { "14 Conclusions", NULL, "qrc:///help/tutorial_item_1275.html"},
    { "A Appendix A - MagPi Articles", NULL, "qrc:///help/tutorial_item_1276.html"},
    { "   A.1 Tips for Sonic Pi", NULL, "qrc:///help/tutorial_item_1277.html"},
    { "   A.2 Live Coding", NULL, "qrc:///help/tutorial_item_1278.html"},
    { "   A.3 Coded Beats", NULL, "qrc:///help/tutorial_item_1279.html"},
    { "   A.4 Synth Riffs", NULL, "qrc:///help/tutorial_item_1280.html"},
    { "   A.5 Acid Bass", NULL, "qrc:///help/tutorial_item_1281.html"},
    { "   A.6 Musical Minecraft", NULL, "qrc:///help/tutorial_item_1282.html"},
    { "   A.7 Bizet Beats", NULL, "qrc:///help/tutorial_item_1283.html"},
    { "   A.8 Become a Minecraft VJ", NULL, "qrc:///help/tutorial_item_1284.html"},
    { "   A.9 Randomisation", NULL, "qrc:///help/tutorial_item_1285.html"},
    { "   A.10 Control", NULL, "qrc:///help/tutorial_item_1286.html"},
    { "   A.11 Tick Tock", NULL, "qrc:///help/tutorial_item_1287.html"},
    { "   A.12 Sample Slicing", NULL, "qrc:///help/tutorial_item_1288.html"},
    { "   A.13 Code a Probabilistic Sequencer", NULL, "qrc:///help/tutorial_item_1289.html"},
    { "   A.14 Amplitude Modulation", NULL, "qrc:///help/tutorial_item_1290.html"},
    { "   A.15 Five Live Coding Techniques", NULL, "qrc:///help/tutorial_item_1291.html"},
    { "   A.16 How to Practice Live Coding", NULL, "qrc:///help/tutorial_item_1292.html"},
    { "   A.17 Sample Stretching", NULL, "qrc:///help/tutorial_item_1293.html"},
    { "   A.18 Sound Design - Additive Synthesis", NULL, "qrc:///help/tutorial_item_1294.html"},
    { "   A.19 Sound Design - Subtractive Synthesis", NULL, "qrc:///help/tutorial_item_1295.html"},
    { "   A.20 Creative coding in the classroom with Sonic Pi", NULL, "qrc:///help/tutorial_item_1296.html"},
    { "B Essential Knowledge", NULL, "qrc:///help/tutorial_item_1297.html"},
    { "   B.1 Using Shortcuts", NULL, "qrc:///help/tutorial_item_1298.html"},
    { "   B.2 Shortcut Cheatsheet", NULL, "qrc:///help/tutorial_item_1299.html"},
    { "   B.3 Sharing", NULL, "qrc:///help/tutorial_item_1300.html"},
    { "   B.4 Performing", NULL, "qrc:///help/tutorial_item_1301.html"},
    { "C Minecraft Pi", NULL, "qrc:///help/tutorial_item_1302.html"},
    { "   C.1 Basic API", NULL, "qrc:///help/tutorial_item_1303.html"},
  };

  addHelpPage(createHelpTab(tr("Tutorial")), tutorialHelpPages, 87);

} else if (systemLocale.startsWith("hi")) {

  // language hi

  // tutorial info
  struct help_page tutorialHelpPages[] = {
    { "1 Welcome to Sonic Pi", NULL, "qrc:///help/tutorial_item_1304.html"},
    { "   1.1 Live Coding", NULL, "qrc:///help/tutorial_item_1305.html"},
    { "   1.2 Exploring the Interface", NULL, "qrc:///help/tutorial_item_1306.html"},
    { "   1.3 Learning through Play", NULL, "qrc:///help/tutorial_item_1307.html"},
    { "2 Synths", NULL, "qrc:///help/tutorial_item_1308.html"},
    { "   2.1 Your First Beeps", NULL, "qrc:///help/tutorial_item_1309.html"},
    { "   2.2 Synth Options", NULL, "qrc:///help/tutorial_item_1310.html"},
    { "   2.3 Switching Synths", NULL, "qrc:///help/tutorial_item_1311.html"},
    { "   2.4 Duration with Envelopes", NULL, "qrc:///help/tutorial_item_1312.html"},
    { "3 Samples", NULL, "qrc:///help/tutorial_item_1313.html"},
    { "   3.1 Triggering Samples", NULL, "qrc:///help/tutorial_item_1314.html"},
    { "   3.2 Sample Parameters", NULL, "qrc:///help/tutorial_item_1315.html"},
    { "   3.3 Stretching Samples", NULL, "qrc:///help/tutorial_item_1316.html"},
    { "   3.4 Enveloped Samples", NULL, "qrc:///help/tutorial_item_1317.html"},
    { "   3.5 Partial Samples", NULL, "qrc:///help/tutorial_item_1318.html"},
    { "   3.6 External Samples", NULL, "qrc:///help/tutorial_item_1319.html"},
    { "   3.7 Sample Packs", NULL, "qrc:///help/tutorial_item_1320.html"},
    { "4 Randomisation", NULL, "qrc:///help/tutorial_item_1321.html"},
    { "5 Programming Structures", NULL, "qrc:///help/tutorial_item_1322.html"},
    { "   5.1 Blocks", NULL, "qrc:///help/tutorial_item_1323.html"},
    { "   5.2 Iteration and Loops", NULL, "qrc:///help/tutorial_item_1324.html"},
    { "   5.3 Conditionals", NULL, "qrc:///help/tutorial_item_1325.html"},
    { "   5.4 Threads", NULL, "qrc:///help/tutorial_item_1326.html"},
    { "   5.5 Functions", NULL, "qrc:///help/tutorial_item_1327.html"},
    { "   5.6 Variables", NULL, "qrc:///help/tutorial_item_1328.html"},
    { "   5.7 Thread Synchronisation", NULL, "qrc:///help/tutorial_item_1329.html"},
    { "6 FX", NULL, "qrc:///help/tutorial_item_1330.html"},
    { "   6.1 Adding FX", NULL, "qrc:///help/tutorial_item_1331.html"},
    { "   6.2 FX in Practice", NULL, "qrc:///help/tutorial_item_1332.html"},
    { "7 Control", NULL, "qrc:///help/tutorial_item_1333.html"},
    { "   7.1 Controlling Running Synths", NULL, "qrc:///help/tutorial_item_1334.html"},
    { "   7.2 Controlling FX", NULL, "qrc:///help/tutorial_item_1335.html"},
    { "   7.3 Sliding Options", NULL, "qrc:///help/tutorial_item_1336.html"},
    { "8 Data Structures", NULL, "qrc:///help/tutorial_item_1337.html"},
    { "   8.1 Lists", NULL, "qrc:///help/tutorial_item_1338.html"},
    { "   8.2 Chords", NULL, "qrc:///help/tutorial_item_1339.html"},
    { "   8.3 Scales", NULL, "qrc:///help/tutorial_item_1340.html"},
    { "   8.4 Rings", NULL, "qrc:///help/tutorial_item_1341.html"},
    { "   8.5 Ring Chains", NULL, "qrc:///help/tutorial_item_1342.html"},
    { "9 Live Coding", NULL, "qrc:///help/tutorial_item_1343.html"},
    { "   9.1 Live Coding Fundamentals", NULL, "qrc:///help/tutorial_item_1344.html"},
    { "   9.2 Live Loops", NULL, "qrc:///help/tutorial_item_1345.html"},
    { "   9.3 Multiple Live Loops", NULL, "qrc:///help/tutorial_item_1346.html"},
    { "   9.4 Ticking", NULL, "qrc:///help/tutorial_item_1347.html"},
    { "10 Time State", NULL, "qrc:///help/tutorial_item_1348.html"},
    { "   10.1 Set and Get", NULL, "qrc:///help/tutorial_item_1349.html"},
    { "   10.2 Sync", NULL, "qrc:///help/tutorial_item_1350.html"},
    { "   10.3 Pattern Matching", NULL, "qrc:///help/tutorial_item_1351.html"},
    { "11 MIDI", NULL, "qrc:///help/tutorial_item_1352.html"},
    { "   11.1 MIDI In", NULL, "qrc:///help/tutorial_item_1353.html"},
    { "   11.2 MIDI Out", NULL, "qrc:///help/tutorial_item_1354.html"},
    { "12 OSC", NULL, "qrc:///help/tutorial_item_1355.html"},
    { "   12.1 Receiving OSC", NULL, "qrc:///help/tutorial_item_1356.html"},
    { "   12.2 Sending OSC", NULL, "qrc:///help/tutorial_item_1357.html"},
    { "13 Multichannel Audio", NULL, "qrc:///help/tutorial_item_1358.html"},
    { "   13.1 Sound In", NULL, "qrc:///help/tutorial_item_1359.html"},
    { "   13.2 Live Audio", NULL, "qrc:///help/tutorial_item_1360.html"},
    { "   13.3 Sound Out", NULL, "qrc:///help/tutorial_item_1361.html"},
    { "14 Conclusions", NULL, "qrc:///help/tutorial_item_1362.html"},
    { "A Appendix A - MagPi Articles", NULL, "qrc:///help/tutorial_item_1363.html"},
    { "   A.1 Tips for Sonic Pi", NULL, "qrc:///help/tutorial_item_1364.html"},
    { "   A.2 Live Coding", NULL, "qrc:///help/tutorial_item_1365.html"},
    { "   A.3 Coded Beats", NULL, "qrc:///help/tutorial_item_1366.html"},
    { "   A.4 Synth Riffs", NULL, "qrc:///help/tutorial_item_1367.html"},
    { "   A.5 Acid Bass", NULL, "qrc:///help/tutorial_item_1368.html"},
    { "   A.6 Musical Minecraft", NULL, "qrc:///help/tutorial_item_1369.html"},
    { "   A.7 Bizet Beats", NULL, "qrc:///help/tutorial_item_1370.html"},
    { "   A.8 Become a Minecraft VJ", NULL, "qrc:///help/tutorial_item_1371.html"},
    { "   A.9 Randomisation", NULL, "qrc:///help/tutorial_item_1372.html"},
    { "   A.10 Control", NULL, "qrc:///help/tutorial_item_1373.html"},
    { "   A.11 Tick Tock", NULL, "qrc:///help/tutorial_item_1374.html"},
    { "   A.12 Sample Slicing", NULL, "qrc:///help/tutorial_item_1375.html"},
    { "   A.13 Code a Probabilistic Sequencer", NULL, "qrc:///help/tutorial_item_1376.html"},
    { "   A.14 Amplitude Modulation", NULL, "qrc:///help/tutorial_item_1377.html"},
    { "   A.15 Five Live Coding Techniques", NULL, "qrc:///help/tutorial_item_1378.html"},
    { "   A.16 How to Practice Live Coding", NULL, "qrc:///help/tutorial_item_1379.html"},
    { "   A.17 Sample Stretching", NULL, "qrc:///help/tutorial_item_1380.html"},
    { "   A.18 Sound Design - Additive Synthesis", NULL, "qrc:///help/tutorial_item_1381.html"},
    { "   A.19 Sound Design - Subtractive Synthesis", NULL, "qrc:///help/tutorial_item_1382.html"},
    { "   A.20 Creative coding in the classroom with Sonic Pi", NULL, "qrc:///help/tutorial_item_1383.html"},
    { "B Essential Knowledge", NULL, "qrc:///help/tutorial_item_1384.html"},
    { "   B.1 Using Shortcuts", NULL, "qrc:///help/tutorial_item_1385.html"},
    { "   B.2 Shortcut Cheatsheet", NULL, "qrc:///help/tutorial_item_1386.html"},
    { "   B.3 Sharing", NULL, "qrc:///help/tutorial_item_1387.html"},
    { "   B.4 Performing", NULL, "qrc:///help/tutorial_item_1388.html"},
    { "C Minecraft Pi", NULL, "qrc:///help/tutorial_item_1389.html"},
    { "   C.1 Basic API", NULL, "qrc:///help/tutorial_item_1390.html"},
  };

  addHelpPage(createHelpTab(tr("Tutorial")), tutorialHelpPages, 87);

} else if (systemLocale.startsWith("hu")) {

  // language hu

  // tutorial info
  struct help_page tutorialHelpPages[] = {
    { QString::fromUtf8("1 Üdvözöllek a Sonic Piban"), NULL, "qrc:///help/tutorial_item_1391.html"},
    { QString::fromUtf8("   1.1 Élő kódírás"), NULL, "qrc:///help/tutorial_item_1392.html"},
    { "   1.2 Exploring the Interface", NULL, "qrc:///help/tutorial_item_1393.html"},
    { "   1.3 Learning through Play", NULL, "qrc:///help/tutorial_item_1394.html"},
    { "2 Synths", NULL, "qrc:///help/tutorial_item_1395.html"},
    { "   2.1 Your First Beeps", NULL, "qrc:///help/tutorial_item_1396.html"},
    { "   2.2 Synth Options", NULL, "qrc:///help/tutorial_item_1397.html"},
    { "   2.3 Switching Synths", NULL, "qrc:///help/tutorial_item_1398.html"},
    { "   2.4 Duration with Envelopes", NULL, "qrc:///help/tutorial_item_1399.html"},
    { "3 Samples", NULL, "qrc:///help/tutorial_item_1400.html"},
    { "   3.1 Triggering Samples", NULL, "qrc:///help/tutorial_item_1401.html"},
    { "   3.2 Sample Parameters", NULL, "qrc:///help/tutorial_item_1402.html"},
    { "   3.3 Stretching Samples", NULL, "qrc:///help/tutorial_item_1403.html"},
    { "   3.4 Enveloped Samples", NULL, "qrc:///help/tutorial_item_1404.html"},
    { "   3.5 Partial Samples", NULL, "qrc:///help/tutorial_item_1405.html"},
    { "   3.6 External Samples", NULL, "qrc:///help/tutorial_item_1406.html"},
    { "   3.7 Sample Packs", NULL, "qrc:///help/tutorial_item_1407.html"},
    { "4 Randomisation", NULL, "qrc:///help/tutorial_item_1408.html"},
    { "5 Programming Structures", NULL, "qrc:///help/tutorial_item_1409.html"},
    { "   5.1 Blocks", NULL, "qrc:///help/tutorial_item_1410.html"},
    { "   5.2 Iteration and Loops", NULL, "qrc:///help/tutorial_item_1411.html"},
    { "   5.3 Conditionals", NULL, "qrc:///help/tutorial_item_1412.html"},
    { "   5.4 Threads", NULL, "qrc:///help/tutorial_item_1413.html"},
    { "   5.5 Functions", NULL, "qrc:///help/tutorial_item_1414.html"},
    { "   5.6 Variables", NULL, "qrc:///help/tutorial_item_1415.html"},
    { "   5.7 Thread Synchronisation", NULL, "qrc:///help/tutorial_item_1416.html"},
    { "6 FX", NULL, "qrc:///help/tutorial_item_1417.html"},
    { "   6.1 Adding FX", NULL, "qrc:///help/tutorial_item_1418.html"},
    { "   6.2 FX in Practice", NULL, "qrc:///help/tutorial_item_1419.html"},
    { "7 Control", NULL, "qrc:///help/tutorial_item_1420.html"},
    { "   7.1 Controlling Running Synths", NULL, "qrc:///help/tutorial_item_1421.html"},
    { "   7.2 Controlling FX", NULL, "qrc:///help/tutorial_item_1422.html"},
    { "   7.3 Sliding Options", NULL, "qrc:///help/tutorial_item_1423.html"},
    { "8 Data Structures", NULL, "qrc:///help/tutorial_item_1424.html"},
    { "   8.1 Lists", NULL, "qrc:///help/tutorial_item_1425.html"},
    { "   8.2 Chords", NULL, "qrc:///help/tutorial_item_1426.html"},
    { "   8.3 Scales", NULL, "qrc:///help/tutorial_item_1427.html"},
    { "   8.4 Rings", NULL, "qrc:///help/tutorial_item_1428.html"},
    { "   8.5 Ring Chains", NULL, "qrc:///help/tutorial_item_1429.html"},
    { "9 Live Coding", NULL, "qrc:///help/tutorial_item_1430.html"},
    { "   9.1 Live Coding Fundamentals", NULL, "qrc:///help/tutorial_item_1431.html"},
    { "   9.2 Live Loops", NULL, "qrc:///help/tutorial_item_1432.html"},
    { "   9.3 Multiple Live Loops", NULL, "qrc:///help/tutorial_item_1433.html"},
    { "   9.4 Ticking", NULL, "qrc:///help/tutorial_item_1434.html"},
    { "10 Time State", NULL, "qrc:///help/tutorial_item_1435.html"},
    { "   10.1 Set and Get", NULL, "qrc:///help/tutorial_item_1436.html"},
    { "   10.2 Sync", NULL, "qrc:///help/tutorial_item_1437.html"},
    { "   10.3 Pattern Matching", NULL, "qrc:///help/tutorial_item_1438.html"},
    { "11 MIDI", NULL, "qrc:///help/tutorial_item_1439.html"},
    { "   11.1 MIDI In", NULL, "qrc:///help/tutorial_item_1440.html"},
    { "   11.2 MIDI Out", NULL, "qrc:///help/tutorial_item_1441.html"},
    { "12 OSC", NULL, "qrc:///help/tutorial_item_1442.html"},
    { "   12.1 Receiving OSC", NULL, "qrc:///help/tutorial_item_1443.html"},
    { "   12.2 Sending OSC", NULL, "qrc:///help/tutorial_item_1444.html"},
    { "13 Multichannel Audio", NULL, "qrc:///help/tutorial_item_1445.html"},
    { "   13.1 Sound In", NULL, "qrc:///help/tutorial_item_1446.html"},
    { "   13.2 Live Audio", NULL, "qrc:///help/tutorial_item_1447.html"},
    { "   13.3 Sound Out", NULL, "qrc:///help/tutorial_item_1448.html"},
    { "14 Conclusions", NULL, "qrc:///help/tutorial_item_1449.html"},
    { "A Appendix A - MagPi Articles", NULL, "qrc:///help/tutorial_item_1450.html"},
    { "   A.1 Tips for Sonic Pi", NULL, "qrc:///help/tutorial_item_1451.html"},
    { "   A.2 Live Coding", NULL, "qrc:///help/tutorial_item_1452.html"},
    { "   A.3 Coded Beats", NULL, "qrc:///help/tutorial_item_1453.html"},
    { "   A.4 Synth Riffs", NULL, "qrc:///help/tutorial_item_1454.html"},
    { "   A.5 Acid Bass", NULL, "qrc:///help/tutorial_item_1455.html"},
    { "   A.6 Musical Minecraft", NULL, "qrc:///help/tutorial_item_1456.html"},
    { "   A.7 Bizet Beats", NULL, "qrc:///help/tutorial_item_1457.html"},
    { "   A.8 Become a Minecraft VJ", NULL, "qrc:///help/tutorial_item_1458.html"},
    { "   A.9 Randomisation", NULL, "qrc:///help/tutorial_item_1459.html"},
    { "   A.10 Control", NULL, "qrc:///help/tutorial_item_1460.html"},
    { "   A.11 Tick Tock", NULL, "qrc:///help/tutorial_item_1461.html"},
    { "   A.12 Sample Slicing", NULL, "qrc:///help/tutorial_item_1462.html"},
    { "   A.13 Code a Probabilistic Sequencer", NULL, "qrc:///help/tutorial_item_1463.html"},
    { "   A.14 Amplitude Modulation", NULL, "qrc:///help/tutorial_item_1464.html"},
    { "   A.15 Five Live Coding Techniques", NULL, "qrc:///help/tutorial_item_1465.html"},
    { "   A.16 How to Practice Live Coding", NULL, "qrc:///help/tutorial_item_1466.html"},
    { "   A.17 Sample Stretching", NULL, "qrc:///help/tutorial_item_1467.html"},
    { "   A.18 Sound Design - Additive Synthesis", NULL, "qrc:///help/tutorial_item_1468.html"},
    { "   A.19 Sound Design - Subtractive Synthesis", NULL, "qrc:///help/tutorial_item_1469.html"},
    { "   A.20 Creative coding in the classroom with Sonic Pi", NULL, "qrc:///help/tutorial_item_1470.html"},
    { "B Essential Knowledge", NULL, "qrc:///help/tutorial_item_1471.html"},
    { "   B.1 Using Shortcuts", NULL, "qrc:///help/tutorial_item_1472.html"},
    { "   B.2 Shortcut Cheatsheet", NULL, "qrc:///help/tutorial_item_1473.html"},
    { "   B.3 Sharing", NULL, "qrc:///help/tutorial_item_1474.html"},
    { "   B.4 Performing", NULL, "qrc:///help/tutorial_item_1475.html"},
    { "C Minecraft Pi", NULL, "qrc:///help/tutorial_item_1476.html"},
    { "   C.1 Basic API", NULL, "qrc:///help/tutorial_item_1477.html"},
  };

  addHelpPage(createHelpTab(tr("Tutorial")), tutorialHelpPages, 87);

} else if (systemLocale.startsWith("id")) {

  // language id

  // tutorial info
  struct help_page tutorialHelpPages[] = {
    { "1 Selamat datang di Sonic Pi", NULL, "qrc:///help/tutorial_item_1478.html"},
    { "   1.1 Live Coding", NULL, "qrc:///help/tutorial_item_1479.html"},
    { "   1.2 Exploring the Interface", NULL, "qrc:///help/tutorial_item_1480.html"},
    { "   1.3 Learning through Play", NULL, "qrc:///help/tutorial_item_1481.html"},
    { "2 Synths", NULL, "qrc:///help/tutorial_item_1482.html"},
    { "   2.1 Your First Beeps", NULL, "qrc:///help/tutorial_item_1483.html"},
    { "   2.2 Synth Options", NULL, "qrc:///help/tutorial_item_1484.html"},
    { "   2.3 Switching Synths", NULL, "qrc:///help/tutorial_item_1485.html"},
    { "   2.4 Duration with Envelopes", NULL, "qrc:///help/tutorial_item_1486.html"},
    { "3 Samples", NULL, "qrc:///help/tutorial_item_1487.html"},
    { "   3.1 Triggering Samples", NULL, "qrc:///help/tutorial_item_1488.html"},
    { "   3.2 Sample Parameters", NULL, "qrc:///help/tutorial_item_1489.html"},
    { "   3.3 Stretching Samples", NULL, "qrc:///help/tutorial_item_1490.html"},
    { "   3.4 Enveloped Samples", NULL, "qrc:///help/tutorial_item_1491.html"},
    { "   3.5 Partial Samples", NULL, "qrc:///help/tutorial_item_1492.html"},
    { "   3.6 External Samples", NULL, "qrc:///help/tutorial_item_1493.html"},
    { "   3.7 Sample Packs", NULL, "qrc:///help/tutorial_item_1494.html"},
    { "4 Randomisation", NULL, "qrc:///help/tutorial_item_1495.html"},
    { "5 Programming Structures", NULL, "qrc:///help/tutorial_item_1496.html"},
    { "   5.1 Blocks", NULL, "qrc:///help/tutorial_item_1497.html"},
    { "   5.2 Iteration and Loops", NULL, "qrc:///help/tutorial_item_1498.html"},
    { "   5.3 Conditionals", NULL, "qrc:///help/tutorial_item_1499.html"},
    { "   5.4 Threads", NULL, "qrc:///help/tutorial_item_1500.html"},
    { "   5.5 Functions", NULL, "qrc:///help/tutorial_item_1501.html"},
    { "   5.6 Variables", NULL, "qrc:///help/tutorial_item_1502.html"},
    { "   5.7 Thread Synchronisation", NULL, "qrc:///help/tutorial_item_1503.html"},
    { "6 FX", NULL, "qrc:///help/tutorial_item_1504.html"},
    { "   6.1 Adding FX", NULL, "qrc:///help/tutorial_item_1505.html"},
    { "   6.2 FX in Practice", NULL, "qrc:///help/tutorial_item_1506.html"},
    { "7 Control", NULL, "qrc:///help/tutorial_item_1507.html"},
    { "   7.1 Controlling Running Synths", NULL, "qrc:///help/tutorial_item_1508.html"},
    { "   7.2 Controlling FX", NULL, "qrc:///help/tutorial_item_1509.html"},
    { "   7.3 Sliding Options", NULL, "qrc:///help/tutorial_item_1510.html"},
    { "8 Data Structures", NULL, "qrc:///help/tutorial_item_1511.html"},
    { "   8.1 Lists", NULL, "qrc:///help/tutorial_item_1512.html"},
    { "   8.2 Chords", NULL, "qrc:///help/tutorial_item_1513.html"},
    { "   8.3 Scales", NULL, "qrc:///help/tutorial_item_1514.html"},
    { "   8.4 Rings", NULL, "qrc:///help/tutorial_item_1515.html"},
    { "   8.5 Ring Chains", NULL, "qrc:///help/tutorial_item_1516.html"},
    { "9 Live Coding", NULL, "qrc:///help/tutorial_item_1517.html"},
    { "   9.1 Live Coding Fundamentals", NULL, "qrc:///help/tutorial_item_1518.html"},
    { "   9.2 Live Loops", NULL, "qrc:///help/tutorial_item_1519.html"},
    { "   9.3 Multiple Live Loops", NULL, "qrc:///help/tutorial_item_1520.html"},
    { "   9.4 Ticking", NULL, "qrc:///help/tutorial_item_1521.html"},
    { "10 Time State", NULL, "qrc:///help/tutorial_item_1522.html"},
    { "   10.1 Set and Get", NULL, "qrc:///help/tutorial_item_1523.html"},
    { "   10.2 Sync", NULL, "qrc:///help/tutorial_item_1524.html"},
    { "   10.3 Pattern Matching", NULL, "qrc:///help/tutorial_item_1525.html"},
    { "11 MIDI", NULL, "qrc:///help/tutorial_item_1526.html"},
    { "   11.1 MIDI In", NULL, "qrc:///help/tutorial_item_1527.html"},
    { "   11.2 MIDI Out", NULL, "qrc:///help/tutorial_item_1528.html"},
    { "12 OSC", NULL, "qrc:///help/tutorial_item_1529.html"},
    { "   12.1 Receiving OSC", NULL, "qrc:///help/tutorial_item_1530.html"},
    { "   12.2 Sending OSC", NULL, "qrc:///help/tutorial_item_1531.html"},
    { "13 Multichannel Audio", NULL, "qrc:///help/tutorial_item_1532.html"},
    { "   13.1 Sound In", NULL, "qrc:///help/tutorial_item_1533.html"},
    { "   13.2 Live Audio", NULL, "qrc:///help/tutorial_item_1534.html"},
    { "   13.3 Sound Out", NULL, "qrc:///help/tutorial_item_1535.html"},
    { "14 Conclusions", NULL, "qrc:///help/tutorial_item_1536.html"},
    { "A Appendix A - MagPi Articles", NULL, "qrc:///help/tutorial_item_1537.html"},
    { "   A.1 Tips for Sonic Pi", NULL, "qrc:///help/tutorial_item_1538.html"},
    { "   A.2 Live Coding", NULL, "qrc:///help/tutorial_item_1539.html"},
    { "   A.3 Coded Beats", NULL, "qrc:///help/tutorial_item_1540.html"},
    { "   A.4 Synth Riffs", NULL, "qrc:///help/tutorial_item_1541.html"},
    { "   A.5 Acid Bass", NULL, "qrc:///help/tutorial_item_1542.html"},
    { "   A.6 Musical Minecraft", NULL, "qrc:///help/tutorial_item_1543.html"},
    { "   A.7 Bizet Beats", NULL, "qrc:///help/tutorial_item_1544.html"},
    { "   A.8 Become a Minecraft VJ", NULL, "qrc:///help/tutorial_item_1545.html"},
    { "   A.9 Randomisation", NULL, "qrc:///help/tutorial_item_1546.html"},
    { "   A.10 Control", NULL, "qrc:///help/tutorial_item_1547.html"},
    { "   A.11 Tick Tock", NULL, "qrc:///help/tutorial_item_1548.html"},
    { "   A.12 Sample Slicing", NULL, "qrc:///help/tutorial_item_1549.html"},
    { "   A.13 Code a Probabilistic Sequencer", NULL, "qrc:///help/tutorial_item_1550.html"},
    { "   A.14 Amplitude Modulation", NULL, "qrc:///help/tutorial_item_1551.html"},
    { "   A.15 Five Live Coding Techniques", NULL, "qrc:///help/tutorial_item_1552.html"},
    { "   A.16 How to Practice Live Coding", NULL, "qrc:///help/tutorial_item_1553.html"},
    { "   A.17 Sample Stretching", NULL, "qrc:///help/tutorial_item_1554.html"},
    { "   A.18 Sound Design - Additive Synthesis", NULL, "qrc:///help/tutorial_item_1555.html"},
    { "   A.19 Sound Design - Subtractive Synthesis", NULL, "qrc:///help/tutorial_item_1556.html"},
    { "   A.20 Creative coding in the classroom with Sonic Pi", NULL, "qrc:///help/tutorial_item_1557.html"},
    { "B Essential Knowledge", NULL, "qrc:///help/tutorial_item_1558.html"},
    { "   B.1 Using Shortcuts", NULL, "qrc:///help/tutorial_item_1559.html"},
    { "   B.2 Shortcut Cheatsheet", NULL, "qrc:///help/tutorial_item_1560.html"},
    { "   B.3 Sharing", NULL, "qrc:///help/tutorial_item_1561.html"},
    { "   B.4 Performing", NULL, "qrc:///help/tutorial_item_1562.html"},
    { "C Minecraft Pi", NULL, "qrc:///help/tutorial_item_1563.html"},
    { "   C.1 Basic API", NULL, "qrc:///help/tutorial_item_1564.html"},
  };

  addHelpPage(createHelpTab(tr("Tutorial")), tutorialHelpPages, 87);

} else if (systemLocale.startsWith("is")) {

  // language is

  // tutorial info
  struct help_page tutorialHelpPages[] = {
    { QString::fromUtf8("1. Velkomin í Sonic PI"), NULL, "qrc:///help/tutorial_item_1565.html"},
    { QString::fromUtf8("   1.1 Forritun í beinni"), NULL, "qrc:///help/tutorial_item_1566.html"},
    { QString::fromUtf8("   1.2 Könnunarferð um skjáinn"), NULL, "qrc:///help/tutorial_item_1567.html"},
    { QString::fromUtf8("   1.3 Lært með því að leika"), NULL, "qrc:///help/tutorial_item_1568.html"},
    { "2 Gervlar (synths)", NULL, "qrc:///help/tutorial_item_1569.html"},
    { QString::fromUtf8("   2.1 Fyrstu pípin"), NULL, "qrc:///help/tutorial_item_1570.html"},
    { "   2.2 Valkostir gervla", NULL, "qrc:///help/tutorial_item_1571.html"},
    { "   2.3 Skipt um gervla", NULL, "qrc:///help/tutorial_item_1572.html"},
    { QString::fromUtf8("   2.4 Tímalengd með hjúpum"), NULL, "qrc:///help/tutorial_item_1573.html"},
    { QString::fromUtf8("3 Sýni (sömpl)"), NULL, "qrc:///help/tutorial_item_1574.html"},
    { QString::fromUtf8("   3.1 Að ræsa sýni"), NULL, "qrc:///help/tutorial_item_1575.html"},
    { "   3.2 Sample Parameters", NULL, "qrc:///help/tutorial_item_1576.html"},
    { "   3.3 Stretching Samples", NULL, "qrc:///help/tutorial_item_1577.html"},
    { "   3.4 Enveloped Samples", NULL, "qrc:///help/tutorial_item_1578.html"},
    { "   3.5 Partial Samples", NULL, "qrc:///help/tutorial_item_1579.html"},
    { "   3.6 External Samples", NULL, "qrc:///help/tutorial_item_1580.html"},
    { "   3.7 Sample Packs", NULL, "qrc:///help/tutorial_item_1581.html"},
    { "4 Randomisation", NULL, "qrc:///help/tutorial_item_1582.html"},
    { "5 Programming Structures", NULL, "qrc:///help/tutorial_item_1583.html"},
    { "   5.1 Blocks", NULL, "qrc:///help/tutorial_item_1584.html"},
    { "   5.2 Iteration and Loops", NULL, "qrc:///help/tutorial_item_1585.html"},
    { "   5.3 Conditionals", NULL, "qrc:///help/tutorial_item_1586.html"},
    { "   5.4 Threads", NULL, "qrc:///help/tutorial_item_1587.html"},
    { "   5.5 Functions", NULL, "qrc:///help/tutorial_item_1588.html"},
    { "   5.6 Variables", NULL, "qrc:///help/tutorial_item_1589.html"},
    { "   5.7 Thread Synchronisation", NULL, "qrc:///help/tutorial_item_1590.html"},
    { "6 FX", NULL, "qrc:///help/tutorial_item_1591.html"},
    { "   6.1 Adding FX", NULL, "qrc:///help/tutorial_item_1592.html"},
    { "   6.2 FX in Practice", NULL, "qrc:///help/tutorial_item_1593.html"},
    { "7 Control", NULL, "qrc:///help/tutorial_item_1594.html"},
    { "   7.1 Controlling Running Synths", NULL, "qrc:///help/tutorial_item_1595.html"},
    { "   7.2 Controlling FX", NULL, "qrc:///help/tutorial_item_1596.html"},
    { "   7.3 Sliding Options", NULL, "qrc:///help/tutorial_item_1597.html"},
    { "8 Data Structures", NULL, "qrc:///help/tutorial_item_1598.html"},
    { "   8.1 Lists", NULL, "qrc:///help/tutorial_item_1599.html"},
    { "   8.2 Chords", NULL, "qrc:///help/tutorial_item_1600.html"},
    { "   8.3 Scales", NULL, "qrc:///help/tutorial_item_1601.html"},
    { "   8.4 Rings", NULL, "qrc:///help/tutorial_item_1602.html"},
    { "   8.5 Ring Chains", NULL, "qrc:///help/tutorial_item_1603.html"},
    { "9 Live Coding", NULL, "qrc:///help/tutorial_item_1604.html"},
    { "   9.1 Live Coding Fundamentals", NULL, "qrc:///help/tutorial_item_1605.html"},
    { "   9.2 Live Loops", NULL, "qrc:///help/tutorial_item_1606.html"},
    { "   9.3 Multiple Live Loops", NULL, "qrc:///help/tutorial_item_1607.html"},
    { "   9.4 Ticking", NULL, "qrc:///help/tutorial_item_1608.html"},
    { "10 Time State", NULL, "qrc:///help/tutorial_item_1609.html"},
    { "   10.1 Set and Get", NULL, "qrc:///help/tutorial_item_1610.html"},
    { "   10.2 Sync", NULL, "qrc:///help/tutorial_item_1611.html"},
    { "   10.3 Pattern Matching", NULL, "qrc:///help/tutorial_item_1612.html"},
    { "11 MIDI", NULL, "qrc:///help/tutorial_item_1613.html"},
    { "   11.1 MIDI In", NULL, "qrc:///help/tutorial_item_1614.html"},
    { "   11.2 MIDI Out", NULL, "qrc:///help/tutorial_item_1615.html"},
    { "12 OSC", NULL, "qrc:///help/tutorial_item_1616.html"},
    { "   12.1 Receiving OSC", NULL, "qrc:///help/tutorial_item_1617.html"},
    { "   12.2 Sending OSC", NULL, "qrc:///help/tutorial_item_1618.html"},
    { "13 Multichannel Audio", NULL, "qrc:///help/tutorial_item_1619.html"},
    { "   13.1 Sound In", NULL, "qrc:///help/tutorial_item_1620.html"},
    { "   13.2 Live Audio", NULL, "qrc:///help/tutorial_item_1621.html"},
    { "   13.3 Sound Out", NULL, "qrc:///help/tutorial_item_1622.html"},
    { "14 Conclusions", NULL, "qrc:///help/tutorial_item_1623.html"},
    { "A Appendix A - MagPi Articles", NULL, "qrc:///help/tutorial_item_1624.html"},
    { "   A.1 Tips for Sonic Pi", NULL, "qrc:///help/tutorial_item_1625.html"},
    { "   A.2 Live Coding", NULL, "qrc:///help/tutorial_item_1626.html"},
    { "   A.3 Coded Beats", NULL, "qrc:///help/tutorial_item_1627.html"},
    { "   A.4 Synth Riffs", NULL, "qrc:///help/tutorial_item_1628.html"},
    { "   A.5 Acid Bass", NULL, "qrc:///help/tutorial_item_1629.html"},
    { "   A.6 Musical Minecraft", NULL, "qrc:///help/tutorial_item_1630.html"},
    { "   A.7 Bizet Beats", NULL, "qrc:///help/tutorial_item_1631.html"},
    { "   A.8 Become a Minecraft VJ", NULL, "qrc:///help/tutorial_item_1632.html"},
    { "   A.9 Randomisation", NULL, "qrc:///help/tutorial_item_1633.html"},
    { "   A.10 Control", NULL, "qrc:///help/tutorial_item_1634.html"},
    { "   A.11 Tick Tock", NULL, "qrc:///help/tutorial_item_1635.html"},
    { "   A.12 Sample Slicing", NULL, "qrc:///help/tutorial_item_1636.html"},
    { "   A.13 Code a Probabilistic Sequencer", NULL, "qrc:///help/tutorial_item_1637.html"},
    { "   A.14 Amplitude Modulation", NULL, "qrc:///help/tutorial_item_1638.html"},
    { "   A.15 Five Live Coding Techniques", NULL, "qrc:///help/tutorial_item_1639.html"},
    { "   A.16 How to Practice Live Coding", NULL, "qrc:///help/tutorial_item_1640.html"},
    { "   A.17 Sample Stretching", NULL, "qrc:///help/tutorial_item_1641.html"},
    { "   A.18 Sound Design - Additive Synthesis", NULL, "qrc:///help/tutorial_item_1642.html"},
    { "   A.19 Sound Design - Subtractive Synthesis", NULL, "qrc:///help/tutorial_item_1643.html"},
    { "   A.20 Creative coding in the classroom with Sonic Pi", NULL, "qrc:///help/tutorial_item_1644.html"},
    { "B Essential Knowledge", NULL, "qrc:///help/tutorial_item_1645.html"},
    { "   B.1 Using Shortcuts", NULL, "qrc:///help/tutorial_item_1646.html"},
    { "   B.2 Shortcut Cheatsheet", NULL, "qrc:///help/tutorial_item_1647.html"},
    { "   B.3 Sharing", NULL, "qrc:///help/tutorial_item_1648.html"},
    { "   B.4 Performing", NULL, "qrc:///help/tutorial_item_1649.html"},
    { "C Minecraft Pi", NULL, "qrc:///help/tutorial_item_1650.html"},
    { "   C.1 Basic API", NULL, "qrc:///help/tutorial_item_1651.html"},
  };

  addHelpPage(createHelpTab(tr("Tutorial")), tutorialHelpPages, 87);

} else if (systemLocale.startsWith("it")) {

  // language it

  // tutorial info
  struct help_page tutorialHelpPages[] = {
    { "1 Benvenuto in Sonic Pi", NULL, "qrc:///help/tutorial_item_1652.html"},
    { "   1.1 Programmare dal vivo", NULL, "qrc:///help/tutorial_item_1653.html"},
    { QString::fromUtf8("   1.2 Esploriamo l’interfaccia"), NULL, "qrc:///help/tutorial_item_1654.html"},
    { "   1.3 Imparare suonando", NULL, "qrc:///help/tutorial_item_1655.html"},
    { "2 Synth (Sintetizzatori)", NULL, "qrc:///help/tutorial_item_1656.html"},
    { "   2.1 I tuoi primi Beep", NULL, "qrc:///help/tutorial_item_1657.html"},
    { "   2.2 Parametri dei Synth", NULL, "qrc:///help/tutorial_item_1658.html"},
    { "   2.3 Muoversi fra i Synth", NULL, "qrc:///help/tutorial_item_1659.html"},
    { "   2.4 Durate e inviluppi", NULL, "qrc:///help/tutorial_item_1660.html"},
    { "3 Campioni", NULL, "qrc:///help/tutorial_item_1661.html"},
    { "   3.1 Suonare i campioni", NULL, "qrc:///help/tutorial_item_1662.html"},
    { "   3.2 I parametri dei campioni", NULL, "qrc:///help/tutorial_item_1663.html"},
    { "   3.3 Stretching dei campioni", NULL, "qrc:///help/tutorial_item_1664.html"},
    { "   3.4 Inviluppo dei campioni", NULL, "qrc:///help/tutorial_item_1665.html"},
    { "   3.5 Esecuzione parziale dei campioni", NULL, "qrc:///help/tutorial_item_1666.html"},
    { "   3.6 Campioni esterni", NULL, "qrc:///help/tutorial_item_1667.html"},
    { "   3.7 Pacchetti di sample", NULL, "qrc:///help/tutorial_item_1668.html"},
    { "4 Randomizzazione", NULL, "qrc:///help/tutorial_item_1669.html"},
    { "5 Strutture di programmazione", NULL, "qrc:///help/tutorial_item_1670.html"},
    { "   5.1 Blocchi", NULL, "qrc:///help/tutorial_item_1671.html"},
    { "   5.2 Iterazioni e anelli", NULL, "qrc:///help/tutorial_item_1672.html"},
    { "   5.3 Condizionali", NULL, "qrc:///help/tutorial_item_1673.html"},
    { "   5.4 Catene", NULL, "qrc:///help/tutorial_item_1674.html"},
    { "   5.5 Funzioni", NULL, "qrc:///help/tutorial_item_1675.html"},
    { "   5.6 Variabili", NULL, "qrc:///help/tutorial_item_1676.html"},
    { "   5.7 Sincronizzazione dei thread", NULL, "qrc:///help/tutorial_item_1677.html"},
    { "6 Effetti", NULL, "qrc:///help/tutorial_item_1678.html"},
    { "   6.1 Aggiungere un effetto", NULL, "qrc:///help/tutorial_item_1679.html"},
    { "   6.2 Effetti in pratica", NULL, "qrc:///help/tutorial_item_1680.html"},
    { "7 Controlli", NULL, "qrc:///help/tutorial_item_1681.html"},
    { "   7.1 Controllare i sintetizzatori in riproduzione", NULL, "qrc:///help/tutorial_item_1682.html"},
    { "   7.2 Controllare gli effetti", NULL, "qrc:///help/tutorial_item_1683.html"},
    { "   7.3 Parametri scorrevoli", NULL, "qrc:///help/tutorial_item_1684.html"},
    { "8 Strutture di dati", NULL, "qrc:///help/tutorial_item_1685.html"},
    { "   8.1 Liste", NULL, "qrc:///help/tutorial_item_1686.html"},
    { "   8.2 Accordi", NULL, "qrc:///help/tutorial_item_1687.html"},
    { "   8.3 Scale", NULL, "qrc:///help/tutorial_item_1688.html"},
    { "   8.4 Anelli", NULL, "qrc:///help/tutorial_item_1689.html"},
    { "   8.5 Catene di anelli", NULL, "qrc:///help/tutorial_item_1690.html"},
    { "9 Programmare Live", NULL, "qrc:///help/tutorial_item_1691.html"},
    { "   9.1 Fondamenti di live coding", NULL, "qrc:///help/tutorial_item_1692.html"},
    { "   9.2 Loop Live", NULL, "qrc:///help/tutorial_item_1693.html"},
    { "   9.3 Live loop multipli", NULL, "qrc:///help/tutorial_item_1694.html"},
    { "   9.4 Ticchettio", NULL, "qrc:///help/tutorial_item_1695.html"},
    { "10 Time State", NULL, "qrc:///help/tutorial_item_1696.html"},
    { "   10.1 Set e Get", NULL, "qrc:///help/tutorial_item_1697.html"},
    { "   10.2 Sync", NULL, "qrc:///help/tutorial_item_1698.html"},
    { "   10.3 Pattern Matching", NULL, "qrc:///help/tutorial_item_1699.html"},
    { "11 MIDI", NULL, "qrc:///help/tutorial_item_1700.html"},
    { "   11.1 MIDI In", NULL, "qrc:///help/tutorial_item_1701.html"},
    { "   11.2 MIDI Out", NULL, "qrc:///help/tutorial_item_1702.html"},
    { "12 OSC", NULL, "qrc:///help/tutorial_item_1703.html"},
    { "   12.1 Receiving OSC", NULL, "qrc:///help/tutorial_item_1704.html"},
    { "   12.2 Sending OSC", NULL, "qrc:///help/tutorial_item_1705.html"},
    { "13 Multichannel Audio", NULL, "qrc:///help/tutorial_item_1706.html"},
    { "   13.1 Sound In", NULL, "qrc:///help/tutorial_item_1707.html"},
    { "   13.2 Live Audio", NULL, "qrc:///help/tutorial_item_1708.html"},
    { "   13.3 Sound Out", NULL, "qrc:///help/tutorial_item_1709.html"},
    { "12 Conclusioni", NULL, "qrc:///help/tutorial_item_1710.html"},
    { "A Appencice A - Articoli MagPi", NULL, "qrc:///help/tutorial_item_1711.html"},
    { "   A.1 Consigli per Sonic Pi", NULL, "qrc:///help/tutorial_item_1712.html"},
    { "   A.2 Programmare Live", NULL, "qrc:///help/tutorial_item_1713.html"},
    { "   A.3 Beat codificati", NULL, "qrc:///help/tutorial_item_1714.html"},
    { "   A.4 Riff di synth", NULL, "qrc:///help/tutorial_item_1715.html"},
    { "   A.5 Acid Bass", NULL, "qrc:///help/tutorial_item_1716.html"},
    { "   A.6 Minecraft Musicale", NULL, "qrc:///help/tutorial_item_1717.html"},
    { "   A.7 Battiti di Bizet", NULL, "qrc:///help/tutorial_item_1718.html"},
    { "   A.8 Diventa un VJ di Minecraft", NULL, "qrc:///help/tutorial_item_1719.html"},
    { "   A.9 Randomizzazione", NULL, "qrc:///help/tutorial_item_1720.html"},
    { "   A.10 Controlli", NULL, "qrc:///help/tutorial_item_1721.html"},
    { "   A.11 Tick Tock", NULL, "qrc:///help/tutorial_item_1722.html"},
    { "   A.12 Tagliare i campioni", NULL, "qrc:///help/tutorial_item_1723.html"},
    { "   A.13 Programma un Sequencer Probabilistico", NULL, "qrc:///help/tutorial_item_1724.html"},
    { "   A.14 Modulazione d'ampiezza", NULL, "qrc:///help/tutorial_item_1725.html"},
    { "   A.15 Cinque tecniche di live coding", NULL, "qrc:///help/tutorial_item_1726.html"},
    { "   A.16 Come far pratica di live coding", NULL, "qrc:///help/tutorial_item_1727.html"},
    { "   A.17 Allungare i campioni", NULL, "qrc:///help/tutorial_item_1728.html"},
    { "   A.18 Sound Design - Additive Synthesis", NULL, "qrc:///help/tutorial_item_1729.html"},
    { "   A.19 Sound Design - Subtractive Synthesis", NULL, "qrc:///help/tutorial_item_1730.html"},
    { "   A.20 Creative coding in the classroom with Sonic Pi", NULL, "qrc:///help/tutorial_item_1731.html"},
    { "Informazioni essenziali", NULL, "qrc:///help/tutorial_item_1732.html"},
    { "   10.1 Utilizzare le scorciatoie", NULL, "qrc:///help/tutorial_item_1733.html"},
    { "   10.2 Riassunto scorciatoie", NULL, "qrc:///help/tutorial_item_1734.html"},
    { "   10.3 Condivisione", NULL, "qrc:///help/tutorial_item_1735.html"},
    { "   10.4 Suonare dal vivo", NULL, "qrc:///help/tutorial_item_1736.html"},
    { "Minecraft Pi", NULL, "qrc:///help/tutorial_item_1737.html"},
    { "   11.1 API di base", NULL, "qrc:///help/tutorial_item_1738.html"},
  };

  addHelpPage(createHelpTab(tr("Tutorial")), tutorialHelpPages, 87);

} else if (systemLocale.startsWith("ja")) {

  // language ja

  // tutorial info
  struct help_page tutorialHelpPages[] = {
    { QString::fromUtf8("1 Sonic Pi へようこそ"), NULL, "qrc:///help/tutorial_item_1739.html"},
    { QString::fromUtf8("   1.1 ライブコーディング"), NULL, "qrc:///help/tutorial_item_1740.html"},
    { QString::fromUtf8("   1.2 インタフェースの探索"), NULL, "qrc:///help/tutorial_item_1741.html"},
    { QString::fromUtf8("   1.3 遊びを通した学び"), NULL, "qrc:///help/tutorial_item_1742.html"},
    { QString::fromUtf8("2 シンセ"), NULL, "qrc:///help/tutorial_item_1743.html"},
    { QString::fromUtf8("   2.1 初めての音"), NULL, "qrc:///help/tutorial_item_1744.html"},
    { QString::fromUtf8("   2.2 シンセのオプション"), NULL, "qrc:///help/tutorial_item_1745.html"},
    { QString::fromUtf8("   2.3 シンセの切り替え"), NULL, "qrc:///help/tutorial_item_1746.html"},
    { QString::fromUtf8("   2.4 エンベロープでのデュレーション"), NULL, "qrc:///help/tutorial_item_1747.html"},
    { QString::fromUtf8("3 サンプル"), NULL, "qrc:///help/tutorial_item_1748.html"},
    { QString::fromUtf8("   3.1 サンプルを使う"), NULL, "qrc:///help/tutorial_item_1749.html"},
    { QString::fromUtf8("   3.2 サンプル・パラメータ"), NULL, "qrc:///help/tutorial_item_1750.html"},
    { QString::fromUtf8("   3.3 サンプルを引き延ばす"), NULL, "qrc:///help/tutorial_item_1751.html"},
    { QString::fromUtf8("   3.4 エンベロープ・サンプル"), NULL, "qrc:///help/tutorial_item_1752.html"},
    { QString::fromUtf8("   3.5 部分的なサンプル"), NULL, "qrc:///help/tutorial_item_1753.html"},
    { QString::fromUtf8("   3.6 外部サンプル"), NULL, "qrc:///help/tutorial_item_1754.html"},
    { QString::fromUtf8("   3.7 サンプルパック"), NULL, "qrc:///help/tutorial_item_1755.html"},
    { QString::fromUtf8("4 ランダム化"), NULL, "qrc:///help/tutorial_item_1756.html"},
    { QString::fromUtf8("5 プログラミングの構造"), NULL, "qrc:///help/tutorial_item_1757.html"},
    { QString::fromUtf8("   5.1 ブロック"), NULL, "qrc:///help/tutorial_item_1758.html"},
    { QString::fromUtf8("   5.2 イテレーション（反復）とループ"), NULL, "qrc:///help/tutorial_item_1759.html"},
    { QString::fromUtf8("   5.3 条件文"), NULL, "qrc:///help/tutorial_item_1760.html"},
    { QString::fromUtf8("   5.4 スレッド"), NULL, "qrc:///help/tutorial_item_1761.html"},
    { QString::fromUtf8("   5.5 ファンクション（関数）"), NULL, "qrc:///help/tutorial_item_1762.html"},
    { QString::fromUtf8("   5.6 変数"), NULL, "qrc:///help/tutorial_item_1763.html"},
    { QString::fromUtf8("   5.7 スレッドの同期"), NULL, "qrc:///help/tutorial_item_1764.html"},
    { QString::fromUtf8("6 エフェクト"), NULL, "qrc:///help/tutorial_item_1765.html"},
    { QString::fromUtf8("   6.1 エフェクトの追加"), NULL, "qrc:///help/tutorial_item_1766.html"},
    { QString::fromUtf8("   6.2 エフェクトの実践"), NULL, "qrc:///help/tutorial_item_1767.html"},
    { QString::fromUtf8("7 コントロール"), NULL, "qrc:///help/tutorial_item_1768.html"},
    { QString::fromUtf8("   7.1 演奏中のシンセ制御"), NULL, "qrc:///help/tutorial_item_1769.html"},
    { QString::fromUtf8("   7.2 エフェクトの制御"), NULL, "qrc:///help/tutorial_item_1770.html"},
    { QString::fromUtf8("   7.3 オプションのスライド"), NULL, "qrc:///help/tutorial_item_1771.html"},
    { QString::fromUtf8("8 データ構造"), NULL, "qrc:///help/tutorial_item_1772.html"},
    { QString::fromUtf8("   8.1 リスト"), NULL, "qrc:///help/tutorial_item_1773.html"},
    { QString::fromUtf8("   8.2 コード（和音）"), NULL, "qrc:///help/tutorial_item_1774.html"},
    { QString::fromUtf8("   8.3 スケール（音階）"), NULL, "qrc:///help/tutorial_item_1775.html"},
    { QString::fromUtf8("   8.4 リング"), NULL, "qrc:///help/tutorial_item_1776.html"},
    { QString::fromUtf8("   8.5 リングのチェイン"), NULL, "qrc:///help/tutorial_item_1777.html"},
    { QString::fromUtf8("9 ライブコーディング"), NULL, "qrc:///help/tutorial_item_1778.html"},
    { QString::fromUtf8("   9.1 ライブコーディングの基本"), NULL, "qrc:///help/tutorial_item_1779.html"},
    { QString::fromUtf8("   9.2 ライブループ"), NULL, "qrc:///help/tutorial_item_1780.html"},
    { QString::fromUtf8("   9.3 マルチ・ライブループ"), NULL, "qrc:///help/tutorial_item_1781.html"},
    { QString::fromUtf8("   9.4 チック"), NULL, "qrc:///help/tutorial_item_1782.html"},
    { "10 Time State", NULL, "qrc:///help/tutorial_item_1783.html"},
    { "   10.1 Set and Get", NULL, "qrc:///help/tutorial_item_1784.html"},
    { "   10.2 Sync", NULL, "qrc:///help/tutorial_item_1785.html"},
    { "   10.3 Pattern Matching", NULL, "qrc:///help/tutorial_item_1786.html"},
    { "11 MIDI", NULL, "qrc:///help/tutorial_item_1787.html"},
    { "   11.1 MIDI In", NULL, "qrc:///help/tutorial_item_1788.html"},
    { "   11.2 MIDI Out", NULL, "qrc:///help/tutorial_item_1789.html"},
    { "12 OSC", NULL, "qrc:///help/tutorial_item_1790.html"},
    { "   12.1 Receiving OSC", NULL, "qrc:///help/tutorial_item_1791.html"},
    { "   12.2 Sending OSC", NULL, "qrc:///help/tutorial_item_1792.html"},
    { "13 Multichannel Audio", NULL, "qrc:///help/tutorial_item_1793.html"},
    { "   13.1 Sound In", NULL, "qrc:///help/tutorial_item_1794.html"},
    { "   13.2 Live Audio", NULL, "qrc:///help/tutorial_item_1795.html"},
    { "   13.3 Sound Out", NULL, "qrc:///help/tutorial_item_1796.html"},
    { QString::fromUtf8("12 おわりに"), NULL, "qrc:///help/tutorial_item_1797.html"},
    { QString::fromUtf8("A 付録A - MagPi掲載記事"), NULL, "qrc:///help/tutorial_item_1798.html"},
    { QString::fromUtf8("   A.1 Sonic Piのためのヒント"), NULL, "qrc:///help/tutorial_item_1799.html"},
    { QString::fromUtf8("   A.2 ライブコーディング"), NULL, "qrc:///help/tutorial_item_1800.html"},
    { QString::fromUtf8("   A.3 コード化されたビート"), NULL, "qrc:///help/tutorial_item_1801.html"},
    { QString::fromUtf8("   A.4 シンセ・リフ"), NULL, "qrc:///help/tutorial_item_1802.html"},
    { QString::fromUtf8("   A.5 アシッドベース"), NULL, "qrc:///help/tutorial_item_1803.html"},
    { QString::fromUtf8("   A.6 音楽的なMinecraft"), NULL, "qrc:///help/tutorial_item_1804.html"},
    { QString::fromUtf8("   A.7 ビゼービート"), NULL, "qrc:///help/tutorial_item_1805.html"},
    { QString::fromUtf8("   A.8 Minecraft VJになる"), NULL, "qrc:///help/tutorial_item_1806.html"},
    { QString::fromUtf8("   A.9 ランダム化"), NULL, "qrc:///help/tutorial_item_1807.html"},
    { QString::fromUtf8("   A.10 コントロール"), NULL, "qrc:///help/tutorial_item_1808.html"},
    { QString::fromUtf8("   A.11 チック・タック"), NULL, "qrc:///help/tutorial_item_1809.html"},
    { QString::fromUtf8("   A.12 サンプルをスライスする"), NULL, "qrc:///help/tutorial_item_1810.html"},
    { QString::fromUtf8("   A.13 確率的シーケンサーをコーディングする"), NULL, "qrc:///help/tutorial_item_1811.html"},
    { QString::fromUtf8("   A.14 振幅変調"), NULL, "qrc:///help/tutorial_item_1812.html"},
    { QString::fromUtf8("   A.15 ライブコーディング5つのテクニック"), NULL, "qrc:///help/tutorial_item_1813.html"},
    { QString::fromUtf8("   A.16 ライブコーディングの練習方法"), NULL, "qrc:///help/tutorial_item_1814.html"},
    { "   A.18 Sound Design - Additive Synthesis", NULL, "qrc:///help/tutorial_item_1815.html"},
    { "   A.19 Sound Design - Subtractive Synthesis", NULL, "qrc:///help/tutorial_item_1816.html"},
    { "   A.20 Creative coding in the classroom with Sonic Pi", NULL, "qrc:///help/tutorial_item_1817.html"},
    { QString::fromUtf8("不可欠な知識"), NULL, "qrc:///help/tutorial_item_1818.html"},
    { QString::fromUtf8("   10.1 ショートカットの使用"), NULL, "qrc:///help/tutorial_item_1819.html"},
    { QString::fromUtf8("   10.2 ショートカット一覧表"), NULL, "qrc:///help/tutorial_item_1820.html"},
    { QString::fromUtf8("   10.3 共有"), NULL, "qrc:///help/tutorial_item_1821.html"},
    { QString::fromUtf8("   10.4 パフォーマンス"), NULL, "qrc:///help/tutorial_item_1822.html"},
    { QString::fromUtf8("Minecraft Pi（マインクラフトパイ）"), NULL, "qrc:///help/tutorial_item_1823.html"},
    { QString::fromUtf8("   11.1 ベーシックなAPI"), NULL, "qrc:///help/tutorial_item_1824.html"},
  };

  addHelpPage(createHelpTab(tr("Tutorial")), tutorialHelpPages, 86);

} else if (systemLocale.startsWith("ko")) {

  // language ko

  // tutorial info
  struct help_page tutorialHelpPages[] = {
    { QString::fromUtf8("1 소닉 파이에 오신 것을 환영합니다"), NULL, "qrc:///help/tutorial_item_1825.html"},
    { QString::fromUtf8("   1.1 라이브 코딩(Live Coding)"), NULL, "qrc:///help/tutorial_item_1826.html"},
    { QString::fromUtf8("   1.2 인터페이스 둘러보기"), NULL, "qrc:///help/tutorial_item_1827.html"},
    { "   1.3 Learning through Play", NULL, "qrc:///help/tutorial_item_1828.html"},
    { "2 Synths", NULL, "qrc:///help/tutorial_item_1829.html"},
    { "   2.1 Your First Beeps", NULL, "qrc:///help/tutorial_item_1830.html"},
    { "   2.2 Synth Options", NULL, "qrc:///help/tutorial_item_1831.html"},
    { "   2.3 Switching Synths", NULL, "qrc:///help/tutorial_item_1832.html"},
    { "   2.4 Duration with Envelopes", NULL, "qrc:///help/tutorial_item_1833.html"},
    { "3 Samples", NULL, "qrc:///help/tutorial_item_1834.html"},
    { "   3.1 Triggering Samples", NULL, "qrc:///help/tutorial_item_1835.html"},
    { "   3.2 Sample Parameters", NULL, "qrc:///help/tutorial_item_1836.html"},
    { "   3.3 Stretching Samples", NULL, "qrc:///help/tutorial_item_1837.html"},
    { "   3.4 Enveloped Samples", NULL, "qrc:///help/tutorial_item_1838.html"},
    { "   3.5 Partial Samples", NULL, "qrc:///help/tutorial_item_1839.html"},
    { "   3.6 External Samples", NULL, "qrc:///help/tutorial_item_1840.html"},
    { "   3.7 Sample Packs", NULL, "qrc:///help/tutorial_item_1841.html"},
    { "4 Randomisation", NULL, "qrc:///help/tutorial_item_1842.html"},
    { "5 Programming Structures", NULL, "qrc:///help/tutorial_item_1843.html"},
    { "   5.1 Blocks", NULL, "qrc:///help/tutorial_item_1844.html"},
    { "   5.2 Iteration and Loops", NULL, "qrc:///help/tutorial_item_1845.html"},
    { "   5.3 Conditionals", NULL, "qrc:///help/tutorial_item_1846.html"},
    { "   5.4 Threads", NULL, "qrc:///help/tutorial_item_1847.html"},
    { "   5.5 Functions", NULL, "qrc:///help/tutorial_item_1848.html"},
    { "   5.6 Variables", NULL, "qrc:///help/tutorial_item_1849.html"},
    { "   5.7 Thread Synchronisation", NULL, "qrc:///help/tutorial_item_1850.html"},
    { "6 FX", NULL, "qrc:///help/tutorial_item_1851.html"},
    { "   6.1 Adding FX", NULL, "qrc:///help/tutorial_item_1852.html"},
    { "   6.2 FX in Practice", NULL, "qrc:///help/tutorial_item_1853.html"},
    { "7 Control", NULL, "qrc:///help/tutorial_item_1854.html"},
    { "   7.1 Controlling Running Synths", NULL, "qrc:///help/tutorial_item_1855.html"},
    { "   7.2 Controlling FX", NULL, "qrc:///help/tutorial_item_1856.html"},
    { "   7.3 Sliding Options", NULL, "qrc:///help/tutorial_item_1857.html"},
    { "8 Data Structures", NULL, "qrc:///help/tutorial_item_1858.html"},
    { "   8.1 Lists", NULL, "qrc:///help/tutorial_item_1859.html"},
    { "   8.2 Chords", NULL, "qrc:///help/tutorial_item_1860.html"},
    { "   8.3 Scales", NULL, "qrc:///help/tutorial_item_1861.html"},
    { "   8.4 Rings", NULL, "qrc:///help/tutorial_item_1862.html"},
    { "   8.5 Ring Chains", NULL, "qrc:///help/tutorial_item_1863.html"},
    { "9 Live Coding", NULL, "qrc:///help/tutorial_item_1864.html"},
    { "   9.1 Live Coding Fundamentals", NULL, "qrc:///help/tutorial_item_1865.html"},
    { "   9.2 Live Loops", NULL, "qrc:///help/tutorial_item_1866.html"},
    { "   9.3 Multiple Live Loops", NULL, "qrc:///help/tutorial_item_1867.html"},
    { "   9.4 Ticking", NULL, "qrc:///help/tutorial_item_1868.html"},
    { "10 Time State", NULL, "qrc:///help/tutorial_item_1869.html"},
    { "   10.1 Set and Get", NULL, "qrc:///help/tutorial_item_1870.html"},
    { "   10.2 Sync", NULL, "qrc:///help/tutorial_item_1871.html"},
    { "   10.3 Pattern Matching", NULL, "qrc:///help/tutorial_item_1872.html"},
    { "11 MIDI", NULL, "qrc:///help/tutorial_item_1873.html"},
    { "   11.1 MIDI In", NULL, "qrc:///help/tutorial_item_1874.html"},
    { "   11.2 MIDI Out", NULL, "qrc:///help/tutorial_item_1875.html"},
    { "12 OSC", NULL, "qrc:///help/tutorial_item_1876.html"},
    { "   12.1 Receiving OSC", NULL, "qrc:///help/tutorial_item_1877.html"},
    { "   12.2 Sending OSC", NULL, "qrc:///help/tutorial_item_1878.html"},
    { "13 Multichannel Audio", NULL, "qrc:///help/tutorial_item_1879.html"},
    { "   13.1 Sound In", NULL, "qrc:///help/tutorial_item_1880.html"},
    { "   13.2 Live Audio", NULL, "qrc:///help/tutorial_item_1881.html"},
    { "   13.3 Sound Out", NULL, "qrc:///help/tutorial_item_1882.html"},
    { "14 Conclusions", NULL, "qrc:///help/tutorial_item_1883.html"},
    { "A Appendix A - MagPi Articles", NULL, "qrc:///help/tutorial_item_1884.html"},
    { "   A.1 Tips for Sonic Pi", NULL, "qrc:///help/tutorial_item_1885.html"},
    { "   A.2 Live Coding", NULL, "qrc:///help/tutorial_item_1886.html"},
    { "   A.3 Coded Beats", NULL, "qrc:///help/tutorial_item_1887.html"},
    { "   A.4 Synth Riffs", NULL, "qrc:///help/tutorial_item_1888.html"},
    { "   A.5 Acid Bass", NULL, "qrc:///help/tutorial_item_1889.html"},
    { "   A.6 Musical Minecraft", NULL, "qrc:///help/tutorial_item_1890.html"},
    { "   A.7 Bizet Beats", NULL, "qrc:///help/tutorial_item_1891.html"},
    { "   A.8 Become a Minecraft VJ", NULL, "qrc:///help/tutorial_item_1892.html"},
    { "   A.9 Randomisation", NULL, "qrc:///help/tutorial_item_1893.html"},
    { "   A.10 Control", NULL, "qrc:///help/tutorial_item_1894.html"},
    { "   A.11 Tick Tock", NULL, "qrc:///help/tutorial_item_1895.html"},
    { "   A.12 Sample Slicing", NULL, "qrc:///help/tutorial_item_1896.html"},
    { "   A.13 Code a Probabilistic Sequencer", NULL, "qrc:///help/tutorial_item_1897.html"},
    { "   A.14 Amplitude Modulation", NULL, "qrc:///help/tutorial_item_1898.html"},
    { "   A.15 Five Live Coding Techniques", NULL, "qrc:///help/tutorial_item_1899.html"},
    { "   A.16 How to Practice Live Coding", NULL, "qrc:///help/tutorial_item_1900.html"},
    { "   A.17 Sample Stretching", NULL, "qrc:///help/tutorial_item_1901.html"},
    { "   A.18 Sound Design - Additive Synthesis", NULL, "qrc:///help/tutorial_item_1902.html"},
    { "   A.19 Sound Design - Subtractive Synthesis", NULL, "qrc:///help/tutorial_item_1903.html"},
    { "   A.20 Creative coding in the classroom with Sonic Pi", NULL, "qrc:///help/tutorial_item_1904.html"},
    { "B Essential Knowledge", NULL, "qrc:///help/tutorial_item_1905.html"},
    { "   B.1 Using Shortcuts", NULL, "qrc:///help/tutorial_item_1906.html"},
    { "   B.2 Shortcut Cheatsheet", NULL, "qrc:///help/tutorial_item_1907.html"},
    { "   B.3 Sharing", NULL, "qrc:///help/tutorial_item_1908.html"},
    { "   B.4 Performing", NULL, "qrc:///help/tutorial_item_1909.html"},
    { "C Minecraft Pi", NULL, "qrc:///help/tutorial_item_1910.html"},
    { "   C.1 Basic API", NULL, "qrc:///help/tutorial_item_1911.html"},
  };

  addHelpPage(createHelpTab(tr("Tutorial")), tutorialHelpPages, 87);

} else if (systemLocale.startsWith("nb")) {

  // language nb

  // tutorial info
  struct help_page tutorialHelpPages[] = {
    { "1 Velkommen til Sonic Pi", NULL, "qrc:///help/tutorial_item_1912.html"},
    { QString::fromUtf8("   1.1 Koding på direkten"), NULL, "qrc:///help/tutorial_item_1913.html"},
    { "   1.2 Utforskning av brukergrensesnittet", NULL, "qrc:///help/tutorial_item_1914.html"},
    { QString::fromUtf8("   1.3 Læring gjennom lek"), NULL, "qrc:///help/tutorial_item_1915.html"},
    { "2 Synter", NULL, "qrc:///help/tutorial_item_1916.html"},
    { QString::fromUtf8("   2.1 Dine første pipelyder"), NULL, "qrc:///help/tutorial_item_1917.html"},
    { "   2.2 Synth-valg", NULL, "qrc:///help/tutorial_item_1918.html"},
    { "   2.3 Bytte synter", NULL, "qrc:///help/tutorial_item_1919.html"},
    { "   2.4 Varighet med Envelopes", NULL, "qrc:///help/tutorial_item_1920.html"},
    { "3 Sampler", NULL, "qrc:///help/tutorial_item_1921.html"},
    { "   3.1 Trigge sampler", NULL, "qrc:///help/tutorial_item_1922.html"},
    { "   3.2 Sampel-parametre", NULL, "qrc:///help/tutorial_item_1923.html"},
    { "   3.3 Strekke Sampler", NULL, "qrc:///help/tutorial_item_1924.html"},
    { "   3.4 Omslag for sampler", NULL, "qrc:///help/tutorial_item_1925.html"},
    { QString::fromUtf8("   3.5 Delvise Prøver"), NULL, "qrc:///help/tutorial_item_1926.html"},
    { "   3.6 External Samples", NULL, "qrc:///help/tutorial_item_1927.html"},
    { "   3.7 Sample Packs", NULL, "qrc:///help/tutorial_item_1928.html"},
    { "4 Randomisation", NULL, "qrc:///help/tutorial_item_1929.html"},
    { "5 Programming Structures", NULL, "qrc:///help/tutorial_item_1930.html"},
    { "   5.1 Blocks", NULL, "qrc:///help/tutorial_item_1931.html"},
    { "   5.2 Iteration and Loops", NULL, "qrc:///help/tutorial_item_1932.html"},
    { "   5.3 Conditionals", NULL, "qrc:///help/tutorial_item_1933.html"},
    { "   5.4 Threads", NULL, "qrc:///help/tutorial_item_1934.html"},
    { "   5.5 Functions", NULL, "qrc:///help/tutorial_item_1935.html"},
    { "   5.6 Variables", NULL, "qrc:///help/tutorial_item_1936.html"},
    { "   5.7 Thread Synchronisation", NULL, "qrc:///help/tutorial_item_1937.html"},
    { "6 FX", NULL, "qrc:///help/tutorial_item_1938.html"},
    { "   6.1 Adding FX", NULL, "qrc:///help/tutorial_item_1939.html"},
    { "   6.2 FX in Practice", NULL, "qrc:///help/tutorial_item_1940.html"},
    { "7 Control", NULL, "qrc:///help/tutorial_item_1941.html"},
    { "   7.1 Controlling Running Synths", NULL, "qrc:///help/tutorial_item_1942.html"},
    { "   7.2 Controlling FX", NULL, "qrc:///help/tutorial_item_1943.html"},
    { "   7.3 Sliding Options", NULL, "qrc:///help/tutorial_item_1944.html"},
    { "8 Data Structures", NULL, "qrc:///help/tutorial_item_1945.html"},
    { "   8.1 Lists", NULL, "qrc:///help/tutorial_item_1946.html"},
    { "   8.2 Chords", NULL, "qrc:///help/tutorial_item_1947.html"},
    { "   8.3 Scales", NULL, "qrc:///help/tutorial_item_1948.html"},
    { "   8.4 Rings", NULL, "qrc:///help/tutorial_item_1949.html"},
    { "   8.5 Ring Chains", NULL, "qrc:///help/tutorial_item_1950.html"},
    { "9 Live Coding", NULL, "qrc:///help/tutorial_item_1951.html"},
    { "   9.1 Live Coding Fundamentals", NULL, "qrc:///help/tutorial_item_1952.html"},
    { "   9.2 Live Loops", NULL, "qrc:///help/tutorial_item_1953.html"},
    { "   9.3 Multiple Live Loops", NULL, "qrc:///help/tutorial_item_1954.html"},
    { "   9.4 Ticking", NULL, "qrc:///help/tutorial_item_1955.html"},
    { "10 Time State", NULL, "qrc:///help/tutorial_item_1956.html"},
    { "   10.1 Set and Get", NULL, "qrc:///help/tutorial_item_1957.html"},
    { "   10.2 Sync", NULL, "qrc:///help/tutorial_item_1958.html"},
    { "   10.3 Pattern Matching", NULL, "qrc:///help/tutorial_item_1959.html"},
    { "11 MIDI", NULL, "qrc:///help/tutorial_item_1960.html"},
    { "   11.1 MIDI In", NULL, "qrc:///help/tutorial_item_1961.html"},
    { "   11.2 MIDI Out", NULL, "qrc:///help/tutorial_item_1962.html"},
    { "12 OSC", NULL, "qrc:///help/tutorial_item_1963.html"},
    { "   12.1 Receiving OSC", NULL, "qrc:///help/tutorial_item_1964.html"},
    { "   12.2 Sending OSC", NULL, "qrc:///help/tutorial_item_1965.html"},
    { "13 Multichannel Audio", NULL, "qrc:///help/tutorial_item_1966.html"},
    { "   13.1 Sound In", NULL, "qrc:///help/tutorial_item_1967.html"},
    { "   13.2 Live Audio", NULL, "qrc:///help/tutorial_item_1968.html"},
    { "   13.3 Sound Out", NULL, "qrc:///help/tutorial_item_1969.html"},
    { "12 Konklusjoner", NULL, "qrc:///help/tutorial_item_1970.html"},
    { "A Appendix A - MagPi Articles", NULL, "qrc:///help/tutorial_item_1971.html"},
    { "   A.1 Tips om Sonic Pi", NULL, "qrc:///help/tutorial_item_1972.html"},
    { "   A.2 Live Coding", NULL, "qrc:///help/tutorial_item_1973.html"},
    { "   A.3 Coded Beats", NULL, "qrc:///help/tutorial_item_1974.html"},
    { "   A.4 Synth Riffs", NULL, "qrc:///help/tutorial_item_1975.html"},
    { "   A.5 Acid Bass", NULL, "qrc:///help/tutorial_item_1976.html"},
    { "   A.6 Musical Minecraft", NULL, "qrc:///help/tutorial_item_1977.html"},
    { "   A.7 Bizet Beats", NULL, "qrc:///help/tutorial_item_1978.html"},
    { "   A.8 Become a Minecraft VJ", NULL, "qrc:///help/tutorial_item_1979.html"},
    { "   A.9 Randomisation", NULL, "qrc:///help/tutorial_item_1980.html"},
    { "   A.10 Control", NULL, "qrc:///help/tutorial_item_1981.html"},
    { "   A.11 Tick Tock", NULL, "qrc:///help/tutorial_item_1982.html"},
    { "   A.12 Sample Slicing", NULL, "qrc:///help/tutorial_item_1983.html"},
    { "   A.13 Code a Probabilistic Sequencer", NULL, "qrc:///help/tutorial_item_1984.html"},
    { "   A.14 Utslagsmodulering", NULL, "qrc:///help/tutorial_item_1985.html"},
    { QString::fromUtf8("   A.15 Fem teknikker for direkteoverført koding"), NULL, "qrc:///help/tutorial_item_1986.html"},
    { QString::fromUtf8("   A.16 Hvordan øve på direkteoverført koding"), NULL, "qrc:///help/tutorial_item_1987.html"},
    { "   A.17 Sample Stretching", NULL, "qrc:///help/tutorial_item_1988.html"},
    { "   A.18 Sound Design - Additive Synthesis", NULL, "qrc:///help/tutorial_item_1989.html"},
    { "   A.19 Sound Design - Subtractive Synthesis", NULL, "qrc:///help/tutorial_item_1990.html"},
    { "   A.20 Creative coding in the classroom with Sonic Pi", NULL, "qrc:///help/tutorial_item_1991.html"},
    { "B Essential Knowledge", NULL, "qrc:///help/tutorial_item_1992.html"},
    { "   B.1 Using Shortcuts", NULL, "qrc:///help/tutorial_item_1993.html"},
    { "   B.2 Shortcut Cheatsheet", NULL, "qrc:///help/tutorial_item_1994.html"},
    { "   B.3 Sharing", NULL, "qrc:///help/tutorial_item_1995.html"},
    { "   B.4 Performing", NULL, "qrc:///help/tutorial_item_1996.html"},
    { "C Minecraft Pi", NULL, "qrc:///help/tutorial_item_1997.html"},
    { "   11.1 Grunnleggende API", NULL, "qrc:///help/tutorial_item_1998.html"},
  };

  addHelpPage(createHelpTab(tr("Tutorial")), tutorialHelpPages, 87);

} else if (systemLocale.startsWith("nl")) {

  // language nl

  // tutorial info
  struct help_page tutorialHelpPages[] = {
    { "1 Welkom bij Sonic Pi", NULL, "qrc:///help/tutorial_item_1999.html"},
    { "   1.1 Live Coderen (Live Coding)", NULL, "qrc:///help/tutorial_item_2000.html"},
    { "   1.2 De Interface Verkennen", NULL, "qrc:///help/tutorial_item_2001.html"},
    { "   1.3 Spelenderwijs Leren", NULL, "qrc:///help/tutorial_item_2002.html"},
    { "2 Synthesizers (Synths)", NULL, "qrc:///help/tutorial_item_2003.html"},
    { "   2.1 Je Eerste Bliepjes", NULL, "qrc:///help/tutorial_item_2004.html"},
    { "   2.2 Synthesizer Opties", NULL, "qrc:///help/tutorial_item_2005.html"},
    { "   2.3 Synths Veranderen", NULL, "qrc:///help/tutorial_item_2006.html"},
    { "   2.4 Geluidsduur met \"Envelopes\"", NULL, "qrc:///help/tutorial_item_2007.html"},
    { "3 Samples", NULL, "qrc:///help/tutorial_item_2008.html"},
    { "   3.1 Samples Triggeren", NULL, "qrc:///help/tutorial_item_2009.html"},
    { "   3.2 Sample Parameters", NULL, "qrc:///help/tutorial_item_2010.html"},
    { "   3.3  Samples Stretchen", NULL, "qrc:///help/tutorial_item_2011.html"},
    { "   3.4 Envelop op Samples", NULL, "qrc:///help/tutorial_item_2012.html"},
    { "   3.5 gedeeltelijke Samples", NULL, "qrc:///help/tutorial_item_2013.html"},
    { "   3.6 Externe Samples", NULL, "qrc:///help/tutorial_item_2014.html"},
    { "   3.7 Sample Packs", NULL, "qrc:///help/tutorial_item_2015.html"},
    { "4 Randomiseren", NULL, "qrc:///help/tutorial_item_2016.html"},
    { "5 Programmeerstructuren", NULL, "qrc:///help/tutorial_item_2017.html"},
    { "   5.1 Blocks", NULL, "qrc:///help/tutorial_item_2018.html"},
    { "   5.2 Herhaling en Loops", NULL, "qrc:///help/tutorial_item_2019.html"},
    { "   5.3 Conditionelen", NULL, "qrc:///help/tutorial_item_2020.html"},
    { "   5.4 Threads", NULL, "qrc:///help/tutorial_item_2021.html"},
    { "   5.5 functies", NULL, "qrc:///help/tutorial_item_2022.html"},
    { "   5.6 Variabelen", NULL, "qrc:///help/tutorial_item_2023.html"},
    { "   5.7 Het Synchroniseren van Threads", NULL, "qrc:///help/tutorial_item_2024.html"},
    { "6 FX", NULL, "qrc:///help/tutorial_item_2025.html"},
    { "   6.1 FX  Toevoegen", NULL, "qrc:///help/tutorial_item_2026.html"},
    { "   6.2 FX in de praktijk", NULL, "qrc:///help/tutorial_item_2027.html"},
    { "7 Controle", NULL, "qrc:///help/tutorial_item_2028.html"},
    { "   7.1 De controle over lopende Synths", NULL, "qrc:///help/tutorial_item_2029.html"},
    { "   7.2 FX Controllen", NULL, "qrc:///help/tutorial_item_2030.html"},
    { "   7.3 Glijdende Opties", NULL, "qrc:///help/tutorial_item_2031.html"},
    { "8 Datastructuren", NULL, "qrc:///help/tutorial_item_2032.html"},
    { "   8.1 Lijsten", NULL, "qrc:///help/tutorial_item_2033.html"},
    { "   8.2 Akkoorden", NULL, "qrc:///help/tutorial_item_2034.html"},
    { "   8.3 Toonladders", NULL, "qrc:///help/tutorial_item_2035.html"},
    { "   8.4 Ringen", NULL, "qrc:///help/tutorial_item_2036.html"},
    { "   8.5 Ring Kettingen", NULL, "qrc:///help/tutorial_item_2037.html"},
    { "9 Live Codering", NULL, "qrc:///help/tutorial_item_2038.html"},
    { "   9.1 De Grondslagen van Live Codering", NULL, "qrc:///help/tutorial_item_2039.html"},
    { "   9.2 Live Loops", NULL, "qrc:///help/tutorial_item_2040.html"},
    { "   9.3 Meerdere Live Loops", NULL, "qrc:///help/tutorial_item_2041.html"},
    { "   9.4 Ticking", NULL, "qrc:///help/tutorial_item_2042.html"},
    { "10 Tijd toestand", NULL, "qrc:///help/tutorial_item_2043.html"},
    { "   10.1 Set en get", NULL, "qrc:///help/tutorial_item_2044.html"},
    { "   10.2 Sync (\"synchroniseer\")", NULL, "qrc:///help/tutorial_item_2045.html"},
    { "   10.3 Patroonherkenning", NULL, "qrc:///help/tutorial_item_2046.html"},
    { "11 MIDI", NULL, "qrc:///help/tutorial_item_2047.html"},
    { "   11.1 MIDI In", NULL, "qrc:///help/tutorial_item_2048.html"},
    { "   11.2 MIDI Out", NULL, "qrc:///help/tutorial_item_2049.html"},
    { "12 OSC", NULL, "qrc:///help/tutorial_item_2050.html"},
    { "   12.1 Receiving OSC", NULL, "qrc:///help/tutorial_item_2051.html"},
    { "   12.2 Sending OSC", NULL, "qrc:///help/tutorial_item_2052.html"},
    { "13 Multichannel Audio", NULL, "qrc:///help/tutorial_item_2053.html"},
    { "   13.1 Sound In", NULL, "qrc:///help/tutorial_item_2054.html"},
    { "   13.2 Live Audio", NULL, "qrc:///help/tutorial_item_2055.html"},
    { "   13.3 Sound Out", NULL, "qrc:///help/tutorial_item_2056.html"},
    { "14 conclusies", NULL, "qrc:///help/tutorial_item_2057.html"},
    { "A Appendix A - MagPi artikelen", NULL, "qrc:///help/tutorial_item_2058.html"},
    { "   A.1 Tips voor Sonic Pi", NULL, "qrc:///help/tutorial_item_2059.html"},
    { "   A.2 Live codering", NULL, "qrc:///help/tutorial_item_2060.html"},
    { "   A.3 Gecodeerd Beats", NULL, "qrc:///help/tutorial_item_2061.html"},
    { "   A.4 Synth Riffs", NULL, "qrc:///help/tutorial_item_2062.html"},
    { "   A.5 Acid Bass", NULL, "qrc:///help/tutorial_item_2063.html"},
    { "   A.6 Muzikale Minecraft", NULL, "qrc:///help/tutorial_item_2064.html"},
    { "   A.7 Bizet Beats", NULL, "qrc:///help/tutorial_item_2065.html"},
    { "   A.8 Word een Minecraft VJ", NULL, "qrc:///help/tutorial_item_2066.html"},
    { "   A.9 Randomiseren", NULL, "qrc:///help/tutorial_item_2067.html"},
    { "   A.10 Control", NULL, "qrc:///help/tutorial_item_2068.html"},
    { "   A.11 Tik Tok", NULL, "qrc:///help/tutorial_item_2069.html"},
    { "   A.12 Sample Snijden", NULL, "qrc:///help/tutorial_item_2070.html"},
    { "   A.13 Codeer een probabilistische Sequencer", NULL, "qrc:///help/tutorial_item_2071.html"},
    { "   A.14 Amplitude Modulatie", NULL, "qrc:///help/tutorial_item_2072.html"},
    { "   A.15 Vijf Live codering technieken", NULL, "qrc:///help/tutorial_item_2073.html"},
    { "A. 16 Hoe Live Coding te oefenen", NULL, "qrc:///help/tutorial_item_2074.html"},
    { "   A.12 Sample Stretching", NULL, "qrc:///help/tutorial_item_2075.html"},
    { "   A.18 Sound Design - Additieve Synthese", NULL, "qrc:///help/tutorial_item_2076.html"},
    { "A. 19 Sound Design - Subtractieve Synthese", NULL, "qrc:///help/tutorial_item_2077.html"},
    { "   A.20 Creative coding in the classroom with Sonic Pi", NULL, "qrc:///help/tutorial_item_2078.html"},
    { QString::fromUtf8("B Essentiële kennis"), NULL, "qrc:///help/tutorial_item_2079.html"},
    { "   B.1 Sneltoetsen gebruiken", NULL, "qrc:///help/tutorial_item_2080.html"},
    { "   B.2 Sneltoetsen spiekbrief", NULL, "qrc:///help/tutorial_item_2081.html"},
    { "   B.3 Delen", NULL, "qrc:///help/tutorial_item_2082.html"},
    { "   B.4 Optreden", NULL, "qrc:///help/tutorial_item_2083.html"},
    { "C Minecraft Pi", NULL, "qrc:///help/tutorial_item_2084.html"},
    { "   11.1 Basis API", NULL, "qrc:///help/tutorial_item_2085.html"},
  };

  addHelpPage(createHelpTab(tr("Tutorial")), tutorialHelpPages, 87);

} else if (systemLocale.startsWith("pl")) {

  // language pl

  // tutorial info
  struct help_page tutorialHelpPages[] = {
    { "1 Witaj w Sonic Pi", NULL, "qrc:///help/tutorial_item_2086.html"},
    { QString::fromUtf8("   1.1 Kodowanie na żywo"), NULL, "qrc:///help/tutorial_item_2087.html"},
    { QString::fromUtf8("   1.2 Zapoznanie z interfejsem użytkownika"), NULL, "qrc:///help/tutorial_item_2088.html"},
    { QString::fromUtf8("   1.3 Nauka przez zabawę"), NULL, "qrc:///help/tutorial_item_2089.html"},
    { "2 Syntezatory", NULL, "qrc:///help/tutorial_item_2090.html"},
    { QString::fromUtf8("   2.1 Twoje pierwsze dźwięki"), NULL, "qrc:///help/tutorial_item_2091.html"},
    { QString::fromUtf8("   2.2 Opcje Syntezatorów"), NULL, "qrc:///help/tutorial_item_2092.html"},
    { QString::fromUtf8("   2.3 Zmienianie Syntezatorów"), NULL, "qrc:///help/tutorial_item_2093.html"},
    { QString::fromUtf8("   2.4 Czas trwania obwiedni dźwięku"), NULL, "qrc:///help/tutorial_item_2094.html"},
    { "3 Sample", NULL, "qrc:///help/tutorial_item_2095.html"},
    { "   3.1 Uruchamianie Sampli", NULL, "qrc:///help/tutorial_item_2096.html"},
    { "   3.2 Parametry Sampli", NULL, "qrc:///help/tutorial_item_2097.html"},
    { QString::fromUtf8("   3.3 Rozciąganie Sampli"), NULL, "qrc:///help/tutorial_item_2098.html"},
    { "   3.4 Opakowane Sample", NULL, "qrc:///help/tutorial_item_2099.html"},
    { QString::fromUtf8("   3.5 Kawałki Sampli"), NULL, "qrc:///help/tutorial_item_2100.html"},
    { QString::fromUtf8("   3.6 Sample Zewnętrzne"), NULL, "qrc:///help/tutorial_item_2101.html"},
    { "   3.7 Paczki z samplami", NULL, "qrc:///help/tutorial_item_2102.html"},
    { QString::fromUtf8("4 Losowość"), NULL, "qrc:///help/tutorial_item_2103.html"},
    { "5 Konstrukcje Programistyczne", NULL, "qrc:///help/tutorial_item_2104.html"},
    { "   5.1 Bloki kodu", NULL, "qrc:///help/tutorial_item_2105.html"},
    { QString::fromUtf8("   5.2 Iteracja i Pętle"), NULL, "qrc:///help/tutorial_item_2106.html"},
    { "   5.3 Instrukcje Warunkowe", NULL, "qrc:///help/tutorial_item_2107.html"},
    { QString::fromUtf8("   5.4 Wątki"), NULL, "qrc:///help/tutorial_item_2108.html"},
    { "   5.5 Funkcje", NULL, "qrc:///help/tutorial_item_2109.html"},
    { "   5.6 Zmienne", NULL, "qrc:///help/tutorial_item_2110.html"},
    { QString::fromUtf8("   5.7 Synchronizacja Wątków"), NULL, "qrc:///help/tutorial_item_2111.html"},
    { "6 FX (efekty)", NULL, "qrc:///help/tutorial_item_2112.html"},
    { QString::fromUtf8("   6.1 Dodawanie Efektów"), NULL, "qrc:///help/tutorial_item_2113.html"},
    { "   6.2 Efekty w praktyce", NULL, "qrc:///help/tutorial_item_2114.html"},
    { "7 Kontrola", NULL, "qrc:///help/tutorial_item_2115.html"},
    { QString::fromUtf8("   7.1 Kontrolowanie Uruchomionych Syntezatorów"), NULL, "qrc:///help/tutorial_item_2116.html"},
    { QString::fromUtf8("   7.2 Kontrolowanie Efektów"), NULL, "qrc:///help/tutorial_item_2117.html"},
    { "   7.3 Parametry Przesuwne", NULL, "qrc:///help/tutorial_item_2118.html"},
    { "8 Struktury Danych", NULL, "qrc:///help/tutorial_item_2119.html"},
    { "   8.1 Listy", NULL, "qrc:///help/tutorial_item_2120.html"},
    { "   8.2 Akordy", NULL, "qrc:///help/tutorial_item_2121.html"},
    { "   8.3 Skale", NULL, "qrc:///help/tutorial_item_2122.html"},
    { QString::fromUtf8("   8.4 Pierścienie"), NULL, "qrc:///help/tutorial_item_2123.html"},
    { QString::fromUtf8("   8.5 Łańcuchy Pierścieni (Ring Chains)"), NULL, "qrc:///help/tutorial_item_2124.html"},
    { QString::fromUtf8("9 Kodowanie na Żywo"), NULL, "qrc:///help/tutorial_item_2125.html"},
    { QString::fromUtf8("   9.1 Podstawy Kodowania na Żywo"), NULL, "qrc:///help/tutorial_item_2126.html"},
    { QString::fromUtf8("   9.2 Żywe Pętle (Live Loops)"), NULL, "qrc:///help/tutorial_item_2127.html"},
    { QString::fromUtf8("   9.3 Wiele Żywych Pętli"), NULL, "qrc:///help/tutorial_item_2128.html"},
    { "   9.4 Cykanie", NULL, "qrc:///help/tutorial_item_2129.html"},
    { "10 Stan Czasu", NULL, "qrc:///help/tutorial_item_2130.html"},
    { "   10.1 Set i Get", NULL, "qrc:///help/tutorial_item_2131.html"},
    { "   10.2 Synchronizacja (Sync)", NULL, "qrc:///help/tutorial_item_2132.html"},
    { "   10.3 Dopasowanie Do Wzorca", NULL, "qrc:///help/tutorial_item_2133.html"},
    { "11 MIDI", NULL, "qrc:///help/tutorial_item_2134.html"},
    { "   11.1 MIDI In", NULL, "qrc:///help/tutorial_item_2135.html"},
    { "   11.2 MIDI Out", NULL, "qrc:///help/tutorial_item_2136.html"},
    { "12 OSC", NULL, "qrc:///help/tutorial_item_2137.html"},
    { "   12.1 Receiving OSC", NULL, "qrc:///help/tutorial_item_2138.html"},
    { "   12.2 Sending OSC", NULL, "qrc:///help/tutorial_item_2139.html"},
    { "13 Multichannel Audio", NULL, "qrc:///help/tutorial_item_2140.html"},
    { "   13.1 Sound In", NULL, "qrc:///help/tutorial_item_2141.html"},
    { "   13.2 Live Audio", NULL, "qrc:///help/tutorial_item_2142.html"},
    { "   13.3 Sound Out", NULL, "qrc:///help/tutorial_item_2143.html"},
    { "14 Wnioski", NULL, "qrc:///help/tutorial_item_2144.html"},
    { QString::fromUtf8("A Dodatek A - Artykuły z magazynu MagPi"), NULL, "qrc:///help/tutorial_item_2145.html"},
    { QString::fromUtf8("   A.1 Wskazówki dla Sonic Pi"), NULL, "qrc:///help/tutorial_item_2146.html"},
    { QString::fromUtf8("   A.2 Kodowanie na żywo"), NULL, "qrc:///help/tutorial_item_2147.html"},
    { "   A.3 Zakodowane Bity", NULL, "qrc:///help/tutorial_item_2148.html"},
    { QString::fromUtf8("   A.4 Riffy Syntezatorów"), NULL, "qrc:///help/tutorial_item_2149.html"},
    { "   A.5 Acid Bass", NULL, "qrc:///help/tutorial_item_2150.html"},
    { "   A.6 Muzyczny Minecraft", NULL, "qrc:///help/tutorial_item_2151.html"},
    { "   A.7 Bizet'owe Bity", NULL, "qrc:///help/tutorial_item_2152.html"},
    { QString::fromUtf8("   A.8 Zostań VJ'em Minecraft'a"), NULL, "qrc:///help/tutorial_item_2153.html"},
    { "   A.9 Randomizacja", NULL, "qrc:///help/tutorial_item_2154.html"},
    { "   A.10 Kontrola", NULL, "qrc:///help/tutorial_item_2155.html"},
    { "   A.11 Tik Tak", NULL, "qrc:///help/tutorial_item_2156.html"},
    { "   A.12 Krojenie Sampli", NULL, "qrc:///help/tutorial_item_2157.html"},
    { "   A.13 Kodowanie Probabilistycznego Sekwencera", NULL, "qrc:///help/tutorial_item_2158.html"},
    { "   A.14 Modulacja Amplitudy", NULL, "qrc:///help/tutorial_item_2159.html"},
    { QString::fromUtf8("   A.15 Pięć Technik Kodowania Na Żywo"), NULL, "qrc:///help/tutorial_item_2160.html"},
    { QString::fromUtf8("   A.16 W jaki sposób ćwiczyć kodowanie na żywo (Live Coding)"), NULL, "qrc:///help/tutorial_item_2161.html"},
    { QString::fromUtf8("   A.17 Rozciąganie Sampli"), NULL, "qrc:///help/tutorial_item_2162.html"},
    { QString::fromUtf8("   A.18 Design Dźwięku - Synteza Addytywna"), NULL, "qrc:///help/tutorial_item_2163.html"},
    { QString::fromUtf8("   A.19 Design Dźwięku - Synteza Subtraktywna"), NULL, "qrc:///help/tutorial_item_2164.html"},
    { "   A.20 Creative coding in the classroom with Sonic Pi", NULL, "qrc:///help/tutorial_item_2165.html"},
    { "B Wiedza Podstawowa", NULL, "qrc:///help/tutorial_item_2166.html"},
    { QString::fromUtf8("   B.1 Korzystanie ze Skrótów Klawiszowych"), NULL, "qrc:///help/tutorial_item_2167.html"},
    { QString::fromUtf8("   B.2 Ściągawka Skrótów Klawiszowych"), NULL, "qrc:///help/tutorial_item_2168.html"},
    { QString::fromUtf8("   B.3 Udostępnianie"), NULL, "qrc:///help/tutorial_item_2169.html"},
    { QString::fromUtf8("   B.4 Występy Na Scenie"), NULL, "qrc:///help/tutorial_item_2170.html"},
    { "C Minecraft Pi", NULL, "qrc:///help/tutorial_item_2171.html"},
    { "   11.1 Podstawowe API", NULL, "qrc:///help/tutorial_item_2172.html"},
  };

  addHelpPage(createHelpTab(tr("Tutorial")), tutorialHelpPages, 87);

} else if (systemLocale.startsWith("pt")) {

  // language pt

  // tutorial info
  struct help_page tutorialHelpPages[] = {
    { "Bem vindo ao Sonic Pi", NULL, "qrc:///help/tutorial_item_2173.html"},
    { "   1.1 Live Coding", NULL, "qrc:///help/tutorial_item_2174.html"},
    { "   1.2 Exploring the Interface", NULL, "qrc:///help/tutorial_item_2175.html"},
    { "   1.3 Aprende interagindo", NULL, "qrc:///help/tutorial_item_2176.html"},
    { "2 Sintetizadores", NULL, "qrc:///help/tutorial_item_2177.html"},
    { "   2.1 Os teus primeiros Beeps", NULL, "qrc:///help/tutorial_item_2178.html"},
    { QString::fromUtf8("   2.2 Opções do Sintetizador"), NULL, "qrc:///help/tutorial_item_2179.html"},
    { "   2.3 Alternar entre sintetizadores", NULL, "qrc:///help/tutorial_item_2180.html"},
    { QString::fromUtf8("   2.4 Duração com Envolventes"), NULL, "qrc:///help/tutorial_item_2181.html"},
    { "3 Samples", NULL, "qrc:///help/tutorial_item_2182.html"},
    { "   3.1 Trigar Samples", NULL, "qrc:///help/tutorial_item_2183.html"},
    { QString::fromUtf8("   3.2 Parâmetros dos Samples"), NULL, "qrc:///help/tutorial_item_2184.html"},
    { "   3.3 Aplicar time stretching nos Samples", NULL, "qrc:///help/tutorial_item_2185.html"},
    { "   3.4 Samples controlados por curvas de envolvente", NULL, "qrc:///help/tutorial_item_2186.html"},
    { "   3.5 Samples Parciais", NULL, "qrc:///help/tutorial_item_2187.html"},
    { "   3.6 Samples Externos", NULL, "qrc:///help/tutorial_item_2188.html"},
    { "   3.7 Pacotes de Samples", NULL, "qrc:///help/tutorial_item_2189.html"},
    { QString::fromUtf8("4 Randomização"), NULL, "qrc:///help/tutorial_item_2190.html"},
    { QString::fromUtf8("5 estruturas de programação"), NULL, "qrc:///help/tutorial_item_2191.html"},
    { "   5.1 Blocos", NULL, "qrc:///help/tutorial_item_2192.html"},
    { QString::fromUtf8("   5.2 Iteração e Loops"), NULL, "qrc:///help/tutorial_item_2193.html"},
    { "   5.3 Condicionais", NULL, "qrc:///help/tutorial_item_2194.html"},
    { "   5.4 Threads", NULL, "qrc:///help/tutorial_item_2195.html"},
    { QString::fromUtf8("   5.5 Funções"), NULL, "qrc:///help/tutorial_item_2196.html"},
    { QString::fromUtf8("   5.6 Variáveis"), NULL, "qrc:///help/tutorial_item_2197.html"},
    { QString::fromUtf8("   5.7 Sincronização de Threads"), NULL, "qrc:///help/tutorial_item_2198.html"},
    { "6 Efeitos", NULL, "qrc:///help/tutorial_item_2199.html"},
    { "   6.1 Adicionando efeitos", NULL, "qrc:///help/tutorial_item_2200.html"},
    { "   6.2 Efeitos na pratica", NULL, "qrc:///help/tutorial_item_2201.html"},
    { "7 Controlo", NULL, "qrc:///help/tutorial_item_2202.html"},
    { QString::fromUtf8("   7.1 Controlando Synths em execução"), NULL, "qrc:///help/tutorial_item_2203.html"},
    { "   7.2 Controlando os efeitos", NULL, "qrc:///help/tutorial_item_2204.html"},
    { QString::fromUtf8("   7.3 Opções deslizantes"), NULL, "qrc:///help/tutorial_item_2205.html"},
    { "8 Estruturas de dados", NULL, "qrc:///help/tutorial_item_2206.html"},
    { "   8.1 Listas", NULL, "qrc:///help/tutorial_item_2207.html"},
    { "   8.2 Acordes", NULL, "qrc:///help/tutorial_item_2208.html"},
    { "   8.3 Escalas", NULL, "qrc:///help/tutorial_item_2209.html"},
    { QString::fromUtf8("   8.4 Anéis"), NULL, "qrc:///help/tutorial_item_2210.html"},
    { QString::fromUtf8("   8.5 Cadeia de anéis"), NULL, "qrc:///help/tutorial_item_2211.html"},
    { "9 Live Coding", NULL, "qrc:///help/tutorial_item_2212.html"},
    { "   9.1 Fundamentos do Live coding", NULL, "qrc:///help/tutorial_item_2213.html"},
    { "   9.2 Live Loops", NULL, "qrc:///help/tutorial_item_2214.html"},
    { QString::fromUtf8("   9.3 Múltiplos Live Loops"), NULL, "qrc:///help/tutorial_item_2215.html"},
    { "   9.4 Ticking", NULL, "qrc:///help/tutorial_item_2216.html"},
    { "10 Time State", NULL, "qrc:///help/tutorial_item_2217.html"},
    { "   10.1 Set e Get", NULL, "qrc:///help/tutorial_item_2218.html"},
    { QString::fromUtf8("   10.2 Sincronização (Sync)"), NULL, "qrc:///help/tutorial_item_2219.html"},
    { QString::fromUtf8("   10.3 Correspondência de Padrões"), NULL, "qrc:///help/tutorial_item_2220.html"},
    { "11. MIDI", NULL, "qrc:///help/tutorial_item_2221.html"},
    { "   11.1 Entrada MIDI", NULL, "qrc:///help/tutorial_item_2222.html"},
    { QString::fromUtf8("   11.2 Saída MIDI"), NULL, "qrc:///help/tutorial_item_2223.html"},
    { "12 OSC", NULL, "qrc:///help/tutorial_item_2224.html"},
    { "   12.1 Receiving OSC", NULL, "qrc:///help/tutorial_item_2225.html"},
    { "   12.2 Sending OSC", NULL, "qrc:///help/tutorial_item_2226.html"},
    { "13 Multichannel Audio", NULL, "qrc:///help/tutorial_item_2227.html"},
    { "   13.1 Sound In", NULL, "qrc:///help/tutorial_item_2228.html"},
    { "   13.2 Live Audio", NULL, "qrc:///help/tutorial_item_2229.html"},
    { "   13.3 Sound Out", NULL, "qrc:///help/tutorial_item_2230.html"},
    { QString::fromUtf8("12 Conclusões"), NULL, "qrc:///help/tutorial_item_2231.html"},
    { QString::fromUtf8("A Apêndice  A - Artigos na MagPi"), NULL, "qrc:///help/tutorial_item_2232.html"},
    { "   A.1 Dicas para o Sonic Pi", NULL, "qrc:///help/tutorial_item_2233.html"},
    { "   A.2 Live Coding", NULL, "qrc:///help/tutorial_item_2234.html"},
    { "   A.3 Coded Beats", NULL, "qrc:///help/tutorial_item_2235.html"},
    { "   A.4 Synth Riffs", NULL, "qrc:///help/tutorial_item_2236.html"},
    { "   A.5 Acid Bass", NULL, "qrc:///help/tutorial_item_2237.html"},
    { "   A.6 Musical Minecraft", NULL, "qrc:///help/tutorial_item_2238.html"},
    { "   A.7 Bizet Beats", NULL, "qrc:///help/tutorial_item_2239.html"},
    { "   A.8 Become a Minecraft VJ", NULL, "qrc:///help/tutorial_item_2240.html"},
    { "   A.9 Randomisation", NULL, "qrc:///help/tutorial_item_2241.html"},
    { "   A.10 Control", NULL, "qrc:///help/tutorial_item_2242.html"},
    { "   A.11 Tick Tock", NULL, "qrc:///help/tutorial_item_2243.html"},
    { "   A.12 Cortando Amostras", NULL, "qrc:///help/tutorial_item_2244.html"},
    { "   A.13 Code a Probabilistic Sequencer", NULL, "qrc:///help/tutorial_item_2245.html"},
    { "   A.14 Amplitude Modulation", NULL, "qrc:///help/tutorial_item_2246.html"},
    { "Programar em tempo Real", NULL, "qrc:///help/tutorial_item_2247.html"},
    { "   A.17 Sample Stretching", NULL, "qrc:///help/tutorial_item_2248.html"},
    { "   A.18 Sound Design - Additive Synthesis", NULL, "qrc:///help/tutorial_item_2249.html"},
    { "   A.19 Sound Design - Subtractive Synthesis", NULL, "qrc:///help/tutorial_item_2250.html"},
    { "   A.20 Creative coding in the classroom with Sonic Pi", NULL, "qrc:///help/tutorial_item_2251.html"},
    { "Conhecimento essencial", NULL, "qrc:///help/tutorial_item_2252.html"},
    { "   10.1 Usando atalhos", NULL, "qrc:///help/tutorial_item_2253.html"},
    { "   10.2 Folha de ajuda de atalhos", NULL, "qrc:///help/tutorial_item_2254.html"},
    { "   10.3 Partilha", NULL, "qrc:///help/tutorial_item_2255.html"},
    { "   10.4 Performance", NULL, "qrc:///help/tutorial_item_2256.html"},
    { "Minecraft Pi", NULL, "qrc:///help/tutorial_item_2257.html"},
    { QString::fromUtf8("   11.1 API básico"), NULL, "qrc:///help/tutorial_item_2258.html"},
  };

  addHelpPage(createHelpTab(tr("Tutorial")), tutorialHelpPages, 86);

} else if (systemLocale.startsWith("ro")) {

  // language ro

  // tutorial info
  struct help_page tutorialHelpPages[] = {
    { "1 Bine ai venit", NULL, "qrc:///help/tutorial_item_2259.html"},
    { "   1.1 Programare live", NULL, "qrc:///help/tutorial_item_2260.html"},
    { "   1.2 Explorarea interfetei", NULL, "qrc:///help/tutorial_item_2261.html"},
    { "   1.3 Invatarea prin joaca", NULL, "qrc:///help/tutorial_item_2262.html"},
    { "2 Sintetizatoare", NULL, "qrc:///help/tutorial_item_2263.html"},
    { "   2.1 Primele beep-uri", NULL, "qrc:///help/tutorial_item_2264.html"},
    { "   2.2 Optiuni sintetizatoare", NULL, "qrc:///help/tutorial_item_2265.html"},
    { "   2.3 Alegerea altui sintetizator", NULL, "qrc:///help/tutorial_item_2266.html"},
    { "   2.4 Durata folosind anvelope", NULL, "qrc:///help/tutorial_item_2267.html"},
    { "3 Esantioane (samples)", NULL, "qrc:///help/tutorial_item_2268.html"},
    { "   3.1 Activarea esantioanelor", NULL, "qrc:///help/tutorial_item_2269.html"},
    { "3.2. Parametri Esantioane", NULL, "qrc:///help/tutorial_item_2270.html"},
    { "   3.3 Comprimarea/Intinderea esantioanelor", NULL, "qrc:///help/tutorial_item_2271.html"},
    { "   3.4 Anvelope pentru esantioane", NULL, "qrc:///help/tutorial_item_2272.html"},
    { "   3.5 Esantioane partiale", NULL, "qrc:///help/tutorial_item_2273.html"},
    { "   3.6 Esantioane externe", NULL, "qrc:///help/tutorial_item_2274.html"},
    { "   3.7 Pachete de esantioane", NULL, "qrc:///help/tutorial_item_2275.html"},
    { "4 Randomizare", NULL, "qrc:///help/tutorial_item_2276.html"},
    { "5 Structuri de programare", NULL, "qrc:///help/tutorial_item_2277.html"},
    { "   5.1 Blocuri", NULL, "qrc:///help/tutorial_item_2278.html"},
    { "   5.2 Iteratii si bucle", NULL, "qrc:///help/tutorial_item_2279.html"},
    { "   5.3 Conditii", NULL, "qrc:///help/tutorial_item_2280.html"},
    { "   5.5 Fire de executie", NULL, "qrc:///help/tutorial_item_2281.html"},
    { "   5.5 Functii", NULL, "qrc:///help/tutorial_item_2282.html"},
    { "   5.6 Variabile", NULL, "qrc:///help/tutorial_item_2283.html"},
    { "   5.7 Sincronizarea firelor de executie", NULL, "qrc:///help/tutorial_item_2284.html"},
    { "6 Efecte", NULL, "qrc:///help/tutorial_item_2285.html"},
    { "   6.1 Adaugarea de efecte", NULL, "qrc:///help/tutorial_item_2286.html"},
    { "   6.2 Efectele in viata reala", NULL, "qrc:///help/tutorial_item_2287.html"},
    { "7 Controlul", NULL, "qrc:///help/tutorial_item_2288.html"},
    { "   7.1 Controlul sintetizatorului in timpul redarii", NULL, "qrc:///help/tutorial_item_2289.html"},
    { "   7.2 Controlul efectelor", NULL, "qrc:///help/tutorial_item_2290.html"},
    { "   7.3 Optiuni de modificare progresiva sau alunecare (sliding)", NULL, "qrc:///help/tutorial_item_2291.html"},
    { "8 Structuri de date", NULL, "qrc:///help/tutorial_item_2292.html"},
    { "   8.1 Listele", NULL, "qrc:///help/tutorial_item_2293.html"},
    { "   8.2 Acorduri", NULL, "qrc:///help/tutorial_item_2294.html"},
    { "   8.3 Game", NULL, "qrc:///help/tutorial_item_2295.html"},
    { "   8.4 Liste circulare", NULL, "qrc:///help/tutorial_item_2296.html"},
    { "   8.5 Definirea listelor circulare folosind comenzi inlantuite", NULL, "qrc:///help/tutorial_item_2297.html"},
    { "9 Programarea live", NULL, "qrc:///help/tutorial_item_2298.html"},
    { "   9.1 Bazele programarii live", NULL, "qrc:///help/tutorial_item_2299.html"},
    { "   9.2 Bucle live", NULL, "qrc:///help/tutorial_item_2300.html"},
    { "   9.3 Bucle live multiple", NULL, "qrc:///help/tutorial_item_2301.html"},
    { "Tactul", NULL, "qrc:///help/tutorial_item_2302.html"},
    { "10 Time State", NULL, "qrc:///help/tutorial_item_2303.html"},
    { "   10.1 Set and Get", NULL, "qrc:///help/tutorial_item_2304.html"},
    { "   10.2 Sync", NULL, "qrc:///help/tutorial_item_2305.html"},
    { "   10.3 Pattern Matching", NULL, "qrc:///help/tutorial_item_2306.html"},
    { "11 MIDI", NULL, "qrc:///help/tutorial_item_2307.html"},
    { "   11.1 MIDI In", NULL, "qrc:///help/tutorial_item_2308.html"},
    { "   11.2 MIDI Out", NULL, "qrc:///help/tutorial_item_2309.html"},
    { "12 OSC", NULL, "qrc:///help/tutorial_item_2310.html"},
    { "   12.1 Receiving OSC", NULL, "qrc:///help/tutorial_item_2311.html"},
    { "   12.2 Sending OSC", NULL, "qrc:///help/tutorial_item_2312.html"},
    { "13 Multichannel Audio", NULL, "qrc:///help/tutorial_item_2313.html"},
    { "   13.1 Sound In", NULL, "qrc:///help/tutorial_item_2314.html"},
    { "   13.2 Live Audio", NULL, "qrc:///help/tutorial_item_2315.html"},
    { "   13.3 Sound Out", NULL, "qrc:///help/tutorial_item_2316.html"},
    { "12 Concluzii", NULL, "qrc:///help/tutorial_item_2317.html"},
    { "A Anexa A - articole din MagPi", NULL, "qrc:///help/tutorial_item_2318.html"},
    { "   A.1 Trucuri pentru Sonic Pi", NULL, "qrc:///help/tutorial_item_2319.html"},
    { "   A.2 Programarea live", NULL, "qrc:///help/tutorial_item_2320.html"},
    { "   A.3 Beat-uri programate", NULL, "qrc:///help/tutorial_item_2321.html"},
    { "   A.4 Riff-uri (fraze melodice) pentru sintetizatoare", NULL, "qrc:///help/tutorial_item_2322.html"},
    { "A. Basul acid", NULL, "qrc:///help/tutorial_item_2323.html"},
    { "   A.6 Minecraft muzical", NULL, "qrc:///help/tutorial_item_2324.html"},
    { "   A.7 Beat-uri Bizet", NULL, "qrc:///help/tutorial_item_2325.html"},
    { "   A.8 Cum sa devii un VJ Minecraft", NULL, "qrc:///help/tutorial_item_2326.html"},
    { "   A.9 Randomizarea", NULL, "qrc:///help/tutorial_item_2327.html"},
    { "   A.10 Controlul", NULL, "qrc:///help/tutorial_item_2328.html"},
    { "   A.11 Tic Tac", NULL, "qrc:///help/tutorial_item_2329.html"},
    { "   A.12 Slicing cu esantioane", NULL, "qrc:///help/tutorial_item_2330.html"},
    { "   A.13 Programeaza un Sequencer probabilistic", NULL, "qrc:///help/tutorial_item_2331.html"},
    { "   A.14 Modulatia in amplitudine", NULL, "qrc:///help/tutorial_item_2332.html"},
    { "   A.15 Cinci tehnici de programare live", NULL, "qrc:///help/tutorial_item_2333.html"},
    { "   A.16 Cum sa exersezi programarea live", NULL, "qrc:///help/tutorial_item_2334.html"},
    { "   A.17 Comprimarea/Intinderea esantioanelor", NULL, "qrc:///help/tutorial_item_2335.html"},
    { "   A.18 Design de sunet - Sinteza aditiva", NULL, "qrc:///help/tutorial_item_2336.html"},
    { "   A.19 Design de sunet - Sinteza substractiva", NULL, "qrc:///help/tutorial_item_2337.html"},
    { "   A.20 Creative coding in the classroom with Sonic Pi", NULL, "qrc:///help/tutorial_item_2338.html"},
    { "Cunostinte esentiale", NULL, "qrc:///help/tutorial_item_2339.html"},
    { "   10.1 Folosirea combinatiilor de taste", NULL, "qrc:///help/tutorial_item_2340.html"},
    { "   10.2 Tabel de combinatii de taste", NULL, "qrc:///help/tutorial_item_2341.html"},
    { "   10.3 Impartasirea creatiilor", NULL, "qrc:///help/tutorial_item_2342.html"},
    { "   10.4 Interpretarea", NULL, "qrc:///help/tutorial_item_2343.html"},
    { "Minecraft Pi", NULL, "qrc:///help/tutorial_item_2344.html"},
    { "   11.1 Functii de baza din API", NULL, "qrc:///help/tutorial_item_2345.html"},
  };

  addHelpPage(createHelpTab(tr("Tutorial")), tutorialHelpPages, 87);

} else if (systemLocale.startsWith("ru")) {

  // language ru

  // tutorial info
  struct help_page tutorialHelpPages[] = {
    { QString::fromUtf8("1 Добро пожаловать в Sonic Pi"), NULL, "qrc:///help/tutorial_item_2346.html"},
    { QString::fromUtf8("   1.1 Лайв-кодинг"), NULL, "qrc:///help/tutorial_item_2347.html"},
    { QString::fromUtf8("   1.2 Обзор интерфейса"), NULL, "qrc:///help/tutorial_item_2348.html"},
    { QString::fromUtf8("   1.3 Обучение через игру"), NULL, "qrc:///help/tutorial_item_2349.html"},
    { QString::fromUtf8("2 Синтез"), NULL, "qrc:///help/tutorial_item_2350.html"},
    { QString::fromUtf8("   2.1 Ваш первый звук"), NULL, "qrc:///help/tutorial_item_2351.html"},
    { QString::fromUtf8("   2.2 Свойства синтезаторов"), NULL, "qrc:///help/tutorial_item_2352.html"},
    { QString::fromUtf8("   2.3 Переключение между синтезаторами"), NULL, "qrc:///help/tutorial_item_2353.html"},
    { QString::fromUtf8("   2.4 Длительность и огибающие"), NULL, "qrc:///help/tutorial_item_2354.html"},
    { QString::fromUtf8("3 Сэплы"), NULL, "qrc:///help/tutorial_item_2355.html"},
    { QString::fromUtf8("   3.1 Воспроизведение сэмплов"), NULL, "qrc:///help/tutorial_item_2356.html"},
    { QString::fromUtf8("   3.2 Параметры сэмплов"), NULL, "qrc:///help/tutorial_item_2357.html"},
    { QString::fromUtf8("   3.3 Растягивание сэмплов"), NULL, "qrc:///help/tutorial_item_2358.html"},
    { QString::fromUtf8("   3.4 Огибающие сэмплов"), NULL, "qrc:///help/tutorial_item_2359.html"},
    { QString::fromUtf8("   3.5 Фрагментированные сэмплы"), NULL, "qrc:///help/tutorial_item_2360.html"},
    { QString::fromUtf8("   3.6 Внешние Сэмплы"), NULL, "qrc:///help/tutorial_item_2361.html"},
    { QString::fromUtf8("   3.7 Наборы сэмплов"), NULL, "qrc:///help/tutorial_item_2362.html"},
    { QString::fromUtf8("4 Рандомизация (Внесение случайностей)"), NULL, "qrc:///help/tutorial_item_2363.html"},
    { QString::fromUtf8("5 Программирование структур"), NULL, "qrc:///help/tutorial_item_2364.html"},
    { QString::fromUtf8("   5.1 Блоки"), NULL, "qrc:///help/tutorial_item_2365.html"},
    { QString::fromUtf8("   5.2 Итерации и циклы"), NULL, "qrc:///help/tutorial_item_2366.html"},
    { QString::fromUtf8("   5.3 Условные выражения"), NULL, "qrc:///help/tutorial_item_2367.html"},
    { QString::fromUtf8("   5.4 Потоки"), NULL, "qrc:///help/tutorial_item_2368.html"},
    { QString::fromUtf8("   5.5 Функции"), NULL, "qrc:///help/tutorial_item_2369.html"},
    { QString::fromUtf8("   5.6 Переменные"), NULL, "qrc:///help/tutorial_item_2370.html"},
    { QString::fromUtf8("   5.7 Синхронизация потоков"), NULL, "qrc:///help/tutorial_item_2371.html"},
    { "6 FX", NULL, "qrc:///help/tutorial_item_2372.html"},
    { QString::fromUtf8("   6.1 Добавление эффектов"), NULL, "qrc:///help/tutorial_item_2373.html"},
    { QString::fromUtf8("   6.2 Эффекты на практике"), NULL, "qrc:///help/tutorial_item_2374.html"},
    { QString::fromUtf8("7 Управление"), NULL, "qrc:///help/tutorial_item_2375.html"},
    { QString::fromUtf8("   7.1 Контроль выполняющихся синтов"), NULL, "qrc:///help/tutorial_item_2376.html"},
    { QString::fromUtf8("   7.2 Контроль эффектов"), NULL, "qrc:///help/tutorial_item_2377.html"},
    { QString::fromUtf8("Настройки плавного изменения состояния"), NULL, "qrc:///help/tutorial_item_2378.html"},
    { QString::fromUtf8("8 Структуры данных"), NULL, "qrc:///help/tutorial_item_2379.html"},
    { QString::fromUtf8("   8.1 Списки"), NULL, "qrc:///help/tutorial_item_2380.html"},
    { QString::fromUtf8("   8.2 Аккорды"), NULL, "qrc:///help/tutorial_item_2381.html"},
    { QString::fromUtf8("Гаммы"), NULL, "qrc:///help/tutorial_item_2382.html"},
    { QString::fromUtf8("Кольцевые списки"), NULL, "qrc:///help/tutorial_item_2383.html"},
    { QString::fromUtf8("Кольцевые цепи"), NULL, "qrc:///help/tutorial_item_2384.html"},
    { QString::fromUtf8("9 Лайв-кодинг"), NULL, "qrc:///help/tutorial_item_2385.html"},
    { QString::fromUtf8("   9.1 Основы лайв-кодинга"), NULL, "qrc:///help/tutorial_item_2386.html"},
    { QString::fromUtf8("   9.2 Живые циклы"), NULL, "qrc:///help/tutorial_item_2387.html"},
    { QString::fromUtf8("Множество живых циклов"), NULL, "qrc:///help/tutorial_item_2388.html"},
    { QString::fromUtf8("   9.4 Тики"), NULL, "qrc:///help/tutorial_item_2389.html"},
    { QString::fromUtf8("10 Временное Состояние"), NULL, "qrc:///help/tutorial_item_2390.html"},
    { QString::fromUtf8("   10.1 Set и Get"), NULL, "qrc:///help/tutorial_item_2391.html"},
    { QString::fromUtf8("Синхронизация"), NULL, "qrc:///help/tutorial_item_2392.html"},
    { QString::fromUtf8("Сопоставление паттернов"), NULL, "qrc:///help/tutorial_item_2393.html"},
    { "11 MIDI", NULL, "qrc:///help/tutorial_item_2394.html"},
    { QString::fromUtf8("   11.1 Прием MIDI-данных"), NULL, "qrc:///help/tutorial_item_2395.html"},
    { QString::fromUtf8("   11.2 MIDI выход"), NULL, "qrc:///help/tutorial_item_2396.html"},
    { "12 OSC", NULL, "qrc:///help/tutorial_item_2397.html"},
    { QString::fromUtf8("   12.1 Получение сообщений через протокол OSC"), NULL, "qrc:///help/tutorial_item_2398.html"},
    { QString::fromUtf8("   12.2 Отправка OSC"), NULL, "qrc:///help/tutorial_item_2399.html"},
    { QString::fromUtf8("13 Многоканальное аудио"), NULL, "qrc:///help/tutorial_item_2400.html"},
    { QString::fromUtf8("   13.1 Аудио вход"), NULL, "qrc:///help/tutorial_item_2401.html"},
    { QString::fromUtf8("   13.2 Живое аудио"), NULL, "qrc:///help/tutorial_item_2402.html"},
    { QString::fromUtf8("   13.3 Аудио выход"), NULL, "qrc:///help/tutorial_item_2403.html"},
    { QString::fromUtf8("Заключение"), NULL, "qrc:///help/tutorial_item_2404.html"},
    { QString::fromUtf8("A Аппендикс A - Статьи журнала MagPi"), NULL, "qrc:///help/tutorial_item_2405.html"},
    { QString::fromUtf8("   A.1 Трюки с Sonic Pi"), NULL, "qrc:///help/tutorial_item_2406.html"},
    { QString::fromUtf8("   A.2 Лайвкодинг"), NULL, "qrc:///help/tutorial_item_2407.html"},
    { QString::fromUtf8("   A.3 Кодирование ритм-секции"), NULL, "qrc:///help/tutorial_item_2408.html"},
    { QString::fromUtf8("   A.4 Синтезаторные риффы"), NULL, "qrc:///help/tutorial_item_2409.html"},
    { QString::fromUtf8("   A.5 Кислотный бас"), NULL, "qrc:///help/tutorial_item_2410.html"},
    { QString::fromUtf8("   A.6 Музыкальный Minecraft"), NULL, "qrc:///help/tutorial_item_2411.html"},
    { QString::fromUtf8("Ритмы Бизе"), NULL, "qrc:///help/tutorial_item_2412.html"},
    { QString::fromUtf8("   A.8 Становимся Minecraft-виджеями"), NULL, "qrc:///help/tutorial_item_2413.html"},
    { QString::fromUtf8("   A.9 Рандомизация"), NULL, "qrc:///help/tutorial_item_2414.html"},
    { QString::fromUtf8("   A.10 Управление"), NULL, "qrc:///help/tutorial_item_2415.html"},
    { QString::fromUtf8("   A.11 Тик-так"), NULL, "qrc:///help/tutorial_item_2416.html"},
    { QString::fromUtf8("   A.12 Нарезка сэмплов"), NULL, "qrc:///help/tutorial_item_2417.html"},
    { QString::fromUtf8("   A.13 Программирование вероятностного секвенсора"), NULL, "qrc:///help/tutorial_item_2418.html"},
    { QString::fromUtf8("   A.14 Амплитудная модуляция"), NULL, "qrc:///help/tutorial_item_2419.html"},
    { QString::fromUtf8("   A.15 Пять техник лайв-кодинга"), NULL, "qrc:///help/tutorial_item_2420.html"},
    { QString::fromUtf8("А. 16 Как практиковаться в лайв-кодинге"), NULL, "qrc:///help/tutorial_item_2421.html"},
    { QString::fromUtf8("   A.17 Растягивание сэмплов"), NULL, "qrc:///help/tutorial_item_2422.html"},
    { QString::fromUtf8("   A.18 Саунд-дизайн - аддитивный синтез"), NULL, "qrc:///help/tutorial_item_2423.html"},
    { QString::fromUtf8("   A.19 Саунд-дизайн - субтрактивный синтез"), NULL, "qrc:///help/tutorial_item_2424.html"},
    { "   A.20 Creative coding in the classroom with Sonic Pi", NULL, "qrc:///help/tutorial_item_2425.html"},
    { QString::fromUtf8("B Необходимые знания"), NULL, "qrc:///help/tutorial_item_2426.html"},
    { QString::fromUtf8("   B.1 Использование клавиатурных сочетаний"), NULL, "qrc:///help/tutorial_item_2427.html"},
    { QString::fromUtf8("   B.2 Шпаргалка по клавиатурным сочетаниям"), NULL, "qrc:///help/tutorial_item_2428.html"},
    { QString::fromUtf8("   B.3 Обмен"), NULL, "qrc:///help/tutorial_item_2429.html"},
    { QString::fromUtf8("   B.4 Выступление"), NULL, "qrc:///help/tutorial_item_2430.html"},
    { "C Minecraft Pi", NULL, "qrc:///help/tutorial_item_2431.html"},
    { QString::fromUtf8("   11.1 Основной API"), NULL, "qrc:///help/tutorial_item_2432.html"},
  };

  addHelpPage(createHelpTab(tr("Tutorial")), tutorialHelpPages, 87);

} else if (systemLocale.startsWith("sl")) {

  // language sl

  // tutorial info
  struct help_page tutorialHelpPages[] = {
    { "1 Pozdravljen v Sonic Pi-ju", NULL, "qrc:///help/tutorial_item_2433.html"},
    { QString::fromUtf8("   1.1 Programiranje v živo"), NULL, "qrc:///help/tutorial_item_2434.html"},
    { QString::fromUtf8("   1.2 Raziskujemo uporabniški vmesnik"), NULL, "qrc:///help/tutorial_item_2435.html"},
    { QString::fromUtf8("   1.3 Učenje skozi igro"), NULL, "qrc:///help/tutorial_item_2436.html"},
    { "2 Synths", NULL, "qrc:///help/tutorial_item_2437.html"},
    { "   2.1 Your First Beeps", NULL, "qrc:///help/tutorial_item_2438.html"},
    { "   2.2 Synth Options", NULL, "qrc:///help/tutorial_item_2439.html"},
    { "   2.3 Switching Synths", NULL, "qrc:///help/tutorial_item_2440.html"},
    { "   2.4 Duration with Envelopes", NULL, "qrc:///help/tutorial_item_2441.html"},
    { "3 Samples", NULL, "qrc:///help/tutorial_item_2442.html"},
    { "   3.1 Triggering Samples", NULL, "qrc:///help/tutorial_item_2443.html"},
    { "   3.2 Sample Parameters", NULL, "qrc:///help/tutorial_item_2444.html"},
    { "   3.3 Stretching Samples", NULL, "qrc:///help/tutorial_item_2445.html"},
    { "   3.4 Enveloped Samples", NULL, "qrc:///help/tutorial_item_2446.html"},
    { "   3.5 Partial Samples", NULL, "qrc:///help/tutorial_item_2447.html"},
    { "   3.6 External Samples", NULL, "qrc:///help/tutorial_item_2448.html"},
    { "   3.7 Sample Packs", NULL, "qrc:///help/tutorial_item_2449.html"},
    { "4 Randomisation", NULL, "qrc:///help/tutorial_item_2450.html"},
    { "5 Programming Structures", NULL, "qrc:///help/tutorial_item_2451.html"},
    { "   5.1 Blocks", NULL, "qrc:///help/tutorial_item_2452.html"},
    { "   5.2 Iteration and Loops", NULL, "qrc:///help/tutorial_item_2453.html"},
    { "   5.3 Conditionals", NULL, "qrc:///help/tutorial_item_2454.html"},
    { "   5.4 Threads", NULL, "qrc:///help/tutorial_item_2455.html"},
    { "   5.5 Functions", NULL, "qrc:///help/tutorial_item_2456.html"},
    { "   5.6 Variables", NULL, "qrc:///help/tutorial_item_2457.html"},
    { "   5.7 Thread Synchronisation", NULL, "qrc:///help/tutorial_item_2458.html"},
    { "6 FX", NULL, "qrc:///help/tutorial_item_2459.html"},
    { "   6.1 Adding FX", NULL, "qrc:///help/tutorial_item_2460.html"},
    { "   6.2 FX in Practice", NULL, "qrc:///help/tutorial_item_2461.html"},
    { "7 Control", NULL, "qrc:///help/tutorial_item_2462.html"},
    { "   7.1 Controlling Running Synths", NULL, "qrc:///help/tutorial_item_2463.html"},
    { "   7.2 Controlling FX", NULL, "qrc:///help/tutorial_item_2464.html"},
    { "   7.3 Sliding Options", NULL, "qrc:///help/tutorial_item_2465.html"},
    { "8 Data Structures", NULL, "qrc:///help/tutorial_item_2466.html"},
    { "   8.1 Lists", NULL, "qrc:///help/tutorial_item_2467.html"},
    { "   8.2 Chords", NULL, "qrc:///help/tutorial_item_2468.html"},
    { "   8.3 Scales", NULL, "qrc:///help/tutorial_item_2469.html"},
    { "   8.4 Rings", NULL, "qrc:///help/tutorial_item_2470.html"},
    { "   8.5 Ring Chains", NULL, "qrc:///help/tutorial_item_2471.html"},
    { "9 Live Coding", NULL, "qrc:///help/tutorial_item_2472.html"},
    { "   9.1 Live Coding Fundamentals", NULL, "qrc:///help/tutorial_item_2473.html"},
    { "   9.2 Live Loops", NULL, "qrc:///help/tutorial_item_2474.html"},
    { "   9.3 Multiple Live Loops", NULL, "qrc:///help/tutorial_item_2475.html"},
    { "   9.4 Ticking", NULL, "qrc:///help/tutorial_item_2476.html"},
    { "10 Time State", NULL, "qrc:///help/tutorial_item_2477.html"},
    { "   10.1 Set and Get", NULL, "qrc:///help/tutorial_item_2478.html"},
    { "   10.2 Sync", NULL, "qrc:///help/tutorial_item_2479.html"},
    { "   10.3 Pattern Matching", NULL, "qrc:///help/tutorial_item_2480.html"},
    { "11 MIDI", NULL, "qrc:///help/tutorial_item_2481.html"},
    { "   11.1 MIDI In", NULL, "qrc:///help/tutorial_item_2482.html"},
    { "   11.2 MIDI Out", NULL, "qrc:///help/tutorial_item_2483.html"},
    { "12 OSC", NULL, "qrc:///help/tutorial_item_2484.html"},
    { "   12.1 Receiving OSC", NULL, "qrc:///help/tutorial_item_2485.html"},
    { "   12.2 Sending OSC", NULL, "qrc:///help/tutorial_item_2486.html"},
    { "13 Multichannel Audio", NULL, "qrc:///help/tutorial_item_2487.html"},
    { "   13.1 Sound In", NULL, "qrc:///help/tutorial_item_2488.html"},
    { "   13.2 Live Audio", NULL, "qrc:///help/tutorial_item_2489.html"},
    { "   13.3 Sound Out", NULL, "qrc:///help/tutorial_item_2490.html"},
    { "14 Conclusions", NULL, "qrc:///help/tutorial_item_2491.html"},
    { "A Appendix A - MagPi Articles", NULL, "qrc:///help/tutorial_item_2492.html"},
    { "   A.1 Tips for Sonic Pi", NULL, "qrc:///help/tutorial_item_2493.html"},
    { "   A.2 Live Coding", NULL, "qrc:///help/tutorial_item_2494.html"},
    { "   A.3 Coded Beats", NULL, "qrc:///help/tutorial_item_2495.html"},
    { "   A.4 Synth Riffs", NULL, "qrc:///help/tutorial_item_2496.html"},
    { "   A.5 Acid Bass", NULL, "qrc:///help/tutorial_item_2497.html"},
    { "   A.6 Musical Minecraft", NULL, "qrc:///help/tutorial_item_2498.html"},
    { "   A.7 Bizet Beats", NULL, "qrc:///help/tutorial_item_2499.html"},
    { "   A.8 Become a Minecraft VJ", NULL, "qrc:///help/tutorial_item_2500.html"},
    { "   A.9 Randomisation", NULL, "qrc:///help/tutorial_item_2501.html"},
    { "   A.10 Control", NULL, "qrc:///help/tutorial_item_2502.html"},
    { "   A.11 Tick Tock", NULL, "qrc:///help/tutorial_item_2503.html"},
    { "   A.12 Sample Slicing", NULL, "qrc:///help/tutorial_item_2504.html"},
    { "   A.13 Code a Probabilistic Sequencer", NULL, "qrc:///help/tutorial_item_2505.html"},
    { "   A.14 Amplitude Modulation", NULL, "qrc:///help/tutorial_item_2506.html"},
    { "   A.15 Five Live Coding Techniques", NULL, "qrc:///help/tutorial_item_2507.html"},
    { "   A.16 How to Practice Live Coding", NULL, "qrc:///help/tutorial_item_2508.html"},
    { "   A.17 Sample Stretching", NULL, "qrc:///help/tutorial_item_2509.html"},
    { "   A.18 Sound Design - Additive Synthesis", NULL, "qrc:///help/tutorial_item_2510.html"},
    { "   A.19 Sound Design - Subtractive Synthesis", NULL, "qrc:///help/tutorial_item_2511.html"},
    { "   A.20 Creative coding in the classroom with Sonic Pi", NULL, "qrc:///help/tutorial_item_2512.html"},
    { "B Essential Knowledge", NULL, "qrc:///help/tutorial_item_2513.html"},
    { "   B.1 Using Shortcuts", NULL, "qrc:///help/tutorial_item_2514.html"},
    { "   B.2 Shortcut Cheatsheet", NULL, "qrc:///help/tutorial_item_2515.html"},
    { "   B.3 Sharing", NULL, "qrc:///help/tutorial_item_2516.html"},
    { "   B.4 Performing", NULL, "qrc:///help/tutorial_item_2517.html"},
    { "C Minecraft Pi", NULL, "qrc:///help/tutorial_item_2518.html"},
    { "   C.1 Basic API", NULL, "qrc:///help/tutorial_item_2519.html"},
  };

  addHelpPage(createHelpTab(tr("Tutorial")), tutorialHelpPages, 87);

} else if (systemLocale.startsWith("sv")) {

  // language sv

  // tutorial info
  struct help_page tutorialHelpPages[] = {
    { QString::fromUtf8("1 Välkommen till Sonic Pi"), NULL, "qrc:///help/tutorial_item_2520.html"},
    { "   1.1 Live-kodning", NULL, "qrc:///help/tutorial_item_2521.html"},
    { QString::fromUtf8("   1.2 Utforska gränssnittet"), NULL, "qrc:///help/tutorial_item_2522.html"},
    { QString::fromUtf8("   1.3 Inlärning genom lek"), NULL, "qrc:///help/tutorial_item_2523.html"},
    { "2 Syntar", NULL, "qrc:///help/tutorial_item_2524.html"},
    { QString::fromUtf8("   2.1 Dina första pip"), NULL, "qrc:///help/tutorial_item_2525.html"},
    { "   2.2 Syntens tillval", NULL, "qrc:///help/tutorial_item_2526.html"},
    { "   2.3 Switching Synths", NULL, "qrc:///help/tutorial_item_2527.html"},
    { "   2.4 Duration with Envelopes", NULL, "qrc:///help/tutorial_item_2528.html"},
    { "3 Samples", NULL, "qrc:///help/tutorial_item_2529.html"},
    { "   3.1 Triggering Samples", NULL, "qrc:///help/tutorial_item_2530.html"},
    { "   3.2 Sample Parameters", NULL, "qrc:///help/tutorial_item_2531.html"},
    { "   3.3 Stretching Samples", NULL, "qrc:///help/tutorial_item_2532.html"},
    { "   3.4 Enveloped Samples", NULL, "qrc:///help/tutorial_item_2533.html"},
    { "   3.5 Partial Samples", NULL, "qrc:///help/tutorial_item_2534.html"},
    { "   3.6 External Samples", NULL, "qrc:///help/tutorial_item_2535.html"},
    { "   3.7 Sample Packs", NULL, "qrc:///help/tutorial_item_2536.html"},
    { "4 Randomisation", NULL, "qrc:///help/tutorial_item_2537.html"},
    { "5 Programming Structures", NULL, "qrc:///help/tutorial_item_2538.html"},
    { "   5.1 Blocks", NULL, "qrc:///help/tutorial_item_2539.html"},
    { "   5.2 Iterationer och slingor", NULL, "qrc:///help/tutorial_item_2540.html"},
    { "   5.3 Conditionals", NULL, "qrc:///help/tutorial_item_2541.html"},
    { "   5.4 Threads", NULL, "qrc:///help/tutorial_item_2542.html"},
    { "   5.5 Functions", NULL, "qrc:///help/tutorial_item_2543.html"},
    { "   5.6 Variables", NULL, "qrc:///help/tutorial_item_2544.html"},
    { "   5.7 Thread Synchronisation", NULL, "qrc:///help/tutorial_item_2545.html"},
    { "6 FX", NULL, "qrc:///help/tutorial_item_2546.html"},
    { "   6.1 Adding FX", NULL, "qrc:///help/tutorial_item_2547.html"},
    { "   6.2 FX in Practice", NULL, "qrc:///help/tutorial_item_2548.html"},
    { "7 Control", NULL, "qrc:///help/tutorial_item_2549.html"},
    { "   7.1 Controlling Running Synths", NULL, "qrc:///help/tutorial_item_2550.html"},
    { "   7.2 Controlling FX", NULL, "qrc:///help/tutorial_item_2551.html"},
    { "   7.3 Sliding Options", NULL, "qrc:///help/tutorial_item_2552.html"},
    { "8 Data Structures", NULL, "qrc:///help/tutorial_item_2553.html"},
    { "   8.1 Lists", NULL, "qrc:///help/tutorial_item_2554.html"},
    { "   8.2 Chords", NULL, "qrc:///help/tutorial_item_2555.html"},
    { "   8.3 Scales", NULL, "qrc:///help/tutorial_item_2556.html"},
    { "   8.4 Rings", NULL, "qrc:///help/tutorial_item_2557.html"},
    { "   8.5 Ring Chains", NULL, "qrc:///help/tutorial_item_2558.html"},
    { "9 Live Coding", NULL, "qrc:///help/tutorial_item_2559.html"},
    { "   9.1 Live Coding Fundamentals", NULL, "qrc:///help/tutorial_item_2560.html"},
    { "   9.2 Live Loops", NULL, "qrc:///help/tutorial_item_2561.html"},
    { "   9.3 Multiple Live Loops", NULL, "qrc:///help/tutorial_item_2562.html"},
    { "   9.4 Ticking", NULL, "qrc:///help/tutorial_item_2563.html"},
    { "10 Time State", NULL, "qrc:///help/tutorial_item_2564.html"},
    { "   10.1 Set and Get", NULL, "qrc:///help/tutorial_item_2565.html"},
    { "   10.2 Sync", NULL, "qrc:///help/tutorial_item_2566.html"},
    { "   10.3 Pattern Matching", NULL, "qrc:///help/tutorial_item_2567.html"},
    { "11 MIDI", NULL, "qrc:///help/tutorial_item_2568.html"},
    { "   11.1 MIDI In", NULL, "qrc:///help/tutorial_item_2569.html"},
    { "   11.2 MIDI Out", NULL, "qrc:///help/tutorial_item_2570.html"},
    { "12 OSC", NULL, "qrc:///help/tutorial_item_2571.html"},
    { "   12.1 Receiving OSC", NULL, "qrc:///help/tutorial_item_2572.html"},
    { "   12.2 Sending OSC", NULL, "qrc:///help/tutorial_item_2573.html"},
    { "13 Multichannel Audio", NULL, "qrc:///help/tutorial_item_2574.html"},
    { "   13.1 Sound In", NULL, "qrc:///help/tutorial_item_2575.html"},
    { "   13.2 Live Audio", NULL, "qrc:///help/tutorial_item_2576.html"},
    { "   13.3 Sound Out", NULL, "qrc:///help/tutorial_item_2577.html"},
    { "14 Conclusions", NULL, "qrc:///help/tutorial_item_2578.html"},
    { "A Appendix A - MagPi Articles", NULL, "qrc:///help/tutorial_item_2579.html"},
    { "   A.1 Tips for Sonic Pi", NULL, "qrc:///help/tutorial_item_2580.html"},
    { "   A.2 Live Coding", NULL, "qrc:///help/tutorial_item_2581.html"},
    { "   A.3 Coded Beats", NULL, "qrc:///help/tutorial_item_2582.html"},
    { "   A.4 Synth Riffs", NULL, "qrc:///help/tutorial_item_2583.html"},
    { "   A.5 Acid Bass", NULL, "qrc:///help/tutorial_item_2584.html"},
    { "   A.6 Musical Minecraft", NULL, "qrc:///help/tutorial_item_2585.html"},
    { "   A.7 Bizet Beats", NULL, "qrc:///help/tutorial_item_2586.html"},
    { "   A.8 Become a Minecraft VJ", NULL, "qrc:///help/tutorial_item_2587.html"},
    { "   A.9 Randomisation", NULL, "qrc:///help/tutorial_item_2588.html"},
    { "   A.10 Control", NULL, "qrc:///help/tutorial_item_2589.html"},
    { "   A.11 Tick Tock", NULL, "qrc:///help/tutorial_item_2590.html"},
    { "   A.12 Sample Slicing", NULL, "qrc:///help/tutorial_item_2591.html"},
    { "   A.13 Code a Probabilistic Sequencer", NULL, "qrc:///help/tutorial_item_2592.html"},
    { "   A.14 Amplitude Modulation", NULL, "qrc:///help/tutorial_item_2593.html"},
    { "   A.15 Five Live Coding Techniques", NULL, "qrc:///help/tutorial_item_2594.html"},
    { "   A.16 How to Practice Live Coding", NULL, "qrc:///help/tutorial_item_2595.html"},
    { "   A.17 Sample Stretching", NULL, "qrc:///help/tutorial_item_2596.html"},
    { "   A.18 Sound Design - Additive Synthesis", NULL, "qrc:///help/tutorial_item_2597.html"},
    { "   A.19 Sound Design - Subtractive Synthesis", NULL, "qrc:///help/tutorial_item_2598.html"},
    { "   A.20 Creative coding in the classroom with Sonic Pi", NULL, "qrc:///help/tutorial_item_2599.html"},
    { "B Essential Knowledge", NULL, "qrc:///help/tutorial_item_2600.html"},
    { "   B.1 Using Shortcuts", NULL, "qrc:///help/tutorial_item_2601.html"},
    { "   B.2 Shortcut Cheatsheet", NULL, "qrc:///help/tutorial_item_2602.html"},
    { "   B.3 Sharing", NULL, "qrc:///help/tutorial_item_2603.html"},
    { "   B.4 Performing", NULL, "qrc:///help/tutorial_item_2604.html"},
    { "C Minecraft Pi", NULL, "qrc:///help/tutorial_item_2605.html"},
    { "   C.1 Basic API", NULL, "qrc:///help/tutorial_item_2606.html"},
  };

  addHelpPage(createHelpTab(tr("Tutorial")), tutorialHelpPages, 87);

} else if (systemLocale.startsWith("tr")) {

  // language tr

  // tutorial info
  struct help_page tutorialHelpPages[] = {
    { QString::fromUtf8("1 Sonic Pi'ye hoş geldiniz"), NULL, "qrc:///help/tutorial_item_2607.html"},
    { QString::fromUtf8("   1.1 Canlı Kodlama"), NULL, "qrc:///help/tutorial_item_2608.html"},
    { QString::fromUtf8("   1.2 Arayüzü Keşfetme"), NULL, "qrc:///help/tutorial_item_2609.html"},
    { "   1.3 Learning through Play", NULL, "qrc:///help/tutorial_item_2610.html"},
    { "2 Synths", NULL, "qrc:///help/tutorial_item_2611.html"},
    { "   2.1 Your First Beeps", NULL, "qrc:///help/tutorial_item_2612.html"},
    { "   2.2 Synth Options", NULL, "qrc:///help/tutorial_item_2613.html"},
    { "   2.3 Switching Synths", NULL, "qrc:///help/tutorial_item_2614.html"},
    { "   2.4 Duration with Envelopes", NULL, "qrc:///help/tutorial_item_2615.html"},
    { "3 Samples", NULL, "qrc:///help/tutorial_item_2616.html"},
    { "   3.1 Triggering Samples", NULL, "qrc:///help/tutorial_item_2617.html"},
    { "   3.2 Sample Parameters", NULL, "qrc:///help/tutorial_item_2618.html"},
    { "   3.3 Stretching Samples", NULL, "qrc:///help/tutorial_item_2619.html"},
    { "   3.4 Enveloped Samples", NULL, "qrc:///help/tutorial_item_2620.html"},
    { "   3.5 Partial Samples", NULL, "qrc:///help/tutorial_item_2621.html"},
    { "   3.6 External Samples", NULL, "qrc:///help/tutorial_item_2622.html"},
    { "   3.7 Sample Packs", NULL, "qrc:///help/tutorial_item_2623.html"},
    { "4 Randomisation", NULL, "qrc:///help/tutorial_item_2624.html"},
    { "5 Programming Structures", NULL, "qrc:///help/tutorial_item_2625.html"},
    { "   5.1 Blocks", NULL, "qrc:///help/tutorial_item_2626.html"},
    { "   5.2 Iteration and Loops", NULL, "qrc:///help/tutorial_item_2627.html"},
    { "   5.3 Conditionals", NULL, "qrc:///help/tutorial_item_2628.html"},
    { "   5.4 Threads", NULL, "qrc:///help/tutorial_item_2629.html"},
    { "   5.5 Functions", NULL, "qrc:///help/tutorial_item_2630.html"},
    { "   5.6 Variables", NULL, "qrc:///help/tutorial_item_2631.html"},
    { "   5.7 Thread Synchronisation", NULL, "qrc:///help/tutorial_item_2632.html"},
    { "6 FX", NULL, "qrc:///help/tutorial_item_2633.html"},
    { "   6.1 Adding FX", NULL, "qrc:///help/tutorial_item_2634.html"},
    { "   6.2 FX in Practice", NULL, "qrc:///help/tutorial_item_2635.html"},
    { "7 Control", NULL, "qrc:///help/tutorial_item_2636.html"},
    { "   7.1 Controlling Running Synths", NULL, "qrc:///help/tutorial_item_2637.html"},
    { "   7.2 Controlling FX", NULL, "qrc:///help/tutorial_item_2638.html"},
    { "   7.3 Sliding Options", NULL, "qrc:///help/tutorial_item_2639.html"},
    { "8 Data Structures", NULL, "qrc:///help/tutorial_item_2640.html"},
    { "   8.1 Lists", NULL, "qrc:///help/tutorial_item_2641.html"},
    { "   8.2 Chords", NULL, "qrc:///help/tutorial_item_2642.html"},
    { "   8.3 Scales", NULL, "qrc:///help/tutorial_item_2643.html"},
    { "   8.4 Rings", NULL, "qrc:///help/tutorial_item_2644.html"},
    { "   8.5 Ring Chains", NULL, "qrc:///help/tutorial_item_2645.html"},
    { "9 Live Coding", NULL, "qrc:///help/tutorial_item_2646.html"},
    { "   9.1 Live Coding Fundamentals", NULL, "qrc:///help/tutorial_item_2647.html"},
    { "   9.2 Live Loops", NULL, "qrc:///help/tutorial_item_2648.html"},
    { "   9.3 Multiple Live Loops", NULL, "qrc:///help/tutorial_item_2649.html"},
    { "   9.4 Ticking", NULL, "qrc:///help/tutorial_item_2650.html"},
    { "10 Time State", NULL, "qrc:///help/tutorial_item_2651.html"},
    { "   10.1 Set and Get", NULL, "qrc:///help/tutorial_item_2652.html"},
    { "   10.2 Sync", NULL, "qrc:///help/tutorial_item_2653.html"},
    { "   10.3 Pattern Matching", NULL, "qrc:///help/tutorial_item_2654.html"},
    { "11 MIDI", NULL, "qrc:///help/tutorial_item_2655.html"},
    { "   11.1 MIDI In", NULL, "qrc:///help/tutorial_item_2656.html"},
    { "   11.2 MIDI Out", NULL, "qrc:///help/tutorial_item_2657.html"},
    { "12 OSC", NULL, "qrc:///help/tutorial_item_2658.html"},
    { "   12.1 Receiving OSC", NULL, "qrc:///help/tutorial_item_2659.html"},
    { "   12.2 Sending OSC", NULL, "qrc:///help/tutorial_item_2660.html"},
    { "13 Multichannel Audio", NULL, "qrc:///help/tutorial_item_2661.html"},
    { "   13.1 Sound In", NULL, "qrc:///help/tutorial_item_2662.html"},
    { "   13.2 Live Audio", NULL, "qrc:///help/tutorial_item_2663.html"},
    { "   13.3 Sound Out", NULL, "qrc:///help/tutorial_item_2664.html"},
    { "14 Conclusions", NULL, "qrc:///help/tutorial_item_2665.html"},
    { "A Appendix A - MagPi Articles", NULL, "qrc:///help/tutorial_item_2666.html"},
    { "   A.1 Tips for Sonic Pi", NULL, "qrc:///help/tutorial_item_2667.html"},
    { "   A.2 Live Coding", NULL, "qrc:///help/tutorial_item_2668.html"},
    { "   A.3 Coded Beats", NULL, "qrc:///help/tutorial_item_2669.html"},
    { "   A.4 Synth Riffs", NULL, "qrc:///help/tutorial_item_2670.html"},
    { "   A.5 Acid Bass", NULL, "qrc:///help/tutorial_item_2671.html"},
    { "   A.6 Musical Minecraft", NULL, "qrc:///help/tutorial_item_2672.html"},
    { "   A.7 Bizet Beats", NULL, "qrc:///help/tutorial_item_2673.html"},
    { "   A.8 Become a Minecraft VJ", NULL, "qrc:///help/tutorial_item_2674.html"},
    { "   A.9 Randomisation", NULL, "qrc:///help/tutorial_item_2675.html"},
    { "   A.10 Control", NULL, "qrc:///help/tutorial_item_2676.html"},
    { "   A.11 Tick Tock", NULL, "qrc:///help/tutorial_item_2677.html"},
    { "   A.12 Sample Slicing", NULL, "qrc:///help/tutorial_item_2678.html"},
    { "   A.13 Code a Probabilistic Sequencer", NULL, "qrc:///help/tutorial_item_2679.html"},
    { "   A.14 Amplitude Modulation", NULL, "qrc:///help/tutorial_item_2680.html"},
    { "   A.15 Five Live Coding Techniques", NULL, "qrc:///help/tutorial_item_2681.html"},
    { "   A.16 How to Practice Live Coding", NULL, "qrc:///help/tutorial_item_2682.html"},
    { "   A.17 Sample Stretching", NULL, "qrc:///help/tutorial_item_2683.html"},
    { "   A.18 Sound Design - Additive Synthesis", NULL, "qrc:///help/tutorial_item_2684.html"},
    { "   A.19 Sound Design - Subtractive Synthesis", NULL, "qrc:///help/tutorial_item_2685.html"},
    { "   A.20 Creative coding in the classroom with Sonic Pi", NULL, "qrc:///help/tutorial_item_2686.html"},
    { "B Essential Knowledge", NULL, "qrc:///help/tutorial_item_2687.html"},
    { "   B.1 Using Shortcuts", NULL, "qrc:///help/tutorial_item_2688.html"},
    { "   B.2 Shortcut Cheatsheet", NULL, "qrc:///help/tutorial_item_2689.html"},
    { "   B.3 Sharing", NULL, "qrc:///help/tutorial_item_2690.html"},
    { "   B.4 Performing", NULL, "qrc:///help/tutorial_item_2691.html"},
    { "C Minecraft Pi", NULL, "qrc:///help/tutorial_item_2692.html"},
    { "   C.1 Basic API", NULL, "qrc:///help/tutorial_item_2693.html"},
  };

  addHelpPage(createHelpTab(tr("Tutorial")), tutorialHelpPages, 87);

} else {

  // language en

  // tutorial info
  struct help_page tutorialHelpPages[] = {
    { "1 Welcome to Sonic Pi", NULL, "qrc:///help/tutorial_item_2694.html"},
    { "   1.1 Live Coding", NULL, "qrc:///help/tutorial_item_2695.html"},
    { "   1.2 Exploring the Interface", NULL, "qrc:///help/tutorial_item_2696.html"},
    { "   1.3 Learning through Play", NULL, "qrc:///help/tutorial_item_2697.html"},
    { "2 Synths", NULL, "qrc:///help/tutorial_item_2698.html"},
    { "   2.1 Your First Beeps", NULL, "qrc:///help/tutorial_item_2699.html"},
    { "   2.2 Synth Options", NULL, "qrc:///help/tutorial_item_2700.html"},
    { "   2.3 Switching Synths", NULL, "qrc:///help/tutorial_item_2701.html"},
    { "   2.4 Duration with Envelopes", NULL, "qrc:///help/tutorial_item_2702.html"},
    { "3 Samples", NULL, "qrc:///help/tutorial_item_2703.html"},
    { "   3.1 Triggering Samples", NULL, "qrc:///help/tutorial_item_2704.html"},
    { "   3.2 Sample Parameters", NULL, "qrc:///help/tutorial_item_2705.html"},
    { "   3.3 Stretching Samples", NULL, "qrc:///help/tutorial_item_2706.html"},
    { "   3.4 Enveloped Samples", NULL, "qrc:///help/tutorial_item_2707.html"},
    { "   3.5 Partial Samples", NULL, "qrc:///help/tutorial_item_2708.html"},
    { "   3.6 External Samples", NULL, "qrc:///help/tutorial_item_2709.html"},
    { "   3.7 Sample Packs", NULL, "qrc:///help/tutorial_item_2710.html"},
    { "4 Randomisation", NULL, "qrc:///help/tutorial_item_2711.html"},
    { "5 Programming Structures", NULL, "qrc:///help/tutorial_item_2712.html"},
    { "   5.1 Blocks", NULL, "qrc:///help/tutorial_item_2713.html"},
    { "   5.2 Iteration and Loops", NULL, "qrc:///help/tutorial_item_2714.html"},
    { "   5.3 Conditionals", NULL, "qrc:///help/tutorial_item_2715.html"},
    { "   5.4 Threads", NULL, "qrc:///help/tutorial_item_2716.html"},
    { "   5.5 Functions", NULL, "qrc:///help/tutorial_item_2717.html"},
    { "   5.6 Variables", NULL, "qrc:///help/tutorial_item_2718.html"},
    { "   5.7 Thread Synchronisation", NULL, "qrc:///help/tutorial_item_2719.html"},
    { "6 FX", NULL, "qrc:///help/tutorial_item_2720.html"},
    { "   6.1 Adding FX", NULL, "qrc:///help/tutorial_item_2721.html"},
    { "   6.2 FX in Practice", NULL, "qrc:///help/tutorial_item_2722.html"},
    { "7 Control", NULL, "qrc:///help/tutorial_item_2723.html"},
    { "   7.1 Controlling Running Synths", NULL, "qrc:///help/tutorial_item_2724.html"},
    { "   7.2 Controlling FX", NULL, "qrc:///help/tutorial_item_2725.html"},
    { "   7.3 Sliding Options", NULL, "qrc:///help/tutorial_item_2726.html"},
    { "8 Data Structures", NULL, "qrc:///help/tutorial_item_2727.html"},
    { "   8.1 Lists", NULL, "qrc:///help/tutorial_item_2728.html"},
    { "   8.2 Chords", NULL, "qrc:///help/tutorial_item_2729.html"},
    { "   8.3 Scales", NULL, "qrc:///help/tutorial_item_2730.html"},
    { "   8.4 Rings", NULL, "qrc:///help/tutorial_item_2731.html"},
    { "   8.5 Ring Chains", NULL, "qrc:///help/tutorial_item_2732.html"},
    { "9 Live Coding", NULL, "qrc:///help/tutorial_item_2733.html"},
    { "   9.1 Live Coding Fundamentals", NULL, "qrc:///help/tutorial_item_2734.html"},
    { "   9.2 Live Loops", NULL, "qrc:///help/tutorial_item_2735.html"},
    { "   9.3 Multiple Live Loops", NULL, "qrc:///help/tutorial_item_2736.html"},
    { "   9.4 Ticking", NULL, "qrc:///help/tutorial_item_2737.html"},
    { "10 Time State", NULL, "qrc:///help/tutorial_item_2738.html"},
    { "   10.1 Set and Get", NULL, "qrc:///help/tutorial_item_2739.html"},
    { "   10.2 Sync", NULL, "qrc:///help/tutorial_item_2740.html"},
    { "   10.3 Pattern Matching", NULL, "qrc:///help/tutorial_item_2741.html"},
    { "11 MIDI", NULL, "qrc:///help/tutorial_item_2742.html"},
    { "   11.1 MIDI In", NULL, "qrc:///help/tutorial_item_2743.html"},
    { "   11.2 MIDI Out", NULL, "qrc:///help/tutorial_item_2744.html"},
    { "12 OSC", NULL, "qrc:///help/tutorial_item_2745.html"},
    { "   12.1 Receiving OSC", NULL, "qrc:///help/tutorial_item_2746.html"},
    { "   12.2 Sending OSC", NULL, "qrc:///help/tutorial_item_2747.html"},
    { "13 Multichannel Audio", NULL, "qrc:///help/tutorial_item_2748.html"},
    { "   13.1 Sound In", NULL, "qrc:///help/tutorial_item_2749.html"},
    { "   13.2 Live Audio", NULL, "qrc:///help/tutorial_item_2750.html"},
    { "   13.3 Sound Out", NULL, "qrc:///help/tutorial_item_2751.html"},
    { "14 Conclusions", NULL, "qrc:///help/tutorial_item_2752.html"},
    { "A Appendix A - MagPi Articles", NULL, "qrc:///help/tutorial_item_2753.html"},
    { "   A.1 Tips for Sonic Pi", NULL, "qrc:///help/tutorial_item_2754.html"},
    { "   A.2 Live Coding", NULL, "qrc:///help/tutorial_item_2755.html"},
    { "   A.3 Coded Beats", NULL, "qrc:///help/tutorial_item_2756.html"},
    { "   A.4 Synth Riffs", NULL, "qrc:///help/tutorial_item_2757.html"},
    { "   A.5 Acid Bass", NULL, "qrc:///help/tutorial_item_2758.html"},
    { "   A.6 Musical Minecraft", NULL, "qrc:///help/tutorial_item_2759.html"},
    { "   A.7 Bizet Beats", NULL, "qrc:///help/tutorial_item_2760.html"},
    { "   A.8 Become a Minecraft VJ", NULL, "qrc:///help/tutorial_item_2761.html"},
    { "   A.9 Randomisation", NULL, "qrc:///help/tutorial_item_2762.html"},
    { "   A.10 Control", NULL, "qrc:///help/tutorial_item_2763.html"},
    { "   A.11 Tick Tock", NULL, "qrc:///help/tutorial_item_2764.html"},
    { "   A.12 Sample Slicing", NULL, "qrc:///help/tutorial_item_2765.html"},
    { "   A.13 Code a Probabilistic Sequencer", NULL, "qrc:///help/tutorial_item_2766.html"},
    { "   A.14 Amplitude Modulation", NULL, "qrc:///help/tutorial_item_2767.html"},
    { "   A.15 Five Live Coding Techniques", NULL, "qrc:///help/tutorial_item_2768.html"},
    { "   A.16 How to Practice Live Coding", NULL, "qrc:///help/tutorial_item_2769.html"},
    { "   A.17 Sample Stretching", NULL, "qrc:///help/tutorial_item_2770.html"},
    { "   A.18 Sound Design - Additive Synthesis", NULL, "qrc:///help/tutorial_item_2771.html"},
    { "   A.19 Sound Design - Subtractive Synthesis", NULL, "qrc:///help/tutorial_item_2772.html"},
    { "   A.20 Creative coding in the classroom with Sonic Pi", NULL, "qrc:///help/tutorial_item_2773.html"},
    { "B Essential Knowledge", NULL, "qrc:///help/tutorial_item_2774.html"},
    { "   B.1 Using Shortcuts", NULL, "qrc:///help/tutorial_item_2775.html"},
    { "   B.2 Shortcut Cheatsheet", NULL, "qrc:///help/tutorial_item_2776.html"},
    { "   B.3 Sharing", NULL, "qrc:///help/tutorial_item_2777.html"},
    { "   B.4 Performing", NULL, "qrc:///help/tutorial_item_2778.html"},
    { "C Minecraft Pi", NULL, "qrc:///help/tutorial_item_2779.html"},
    { "   C.1 Basic API", NULL, "qrc:///help/tutorial_item_2780.html"},
  };

  addHelpPage(createHelpTab(tr("Tutorial")), tutorialHelpPages, 87);

}

  // examples info
  struct help_page examplesHelpPages[] = {
    { "[Apprentice] Haunted", NULL, "qrc:///help/examples_item_2781.html"},
    { "[Illusionist] Ambient Experiment", NULL, "qrc:///help/examples_item_2782.html"},
    { "[Illusionist] Chord Inversions", NULL, "qrc:///help/examples_item_2783.html"},
    { "[Illusionist] Filtered Dnb", NULL, "qrc:///help/examples_item_2784.html"},
    { "[Illusionist] Fm Noise", NULL, "qrc:///help/examples_item_2785.html"},
    { "[Illusionist] Jungle", NULL, "qrc:///help/examples_item_2786.html"},
    { "[Illusionist] Ocean", NULL, "qrc:///help/examples_item_2787.html"},
    { "[Illusionist] Reich Phase", NULL, "qrc:///help/examples_item_2788.html"},
    { "[Magician] Acid", NULL, "qrc:///help/examples_item_2789.html"},
    { "[Magician] Ambient", NULL, "qrc:///help/examples_item_2790.html"},
    { "[Magician] Compus Beats", NULL, "qrc:///help/examples_item_2791.html"},
    { "[Magician] Echo Drama", NULL, "qrc:///help/examples_item_2792.html"},
    { "[Magician] Idm Breakbeat", NULL, "qrc:///help/examples_item_2793.html"},
    { "[Magician] Tron Bike", NULL, "qrc:///help/examples_item_2794.html"},
    { "[Magician] Wob Rhyth", NULL, "qrc:///help/examples_item_2795.html"},
    { "[Sorcerer] Bach", NULL, "qrc:///help/examples_item_2796.html"},
    { "[Sorcerer] Driving Pulse", NULL, "qrc:///help/examples_item_2797.html"},
    { "[Sorcerer] Monday Blues", NULL, "qrc:///help/examples_item_2798.html"},
    { "[Sorcerer] Rerezzed", NULL, "qrc:///help/examples_item_2799.html"},
    { "[Sorcerer] Square Skit", NULL, "qrc:///help/examples_item_2800.html"},
    { "[Wizard] Blimp Zones", NULL, "qrc:///help/examples_item_2801.html"},
    { "[Wizard] Blip Rhythm", NULL, "qrc:///help/examples_item_2802.html"},
    { "[Wizard] Shufflit", NULL, "qrc:///help/examples_item_2803.html"},
    { "[Wizard] Tilburg 2", NULL, "qrc:///help/examples_item_2804.html"},
    { "[Wizard] Time Machine", NULL, "qrc:///help/examples_item_2805.html"},
    { "[Algomancer] Cloud Beat", NULL, "qrc:///help/examples_item_2806.html"},
    { "[Algomancer] Sonic Dreams", NULL, "qrc:///help/examples_item_2807.html"},
  };

  addHelpPage(createHelpTab(tr("Examples")), examplesHelpPages, 27);


  // synths info
  struct help_page synthsHelpPages[] = {
    { "Beep", "beep", "qrc:///help/synths_item_2808.html"},
    { "Blade", "blade", "qrc:///help/synths_item_2809.html"},
    { "Bnoise", "bnoise", "qrc:///help/synths_item_2810.html"},
    { "Chipbass", "chipbass", "qrc:///help/synths_item_2811.html"},
    { "Chiplead", "chiplead", "qrc:///help/synths_item_2812.html"},
    { "Chipnoise", "chipnoise", "qrc:///help/synths_item_2813.html"},
    { "Cnoise", "cnoise", "qrc:///help/synths_item_2814.html"},
    { "Dark Ambience", "dark_ambience", "qrc:///help/synths_item_2815.html"},
    { "Dpulse", "dpulse", "qrc:///help/synths_item_2816.html"},
    { "Dsaw", "dsaw", "qrc:///help/synths_item_2817.html"},
    { "Dtri", "dtri", "qrc:///help/synths_item_2818.html"},
    { "Dull Bell", "dull_bell", "qrc:///help/synths_item_2819.html"},
    { "Fm", "fm", "qrc:///help/synths_item_2820.html"},
    { "Gnoise", "gnoise", "qrc:///help/synths_item_2821.html"},
    { "Growl", "growl", "qrc:///help/synths_item_2822.html"},
    { "Hollow", "hollow", "qrc:///help/synths_item_2823.html"},
    { "Hoover", "hoover", "qrc:///help/synths_item_2824.html"},
    { "Kalimba", "kalimba", "qrc:///help/synths_item_2825.html"},
    { "Mod Beep", "mod_beep", "qrc:///help/synths_item_2826.html"},
    { "Mod Dsaw", "mod_dsaw", "qrc:///help/synths_item_2827.html"},
    { "Mod Fm", "mod_fm", "qrc:///help/synths_item_2828.html"},
    { "Mod Pulse", "mod_pulse", "qrc:///help/synths_item_2829.html"},
    { "Mod Saw", "mod_saw", "qrc:///help/synths_item_2830.html"},
    { "Mod Sine", "mod_sine", "qrc:///help/synths_item_2831.html"},
    { "Mod Tri", "mod_tri", "qrc:///help/synths_item_2832.html"},
    { "Noise", "noise", "qrc:///help/synths_item_2833.html"},
    { "Piano", "piano", "qrc:///help/synths_item_2834.html"},
    { "Pluck", "pluck", "qrc:///help/synths_item_2835.html"},
    { "Pnoise", "pnoise", "qrc:///help/synths_item_2836.html"},
    { "Pretty Bell", "pretty_bell", "qrc:///help/synths_item_2837.html"},
    { "Prophet", "prophet", "qrc:///help/synths_item_2838.html"},
    { "Pulse", "pulse", "qrc:///help/synths_item_2839.html"},
    { "Rodeo", "rodeo", "qrc:///help/synths_item_2840.html"},
    { "Saw", "saw", "qrc:///help/synths_item_2841.html"},
    { "Sine", "sine", "qrc:///help/synths_item_2842.html"},
    { "Sound In", "sound_in", "qrc:///help/synths_item_2843.html"},
    { "Sound In Stereo", "sound_in_stereo", "qrc:///help/synths_item_2844.html"},
    { "Square", "square", "qrc:///help/synths_item_2845.html"},
    { "Subpulse", "subpulse", "qrc:///help/synths_item_2846.html"},
    { "Supersaw", "supersaw", "qrc:///help/synths_item_2847.html"},
    { "Tb303", "tb303", "qrc:///help/synths_item_2848.html"},
    { "Tech Saws", "tech_saws", "qrc:///help/synths_item_2849.html"},
    { "Tri", "tri", "qrc:///help/synths_item_2850.html"},
    { "Zawa", "zawa", "qrc:///help/synths_item_2851.html"},
  };

  addHelpPage(createHelpTab(tr("Synths")), synthsHelpPages, 44);


  // fx info
  struct help_page fxHelpPages[] = {
    { "Autotuner", "autotuner", "qrc:///help/fx_item_2852.html"},
    { "Band Eq", "band_eq", "qrc:///help/fx_item_2853.html"},
    { "Bitcrusher", "bitcrusher", "qrc:///help/fx_item_2854.html"},
    { "BPF", "bpf", "qrc:///help/fx_item_2855.html"},
    { "Compressor", "compressor", "qrc:///help/fx_item_2856.html"},
    { "Distortion", "distortion", "qrc:///help/fx_item_2857.html"},
    { "Echo", "echo", "qrc:///help/fx_item_2858.html"},
    { "Eq", "eq", "qrc:///help/fx_item_2859.html"},
    { "Flanger", "flanger", "qrc:///help/fx_item_2860.html"},
    { "Gverb", "gverb", "qrc:///help/fx_item_2861.html"},
    { "HPF", "hpf", "qrc:///help/fx_item_2862.html"},
    { "Ixi Techno", "ixi_techno", "qrc:///help/fx_item_2863.html"},
    { "Krush", "krush", "qrc:///help/fx_item_2864.html"},
    { "Level", "level", "qrc:///help/fx_item_2865.html"},
    { "LPF", "lpf", "qrc:///help/fx_item_2866.html"},
    { "Mono", "mono", "qrc:///help/fx_item_2867.html"},
    { "NBPF", "nbpf", "qrc:///help/fx_item_2868.html"},
    { "NHPF", "nhpf", "qrc:///help/fx_item_2869.html"},
    { "NLPF", "nlpf", "qrc:///help/fx_item_2870.html"},
    { "Normaliser", "normaliser", "qrc:///help/fx_item_2871.html"},
    { "NRBPF", "nrbpf", "qrc:///help/fx_item_2872.html"},
    { "NRHPF", "nrhpf", "qrc:///help/fx_item_2873.html"},
    { "NRLPF", "nrlpf", "qrc:///help/fx_item_2874.html"},
    { "Octaver", "octaver", "qrc:///help/fx_item_2875.html"},
    { "Pan", "pan", "qrc:///help/fx_item_2876.html"},
    { "Panslicer", "panslicer", "qrc:///help/fx_item_2877.html"},
    { "Ping Pong", "ping_pong", "qrc:///help/fx_item_2878.html"},
    { "Pitch Shift", "pitch_shift", "qrc:///help/fx_item_2879.html"},
    { "RBPF", "rbpf", "qrc:///help/fx_item_2880.html"},
    { "Record", "record", "qrc:///help/fx_item_2881.html"},
    { "Reverb", "reverb", "qrc:///help/fx_item_2882.html"},
    { "RHPF", "rhpf", "qrc:///help/fx_item_2883.html"},
    { "Ring Mod", "ring_mod", "qrc:///help/fx_item_2884.html"},
    { "RLPF", "rlpf", "qrc:///help/fx_item_2885.html"},
    { "Slicer", "slicer", "qrc:///help/fx_item_2886.html"},
    { "Sound Out", "sound_out", "qrc:///help/fx_item_2887.html"},
    { "Sound Out Stereo", "sound_out_stereo", "qrc:///help/fx_item_2888.html"},
    { "Tanh", "tanh", "qrc:///help/fx_item_2889.html"},
    { "Tremolo", "tremolo", "qrc:///help/fx_item_2890.html"},
    { "Vowel", "vowel", "qrc:///help/fx_item_2891.html"},
    { "Whammy", "whammy", "qrc:///help/fx_item_2892.html"},
    { "Wobble", "wobble", "qrc:///help/fx_item_2893.html"},
  };

  addHelpPage(createHelpTab(tr("Fx")), fxHelpPages, 42);


  // samples info
  struct help_page samplesHelpPages[] = {
    { "Ambient Sounds", NULL, "qrc:///help/samples_item_2894.html"},
    { "Bass Drums", NULL, "qrc:///help/samples_item_2895.html"},
    { "Bass Sounds", NULL, "qrc:///help/samples_item_2896.html"},
    { "Drum Sounds", NULL, "qrc:///help/samples_item_2897.html"},
    { "Electric Sounds", NULL, "qrc:///help/samples_item_2898.html"},
    { "Glitchy Sounds", NULL, "qrc:///help/samples_item_2899.html"},
    { "Mehackit Sounds", NULL, "qrc:///help/samples_item_2900.html"},
    { "Miscellaneous Sounds", NULL, "qrc:///help/samples_item_2901.html"},
    { "Percussive Sounds", NULL, "qrc:///help/samples_item_2902.html"},
    { "Snare Drums", NULL, "qrc:///help/samples_item_2903.html"},
    { "Sounds featuring guitars", NULL, "qrc:///help/samples_item_2904.html"},
    { "Sounds for Looping", NULL, "qrc:///help/samples_item_2905.html"},
    { "Sounds of a Tabla Drum", NULL, "qrc:///help/samples_item_2906.html"},
    { "Vinyl sounds", NULL, "qrc:///help/samples_item_2907.html"},
  };

  addHelpPage(createHelpTab(tr("Samples")), samplesHelpPages, 14);


  // lang info
  struct help_page langHelpPages[] = {
    { "all_sample_names", "all_sample_names", "qrc:///help/lang_item_2908.html"},
    { "assert", "assert", "qrc:///help/lang_item_2909.html"},
    { "assert_equal", "assert_equal", "qrc:///help/lang_item_2910.html"},
    { "assert_error", "assert_error", "qrc:///help/lang_item_2911.html"},
    { "assert_not", "assert_not", "qrc:///help/lang_item_2912.html"},
    { "assert_not_equal", "assert_not_equal", "qrc:///help/lang_item_2913.html"},
    { "assert_similar", "assert_similar", "qrc:///help/lang_item_2914.html"},
    { "at", "at", "qrc:///help/lang_item_2915.html"},
    { "beat", "beat", "qrc:///help/lang_item_2916.html"},
    { "block_duration", "block_duration", "qrc:///help/lang_item_2917.html"},
    { "block_slept?", "block_slept?", "qrc:///help/lang_item_2918.html"},
    { "bools", "bools", "qrc:///help/lang_item_2919.html"},
    { "bt", "bt", "qrc:///help/lang_item_2920.html"},
    { "buffer", "buffer", "qrc:///help/lang_item_2921.html"},
    { "choose", "choose", "qrc:///help/lang_item_2922.html"},
    { "chord", "chord", "qrc:///help/lang_item_2923.html"},
    { "chord_degree", "chord_degree", "qrc:///help/lang_item_2924.html"},
    { "chord_invert", "chord_invert", "qrc:///help/lang_item_2925.html"},
    { "chord_names", "chord_names", "qrc:///help/lang_item_2926.html"},
    { "clear", "clear", "qrc:///help/lang_item_2927.html"},
    { "comment", "comment", "qrc:///help/lang_item_2928.html"},
    { "control", "control", "qrc:///help/lang_item_2929.html"},
    { "cue", "cue", "qrc:///help/lang_item_2930.html"},
    { "current_arg_checks", "current_arg_checks", "qrc:///help/lang_item_2931.html"},
    { "current_beat_duration", "current_beat_duration", "qrc:///help/lang_item_2932.html"},
    { "current_bpm", "current_bpm", "qrc:///help/lang_item_2933.html"},
    { "current_cent_tuning", "current_cent_tuning", "qrc:///help/lang_item_2934.html"},
    { "current_debug", "current_debug", "qrc:///help/lang_item_2935.html"},
    { "current_midi_defaults", "current_midi_defaults", "qrc:///help/lang_item_2936.html"},
    { "current_octave", "current_octave", "qrc:///help/lang_item_2937.html"},
    { "current_random_seed", "current_random_seed", "qrc:///help/lang_item_2938.html"},
    { "current_sample_defaults", "current_sample_defaults", "qrc:///help/lang_item_2939.html"},
    { "current_sched_ahead_time", "current_sched_ahead_time", "qrc:///help/lang_item_2940.html"},
    { "current_synth", "current_synth", "qrc:///help/lang_item_2941.html"},
    { "current_synth_defaults", "current_synth_defaults", "qrc:///help/lang_item_2942.html"},
    { "current_time", "current_time", "qrc:///help/lang_item_2943.html"},
    { "current_transpose", "current_transpose", "qrc:///help/lang_item_2944.html"},
    { "current_volume", "current_volume", "qrc:///help/lang_item_2945.html"},
    { "dec", "dec", "qrc:///help/lang_item_2946.html"},
    { "define", "define", "qrc:///help/lang_item_2947.html"},
    { "defonce", "defonce", "qrc:///help/lang_item_2948.html"},
    { "degree", "degree", "qrc:///help/lang_item_2949.html"},
    { "density", "density", "qrc:///help/lang_item_2950.html"},
    { "dice", "dice", "qrc:///help/lang_item_2951.html"},
    { "doubles", "doubles", "qrc:///help/lang_item_2952.html"},
    { "eval_file", "eval_file", "qrc:///help/lang_item_2953.html"},
    { "factor?", "factor?", "qrc:///help/lang_item_2954.html"},
    { "fx_names", "fx_names", "qrc:///help/lang_item_2955.html"},
    { "get", "get", "qrc:///help/lang_item_2956.html"},
    { "halves", "halves", "qrc:///help/lang_item_2957.html"},
    { "hz_to_midi", "hz_to_midi", "qrc:///help/lang_item_2958.html"},
    { "in_thread", "in_thread", "qrc:///help/lang_item_2959.html"},
    { "inc", "inc", "qrc:///help/lang_item_2960.html"},
    { "kill", "kill", "qrc:///help/lang_item_2961.html"},
    { "knit", "knit", "qrc:///help/lang_item_2962.html"},
    { "line", "line", "qrc:///help/lang_item_2963.html"},
    { "live_audio", "live_audio", "qrc:///help/lang_item_2964.html"},
    { "live_loop", "live_loop", "qrc:///help/lang_item_2965.html"},
    { "load_buffer", "load_buffer", "qrc:///help/lang_item_2966.html"},
    { "load_example", "load_example", "qrc:///help/lang_item_2967.html"},
    { "load_sample", "load_sample", "qrc:///help/lang_item_2968.html"},
    { "load_samples", "load_samples", "qrc:///help/lang_item_2969.html"},
    { "load_synthdefs", "load_synthdefs", "qrc:///help/lang_item_2970.html"},
    { "look", "look", "qrc:///help/lang_item_2971.html"},
    { "loop", "loop", "qrc:///help/lang_item_2972.html"},
    { "map", "map", "qrc:///help/lang_item_2973.html"},
    { "mc_block_id", "mc_block_id", "qrc:///help/lang_item_2974.html"},
    { "mc_block_ids", "mc_block_ids", "qrc:///help/lang_item_2975.html"},
    { "mc_block_name", "mc_block_name", "qrc:///help/lang_item_2976.html"},
    { "mc_block_names", "mc_block_names", "qrc:///help/lang_item_2977.html"},
    { "mc_camera_fixed", "mc_camera_fixed", "qrc:///help/lang_item_2978.html"},
    { "mc_camera_normal", "mc_camera_normal", "qrc:///help/lang_item_2979.html"},
    { "mc_camera_set_location", "mc_camera_set_location", "qrc:///help/lang_item_2980.html"},
    { "mc_camera_third_person", "mc_camera_third_person", "qrc:///help/lang_item_2981.html"},
    { "mc_chat_post", "mc_chat_post", "qrc:///help/lang_item_2982.html"},
    { "mc_checkpoint_restore", "mc_checkpoint_restore", "qrc:///help/lang_item_2983.html"},
    { "mc_checkpoint_save", "mc_checkpoint_save", "qrc:///help/lang_item_2984.html"},
    { "mc_get_block", "mc_get_block", "qrc:///help/lang_item_2985.html"},
    { "mc_get_height", "mc_get_height", "qrc:///help/lang_item_2986.html"},
    { "mc_get_pos", "mc_get_pos", "qrc:///help/lang_item_2987.html"},
    { "mc_get_tile", "mc_get_tile", "qrc:///help/lang_item_2988.html"},
    { "mc_ground_height", "mc_ground_height", "qrc:///help/lang_item_2989.html"},
    { "mc_location", "mc_location", "qrc:///help/lang_item_2990.html"},
    { "mc_message", "mc_message", "qrc:///help/lang_item_2991.html"},
    { "mc_set_area", "mc_set_area", "qrc:///help/lang_item_2992.html"},
    { "mc_set_block", "mc_set_block", "qrc:///help/lang_item_2993.html"},
    { "mc_set_pos", "mc_set_pos", "qrc:///help/lang_item_2994.html"},
    { "mc_set_tile", "mc_set_tile", "qrc:///help/lang_item_2995.html"},
    { "mc_surface_teleport", "mc_surface_teleport", "qrc:///help/lang_item_2996.html"},
    { "mc_teleport", "mc_teleport", "qrc:///help/lang_item_2997.html"},
    { "midi", "midi", "qrc:///help/lang_item_2998.html"},
    { "midi_all_notes_off", "midi_all_notes_off", "qrc:///help/lang_item_2999.html"},
    { "midi_cc", "midi_cc", "qrc:///help/lang_item_3000.html"},
    { "midi_channel_pressure", "midi_channel_pressure", "qrc:///help/lang_item_3001.html"},
    { "midi_clock_beat", "midi_clock_beat", "qrc:///help/lang_item_3002.html"},
    { "midi_clock_tick", "midi_clock_tick", "qrc:///help/lang_item_3003.html"},
    { "midi_continue", "midi_continue", "qrc:///help/lang_item_3004.html"},
    { "midi_local_control_off", "midi_local_control_off", "qrc:///help/lang_item_3005.html"},
    { "midi_local_control_on", "midi_local_control_on", "qrc:///help/lang_item_3006.html"},
    { "midi_mode", "midi_mode", "qrc:///help/lang_item_3007.html"},
    { "midi_note_off", "midi_note_off", "qrc:///help/lang_item_3008.html"},
    { "midi_note_on", "midi_note_on", "qrc:///help/lang_item_3009.html"},
    { "midi_notes", "midi_notes", "qrc:///help/lang_item_3010.html"},
    { "midi_pc", "midi_pc", "qrc:///help/lang_item_3011.html"},
    { "midi_pitch_bend", "midi_pitch_bend", "qrc:///help/lang_item_3012.html"},
    { "midi_poly_pressure", "midi_poly_pressure", "qrc:///help/lang_item_3013.html"},
    { "midi_raw", "midi_raw", "qrc:///help/lang_item_3014.html"},
    { "midi_reset", "midi_reset", "qrc:///help/lang_item_3015.html"},
    { "midi_sound_off", "midi_sound_off", "qrc:///help/lang_item_3016.html"},
    { "midi_start", "midi_start", "qrc:///help/lang_item_3017.html"},
    { "midi_stop", "midi_stop", "qrc:///help/lang_item_3018.html"},
    { "midi_sysex", "midi_sysex", "qrc:///help/lang_item_3019.html"},
    { "midi_to_hz", "midi_to_hz", "qrc:///help/lang_item_3020.html"},
    { "ndefine", "ndefine", "qrc:///help/lang_item_3021.html"},
    { "note", "note", "qrc:///help/lang_item_3022.html"},
    { "note_info", "note_info", "qrc:///help/lang_item_3023.html"},
    { "note_range", "note_range", "qrc:///help/lang_item_3024.html"},
    { "octs", "octs", "qrc:///help/lang_item_3025.html"},
    { "on", "on", "qrc:///help/lang_item_3026.html"},
    { "one_in", "one_in", "qrc:///help/lang_item_3027.html"},
    { "osc", "osc", "qrc:///help/lang_item_3028.html"},
    { "osc_send", "osc_send", "qrc:///help/lang_item_3029.html"},
    { "pick", "pick", "qrc:///help/lang_item_3030.html"},
    { "pitch_to_ratio", "pitch_to_ratio", "qrc:///help/lang_item_3031.html"},
    { "play", "play", "qrc:///help/lang_item_3032.html"},
    { "play_chord", "play_chord", "qrc:///help/lang_item_3033.html"},
    { "play_pattern", "play_pattern", "qrc:///help/lang_item_3034.html"},
    { "play_pattern_timed", "play_pattern_timed", "qrc:///help/lang_item_3035.html"},
    { "print", "print", "qrc:///help/lang_item_3036.html"},
    { "puts", "puts", "qrc:///help/lang_item_3037.html"},
    { "quantise", "quantise", "qrc:///help/lang_item_3038.html"},
    { "ramp", "ramp", "qrc:///help/lang_item_3039.html"},
    { "rand", "rand", "qrc:///help/lang_item_3040.html"},
    { "rand_back", "rand_back", "qrc:///help/lang_item_3041.html"},
    { "rand_i", "rand_i", "qrc:///help/lang_item_3042.html"},
    { "rand_i_look", "rand_i_look", "qrc:///help/lang_item_3043.html"},
    { "rand_look", "rand_look", "qrc:///help/lang_item_3044.html"},
    { "rand_reset", "rand_reset", "qrc:///help/lang_item_3045.html"},
    { "rand_skip", "rand_skip", "qrc:///help/lang_item_3046.html"},
    { "range", "range", "qrc:///help/lang_item_3047.html"},
    { "ratio_to_pitch", "ratio_to_pitch", "qrc:///help/lang_item_3048.html"},
    { "rdist", "rdist", "qrc:///help/lang_item_3049.html"},
    { "reset", "reset", "qrc:///help/lang_item_3050.html"},
    { "reset_mixer!", "reset_mixer!", "qrc:///help/lang_item_3051.html"},
    { "rest?", "rest?", "qrc:///help/lang_item_3052.html"},
    { "ring", "ring", "qrc:///help/lang_item_3053.html"},
    { "rrand", "rrand", "qrc:///help/lang_item_3054.html"},
    { "rrand_i", "rrand_i", "qrc:///help/lang_item_3055.html"},
    { "rt", "rt", "qrc:///help/lang_item_3056.html"},
    { "run_code", "run_code", "qrc:///help/lang_item_3057.html"},
    { "run_file", "run_file", "qrc:///help/lang_item_3058.html"},
    { "sample", "sample", "qrc:///help/lang_item_3059.html"},
    { "sample_buffer", "sample_buffer", "qrc:///help/lang_item_3060.html"},
    { "sample_duration", "sample_duration", "qrc:///help/lang_item_3061.html"},
    { "sample_free", "sample_free", "qrc:///help/lang_item_3062.html"},
    { "sample_free_all", "sample_free_all", "qrc:///help/lang_item_3063.html"},
    { "sample_groups", "sample_groups", "qrc:///help/lang_item_3064.html"},
    { "sample_info", "sample_info", "qrc:///help/lang_item_3065.html"},
    { "sample_loaded?", "sample_loaded?", "qrc:///help/lang_item_3066.html"},
    { "sample_names", "sample_names", "qrc:///help/lang_item_3067.html"},
    { "sample_paths", "sample_paths", "qrc:///help/lang_item_3068.html"},
    { "scale", "scale", "qrc:///help/lang_item_3069.html"},
    { "scale_names", "scale_names", "qrc:///help/lang_item_3070.html"},
    { "scsynth_info", "scsynth_info", "qrc:///help/lang_item_3071.html"},
    { "set", "set", "qrc:///help/lang_item_3072.html"},
    { "set_audio_latency!", "set_audio_latency!", "qrc:///help/lang_item_3073.html"},
    { "set_cent_tuning!", "set_cent_tuning!", "qrc:///help/lang_item_3074.html"},
    { "set_control_delta!", "set_control_delta!", "qrc:///help/lang_item_3075.html"},
    { "set_mixer_control!", "set_mixer_control!", "qrc:///help/lang_item_3076.html"},
    { "set_recording_bit_depth!", "set_recording_bit_depth!", "qrc:///help/lang_item_3077.html"},
    { "set_sched_ahead_time!", "set_sched_ahead_time!", "qrc:///help/lang_item_3078.html"},
    { "set_volume!", "set_volume!", "qrc:///help/lang_item_3079.html"},
    { "shuffle", "shuffle", "qrc:///help/lang_item_3080.html"},
    { "sleep", "sleep", "qrc:///help/lang_item_3081.html"},
    { "spark", "spark", "qrc:///help/lang_item_3082.html"},
    { "spark_graph", "spark_graph", "qrc:///help/lang_item_3083.html"},
    { "spread", "spread", "qrc:///help/lang_item_3084.html"},
    { "status", "status", "qrc:///help/lang_item_3085.html"},
    { "stop", "stop", "qrc:///help/lang_item_3086.html"},
    { "stretch", "stretch", "qrc:///help/lang_item_3087.html"},
    { "sync", "sync", "qrc:///help/lang_item_3088.html"},
    { "sync_bpm", "sync_bpm", "qrc:///help/lang_item_3089.html"},
    { "synth", "synth", "qrc:///help/lang_item_3090.html"},
    { "synth_names", "synth_names", "qrc:///help/lang_item_3091.html"},
    { "tick", "tick", "qrc:///help/lang_item_3092.html"},
    { "tick_reset", "tick_reset", "qrc:///help/lang_item_3093.html"},
    { "tick_reset_all", "tick_reset_all", "qrc:///help/lang_item_3094.html"},
    { "tick_set", "tick_set", "qrc:///help/lang_item_3095.html"},
    { "time_warp", "time_warp", "qrc:///help/lang_item_3096.html"},
    { "uncomment", "uncomment", "qrc:///help/lang_item_3097.html"},
    { "use_arg_bpm_scaling", "use_arg_bpm_scaling", "qrc:///help/lang_item_3098.html"},
    { "use_arg_checks", "use_arg_checks", "qrc:///help/lang_item_3099.html"},
    { "use_bpm", "use_bpm", "qrc:///help/lang_item_3100.html"},
    { "use_bpm_mul", "use_bpm_mul", "qrc:///help/lang_item_3101.html"},
    { "use_cent_tuning", "use_cent_tuning", "qrc:///help/lang_item_3102.html"},
    { "use_cue_logging", "use_cue_logging", "qrc:///help/lang_item_3103.html"},
    { "use_debug", "use_debug", "qrc:///help/lang_item_3104.html"},
    { "use_merged_midi_defaults", "use_merged_midi_defaults", "qrc:///help/lang_item_3105.html"},
    { "use_merged_sample_defaults", "use_merged_sample_defaults", "qrc:///help/lang_item_3106.html"},
    { "use_merged_synth_defaults", "use_merged_synth_defaults", "qrc:///help/lang_item_3107.html"},
    { "use_midi_defaults", "use_midi_defaults", "qrc:///help/lang_item_3108.html"},
    { "use_midi_logging", "use_midi_logging", "qrc:///help/lang_item_3109.html"},
    { "use_octave", "use_octave", "qrc:///help/lang_item_3110.html"},
    { "use_osc", "use_osc", "qrc:///help/lang_item_3111.html"},
    { "use_osc_logging", "use_osc_logging", "qrc:///help/lang_item_3112.html"},
    { "use_random_seed", "use_random_seed", "qrc:///help/lang_item_3113.html"},
    { "use_random_source", "use_random_source", "qrc:///help/lang_item_3114.html"},
    { "use_real_time", "use_real_time", "qrc:///help/lang_item_3115.html"},
    { "use_sample_bpm", "use_sample_bpm", "qrc:///help/lang_item_3116.html"},
    { "use_sample_defaults", "use_sample_defaults", "qrc:///help/lang_item_3117.html"},
    { "use_sched_ahead_time", "use_sched_ahead_time", "qrc:///help/lang_item_3118.html"},
    { "use_synth", "use_synth", "qrc:///help/lang_item_3119.html"},
    { "use_synth_defaults", "use_synth_defaults", "qrc:///help/lang_item_3120.html"},
    { "use_timing_guarantees", "use_timing_guarantees", "qrc:///help/lang_item_3121.html"},
    { "use_transpose", "use_transpose", "qrc:///help/lang_item_3122.html"},
    { "use_tuning", "use_tuning", "qrc:///help/lang_item_3123.html"},
    { "vector", "vector", "qrc:///help/lang_item_3124.html"},
    { "version", "version", "qrc:///help/lang_item_3125.html"},
    { "vt", "vt", "qrc:///help/lang_item_3126.html"},
    { "wait", "wait", "qrc:///help/lang_item_3127.html"},
    { "with_arg_bpm_scaling", "with_arg_bpm_scaling", "qrc:///help/lang_item_3128.html"},
    { "with_arg_checks", "with_arg_checks", "qrc:///help/lang_item_3129.html"},
    { "with_bpm", "with_bpm", "qrc:///help/lang_item_3130.html"},
    { "with_bpm_mul", "with_bpm_mul", "qrc:///help/lang_item_3131.html"},
    { "with_cent_tuning", "with_cent_tuning", "qrc:///help/lang_item_3132.html"},
    { "with_cue_logging", "with_cue_logging", "qrc:///help/lang_item_3133.html"},
    { "with_debug", "with_debug", "qrc:///help/lang_item_3134.html"},
    { "with_fx", "with_fx", "qrc:///help/lang_item_3135.html"},
    { "with_merged_midi_defaults", "with_merged_midi_defaults", "qrc:///help/lang_item_3136.html"},
    { "with_merged_sample_defaults", "with_merged_sample_defaults", "qrc:///help/lang_item_3137.html"},
    { "with_merged_synth_defaults", "with_merged_synth_defaults", "qrc:///help/lang_item_3138.html"},
    { "with_midi_defaults", "with_midi_defaults", "qrc:///help/lang_item_3139.html"},
    { "with_midi_logging", "with_midi_logging", "qrc:///help/lang_item_3140.html"},
    { "with_octave", "with_octave", "qrc:///help/lang_item_3141.html"},
    { "with_osc", "with_osc", "qrc:///help/lang_item_3142.html"},
    { "with_osc_logging", "with_osc_logging", "qrc:///help/lang_item_3143.html"},
    { "with_random_seed", "with_random_seed", "qrc:///help/lang_item_3144.html"},
    { "with_random_source", "with_random_source", "qrc:///help/lang_item_3145.html"},
    { "with_real_time", "with_real_time", "qrc:///help/lang_item_3146.html"},
    { "with_sample_bpm", "with_sample_bpm", "qrc:///help/lang_item_3147.html"},
    { "with_sample_defaults", "with_sample_defaults", "qrc:///help/lang_item_3148.html"},
    { "with_sched_ahead_time", "with_sched_ahead_time", "qrc:///help/lang_item_3149.html"},
    { "with_swing", "with_swing", "qrc:///help/lang_item_3150.html"},
    { "with_synth", "with_synth", "qrc:///help/lang_item_3151.html"},
    { "with_synth_defaults", "with_synth_defaults", "qrc:///help/lang_item_3152.html"},
    { "with_timing_guarantees", "with_timing_guarantees", "qrc:///help/lang_item_3153.html"},
    { "with_transpose", "with_transpose", "qrc:///help/lang_item_3154.html"},
    { "with_tuning", "with_tuning", "qrc:///help/lang_item_3155.html"},
  };

  addHelpPage(createHelpTab(tr("Lang")), langHelpPages, 248);

  // FX arguments for autocompletion
  QStringList fxtmp;
  // fx :bitcrusher
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_mix:" << "pre_amp:" << "sample_rate:" << "bits:" << "cutoff:" ;
  autocomplete->addFXArgs(":bitcrusher", fxtmp);

  // fx :krush
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_mix:" << "pre_amp:" << "gain:" << "cutoff:" << "res:" ;
  autocomplete->addFXArgs(":krush", fxtmp);

  // fx :reverb
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_mix:" << "pre_amp:" << "room:" << "damp:" ;
  autocomplete->addFXArgs(":reverb", fxtmp);

  // fx :gverb
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_mix:" << "pre_amp:" << "spread:" << "damp:" << "pre_damp:" << "dry:" << "room:" << "release:" << "ref_level:" << "tail_level:" ;
  autocomplete->addFXArgs(":gverb", fxtmp);

  // fx :level
  fxtmp.clear(); fxtmp << "amp:" ;
  autocomplete->addFXArgs(":level", fxtmp);

  // fx :mono
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_mix:" << "pre_amp:" << "pan:" ;
  autocomplete->addFXArgs(":mono", fxtmp);

  // fx :autotuner
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_mix:" << "pre_amp:" << "note:" << "formant_ratio:" ;
  autocomplete->addFXArgs(":autotuner", fxtmp);

  // fx :echo
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_mix:" << "pre_amp:" << "phase:" << "decay:" << "max_phase:" ;
  autocomplete->addFXArgs(":echo", fxtmp);

  // fx :slicer
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_mix:" << "pre_amp:" << "phase:" << "amp_min:" << "amp_max:" << "pulse_width:" << "phase_offset:" << "wave:" << "invert_wave:" << "probability:" << "prob_pos:" << "seed:" << "smooth:" << "smooth_up:" << "smooth_down:" ;
  autocomplete->addFXArgs(":slicer", fxtmp);

  // fx :panslicer
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_mix:" << "pre_amp:" << "phase:" << "amp_min:" << "amp_max:" << "pulse_width:" << "phase_offset:" << "wave:" << "invert_wave:" << "probability:" << "prob_pos:" << "seed:" << "smooth:" << "smooth_up:" << "smooth_down:" << "pan_min:" << "pan_max:" ;
  autocomplete->addFXArgs(":panslicer", fxtmp);

  // fx :wobble
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_mix:" << "pre_amp:" << "phase:" << "cutoff_min:" << "cutoff_max:" << "res:" << "phase_offset:" << "wave:" << "invert_wave:" << "pulse_width:" << "filter:" << "probability:" << "prob_pos:" << "seed:" << "smooth:" << "smooth_up:" << "smooth_down:" ;
  autocomplete->addFXArgs(":wobble", fxtmp);

  // fx :ixi_techno
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_mix:" << "pre_amp:" << "phase:" << "phase_offset:" << "cutoff_min:" << "cutoff_max:" << "res:" ;
  autocomplete->addFXArgs(":ixi_techno", fxtmp);

  // fx :compressor
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_mix:" << "pre_amp:" << "threshold:" << "clamp_time:" << "slope_above:" << "slope_below:" << "relax_time:" ;
  autocomplete->addFXArgs(":compressor", fxtmp);

  // fx :whammy
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_mix:" << "pre_amp:" << "transpose:" << "max_delay_time:" << "deltime:" << "grainsize:" ;
  autocomplete->addFXArgs(":whammy", fxtmp);

  // fx :rlpf
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_mix:" << "pre_amp:" << "cutoff:" << "res:" ;
  autocomplete->addFXArgs(":rlpf", fxtmp);

  // fx :nrlpf
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_mix:" << "pre_amp:" << "cutoff:" << "res:" ;
  autocomplete->addFXArgs(":nrlpf", fxtmp);

  // fx :rhpf
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_mix:" << "pre_amp:" << "cutoff:" << "res:" ;
  autocomplete->addFXArgs(":rhpf", fxtmp);

  // fx :nrhpf
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_mix:" << "pre_amp:" << "cutoff:" << "res:" ;
  autocomplete->addFXArgs(":nrhpf", fxtmp);

  // fx :hpf
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_mix:" << "pre_amp:" << "cutoff:" ;
  autocomplete->addFXArgs(":hpf", fxtmp);

  // fx :nhpf
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_mix:" << "pre_amp:" << "cutoff:" ;
  autocomplete->addFXArgs(":nhpf", fxtmp);

  // fx :lpf
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_mix:" << "pre_amp:" << "cutoff:" ;
  autocomplete->addFXArgs(":lpf", fxtmp);

  // fx :nlpf
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_mix:" << "pre_amp:" << "cutoff:" ;
  autocomplete->addFXArgs(":nlpf", fxtmp);

  // fx :normaliser
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_mix:" << "pre_amp:" << "level:" ;
  autocomplete->addFXArgs(":normaliser", fxtmp);

  // fx :distortion
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_mix:" << "pre_amp:" << "distort:" ;
  autocomplete->addFXArgs(":distortion", fxtmp);

  // fx :pan
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_mix:" << "pre_amp:" << "pan:" ;
  autocomplete->addFXArgs(":pan", fxtmp);

  // fx :bpf
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_mix:" << "pre_amp:" << "centre:" << "res:" ;
  autocomplete->addFXArgs(":bpf", fxtmp);

  // fx :nbpf
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_mix:" << "pre_amp:" << "centre:" << "res:" ;
  autocomplete->addFXArgs(":nbpf", fxtmp);

  // fx :rbpf
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_mix:" << "pre_amp:" << "centre:" << "res:" ;
  autocomplete->addFXArgs(":rbpf", fxtmp);

  // fx :nrbpf
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_mix:" << "pre_amp:" << "centre:" << "res:" ;
  autocomplete->addFXArgs(":nrbpf", fxtmp);

  // fx :band_eq
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_mix:" << "pre_amp:" << "freq:" << "res:" << "db:" ;
  autocomplete->addFXArgs(":band_eq", fxtmp);

  // fx :tanh
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_mix:" << "pre_amp:" << "krunch:" ;
  autocomplete->addFXArgs(":tanh", fxtmp);

  // fx :pitch_shift
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_mix:" << "pre_amp:" << "window_size:" << "pitch:" << "pitch_dis:" << "time_dis:" ;
  autocomplete->addFXArgs(":pitch_shift", fxtmp);

  // fx :ring_mod
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_mix:" << "pre_amp:" << "freq:" << "mod_amp:" ;
  autocomplete->addFXArgs(":ring_mod", fxtmp);

  // fx :octaver
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_mix:" << "pre_amp:" << "super_amp:" << "sub_amp:" << "subsub_amp:" ;
  autocomplete->addFXArgs(":octaver", fxtmp);

  // fx :vowel
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_mix:" << "pre_amp:" << "vowel_sound:" << "voice:" ;
  autocomplete->addFXArgs(":vowel", fxtmp);

  // fx :flanger
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_mix:" << "pre_amp:" << "phase:" << "phase_offset:" << "wave:" << "invert_wave:" << "stereo_invert_wave:" << "delay:" << "max_delay:" << "depth:" << "decay:" << "feedback:" << "invert_flange:" ;
  autocomplete->addFXArgs(":flanger", fxtmp);

  // fx :eq
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_mix:" << "pre_amp:" << "low_shelf:" << "low_shelf_note:" << "low_shelf_slope:" << "low:" << "low_note:" << "low_q:" << "mid:" << "mid_note:" << "mid_q:" << "high:" << "high_note:" << "high_q:" << "high_shelf:" << "high_shelf_note:" << "high_shelf_slope:" ;
  autocomplete->addFXArgs(":eq", fxtmp);

  // fx :tremolo
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_mix:" << "pre_amp:" << "phase:" << "phase_offset:" << "wave:" << "invert_wave:" << "depth:" ;
  autocomplete->addFXArgs(":tremolo", fxtmp);

  // fx :record
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_mix:" << "pre_amp:" << "buffer:" ;
  autocomplete->addFXArgs(":record", fxtmp);

  // fx :sound_out
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_mix:" << "pre_amp:" << "output:" << "mode:" ;
  autocomplete->addFXArgs(":sound_out", fxtmp);

  // fx :sound_out_stereo
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_mix:" << "pre_amp:" << "output:" << "mode:" ;
  autocomplete->addFXArgs(":sound_out_stereo", fxtmp);

  // fx :ping_pong
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_mix:" << "pre_amp:" << "phase:" << "feedback:" << "max_phase:" << "pan_start:" ;
  autocomplete->addFXArgs(":ping_pong", fxtmp);

  // synth :dull_bell
  fxtmp.clear(); fxtmp << "note:" << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "decay_level:" << "sustain_level:" << "env_curve:" ;
  autocomplete->addSynthArgs(":dull_bell", fxtmp);

  // synth :pretty_bell
  fxtmp.clear(); fxtmp << "note:" << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "decay_level:" << "sustain_level:" << "env_curve:" ;
  autocomplete->addSynthArgs(":pretty_bell", fxtmp);

  // synth :beep
  fxtmp.clear(); fxtmp << "note:" << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "decay_level:" << "sustain_level:" << "env_curve:" ;
  autocomplete->addSynthArgs(":beep", fxtmp);

  // synth :sine
  fxtmp.clear(); fxtmp << "note:" << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "decay_level:" << "sustain_level:" << "env_curve:" ;
  autocomplete->addSynthArgs(":sine", fxtmp);

  // synth :saw
  fxtmp.clear(); fxtmp << "note:" << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "decay_level:" << "sustain_level:" << "env_curve:" << "cutoff:" ;
  autocomplete->addSynthArgs(":saw", fxtmp);

  // synth :pulse
  fxtmp.clear(); fxtmp << "note:" << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "decay_level:" << "sustain_level:" << "env_curve:" << "cutoff:" << "pulse_width:" ;
  autocomplete->addSynthArgs(":pulse", fxtmp);

  // synth :subpulse
  fxtmp.clear(); fxtmp << "note:" << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "decay_level:" << "sustain_level:" << "env_curve:" << "cutoff:" << "pulse_width:" << "sub_amp:" << "sub_detune:" ;
  autocomplete->addSynthArgs(":subpulse", fxtmp);

  // synth :square
  fxtmp.clear(); fxtmp << "note:" << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "decay_level:" << "sustain_level:" << "env_curve:" << "cutoff:" ;
  autocomplete->addSynthArgs(":square", fxtmp);

  // synth :tri
  fxtmp.clear(); fxtmp << "note:" << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "decay_level:" << "sustain_level:" << "env_curve:" << "cutoff:" << "pulse_width:" ;
  autocomplete->addSynthArgs(":tri", fxtmp);

  // synth :dsaw
  fxtmp.clear(); fxtmp << "note:" << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "decay_level:" << "sustain_level:" << "env_curve:" << "cutoff:" << "detune:" ;
  autocomplete->addSynthArgs(":dsaw", fxtmp);

  // synth :dpulse
  fxtmp.clear(); fxtmp << "note:" << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "decay_level:" << "sustain_level:" << "env_curve:" << "cutoff:" << "detune:" << "pulse_width:" << "dpulse_width:" ;
  autocomplete->addSynthArgs(":dpulse", fxtmp);

  // synth :dtri
  fxtmp.clear(); fxtmp << "note:" << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "decay_level:" << "sustain_level:" << "env_curve:" << "cutoff:" << "detune:" ;
  autocomplete->addSynthArgs(":dtri", fxtmp);

  // synth :fm
  fxtmp.clear(); fxtmp << "note:" << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "decay_level:" << "sustain_level:" << "env_curve:" << "cutoff:" << "divisor:" << "depth:" ;
  autocomplete->addSynthArgs(":fm", fxtmp);

  // synth :mod_fm
  fxtmp.clear(); fxtmp << "note:" << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "decay_level:" << "sustain_level:" << "env_curve:" << "cutoff:" << "divisor:" << "depth:" << "mod_phase:" << "mod_range:" << "mod_pulse_width:" << "mod_phase_offset:" << "mod_invert_wave:" << "mod_wave:" ;
  autocomplete->addSynthArgs(":mod_fm", fxtmp);

  // synth :mod_saw
  fxtmp.clear(); fxtmp << "note:" << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "decay_level:" << "sustain_level:" << "env_curve:" << "cutoff:" << "mod_phase:" << "mod_range:" << "mod_pulse_width:" << "mod_phase_offset:" << "mod_invert_wave:" << "mod_wave:" ;
  autocomplete->addSynthArgs(":mod_saw", fxtmp);

  // synth :mod_dsaw
  fxtmp.clear(); fxtmp << "note:" << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "decay_level:" << "sustain_level:" << "env_curve:" << "cutoff:" << "mod_phase:" << "mod_range:" << "mod_pulse_width:" << "mod_phase_offset:" << "mod_invert_wave:" << "mod_wave:" << "detune:" ;
  autocomplete->addSynthArgs(":mod_dsaw", fxtmp);

  // synth :mod_sine
  fxtmp.clear(); fxtmp << "note:" << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "decay_level:" << "sustain_level:" << "env_curve:" << "cutoff:" << "mod_phase:" << "mod_range:" << "mod_pulse_width:" << "mod_phase_offset:" << "mod_invert_wave:" << "mod_wave:" ;
  autocomplete->addSynthArgs(":mod_sine", fxtmp);

  // synth :mod_beep
  fxtmp.clear(); fxtmp << "note:" << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "decay_level:" << "sustain_level:" << "env_curve:" << "cutoff:" << "mod_phase:" << "mod_range:" << "mod_pulse_width:" << "mod_phase_offset:" << "mod_invert_wave:" << "mod_wave:" ;
  autocomplete->addSynthArgs(":mod_beep", fxtmp);

  // synth :mod_tri
  fxtmp.clear(); fxtmp << "note:" << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "decay_level:" << "sustain_level:" << "env_curve:" << "cutoff:" << "mod_phase:" << "mod_range:" << "mod_pulse_width:" << "mod_phase_offset:" << "mod_invert_wave:" << "mod_wave:" ;
  autocomplete->addSynthArgs(":mod_tri", fxtmp);

  // synth :mod_pulse
  fxtmp.clear(); fxtmp << "note:" << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "decay_level:" << "sustain_level:" << "env_curve:" << "cutoff:" << "mod_phase:" << "mod_range:" << "mod_pulse_width:" << "mod_phase_offset:" << "mod_invert_wave:" << "mod_wave:" << "pulse_width:" ;
  autocomplete->addSynthArgs(":mod_pulse", fxtmp);

  // synth :chiplead
  fxtmp.clear(); fxtmp << "note:" << "note_resolution:" << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "decay_level:" << "sustain_level:" << "env_curve:" << "width:" ;
  autocomplete->addSynthArgs(":chiplead", fxtmp);

  // synth :chipbass
  fxtmp.clear(); fxtmp << "note:" << "note_resolution:" << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "decay_level:" << "sustain_level:" << "env_curve:" ;
  autocomplete->addSynthArgs(":chipbass", fxtmp);

  // synth :tb303
  fxtmp.clear(); fxtmp << "note:" << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "decay_level:" << "sustain_level:" << "env_curve:" << "cutoff:" << "cutoff_min:" << "cutoff_attack:" << "cutoff_decay:" << "cutoff_sustain:" << "cutoff_release:" << "cutoff_attack_level:" << "cutoff_decay_level:" << "cutoff_sustain_level:" << "res:" << "wave:" << "pulse_width:" ;
  autocomplete->addSynthArgs(":tb303", fxtmp);

  // synth :supersaw
  fxtmp.clear(); fxtmp << "note:" << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "decay_level:" << "sustain_level:" << "env_curve:" << "cutoff:" << "res:" ;
  autocomplete->addSynthArgs(":supersaw", fxtmp);

  // synth :hoover
  fxtmp.clear(); fxtmp << "note:" << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "decay_level:" << "sustain_level:" << "env_curve:" << "cutoff:" << "res:" ;
  autocomplete->addSynthArgs(":hoover", fxtmp);

  // synth :prophet
  fxtmp.clear(); fxtmp << "note:" << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "decay_level:" << "sustain_level:" << "env_curve:" << "cutoff:" << "res:" ;
  autocomplete->addSynthArgs(":prophet", fxtmp);

  // synth :zawa
  fxtmp.clear(); fxtmp << "note:" << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "decay_level:" << "sustain_level:" << "cutoff:" << "res:" << "phase:" << "phase_offset:" << "wave:" << "invert_wave:" << "range:" << "disable_wave:" << "pulse_width:" ;
  autocomplete->addSynthArgs(":zawa", fxtmp);

  // synth :dark_ambience
  fxtmp.clear(); fxtmp << "note:" << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "decay_level:" << "sustain_level:" << "env_curve:" << "cutoff:" << "res:" << "detune1:" << "detune2:" << "noise:" << "ring:" << "room:" << "reverb_time:" ;
  autocomplete->addSynthArgs(":dark_ambience", fxtmp);

  // synth :growl
  fxtmp.clear(); fxtmp << "note:" << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "decay_level:" << "sustain_level:" << "env_curve:" << "cutoff:" << "res:" ;
  autocomplete->addSynthArgs(":growl", fxtmp);

  // synth :hollow
  fxtmp.clear(); fxtmp << "note:" << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "decay_level:" << "sustain_level:" << "env_curve:" << "cutoff:" << "res:" << "noise:" << "norm:" ;
  autocomplete->addSynthArgs(":hollow", fxtmp);

  // synth :mono_player
  fxtmp.clear(); fxtmp << "amp:" << "pre_amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "lpf:" << "lpf_attack:" << "lpf_decay:" << "lpf_sustain:" << "lpf_release:" << "lpf_init_level:" << "lpf_attack_level:" << "lpf_decay_level:" << "lpf_sustain_level:" << "lpf_release_level:" << "lpf_env_curve:" << "lpf_min:" << "hpf:" << "hpf_attack:" << "hpf_sustain:" << "hpf_decay:" << "hpf_release:" << "hpf_init_level:" << "hpf_attack_level:" << "hpf_decay_level:" << "hpf_sustain_level:" << "hpf_release_level:" << "hpf_env_curve:" << "hpf_max:" << "attack_level:" << "decay_level:" << "sustain_level:" << "env_curve:" << "rate:" << "start:" << "finish:" << "norm:" << "pitch:" << "window_size:" << "pitch_dis:" << "time_dis:" << "compress:" << "threshold:" << "clamp_time:" << "slope_above:" << "slope_below:" << "relax_time:" ;
  autocomplete->addSynthArgs(":mono_player", fxtmp);

  // synth :stereo_player
  fxtmp.clear(); fxtmp << "amp:" << "pre_amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "lpf:" << "lpf_attack:" << "lpf_decay:" << "lpf_sustain:" << "lpf_release:" << "lpf_init_level:" << "lpf_attack_level:" << "lpf_decay_level:" << "lpf_sustain_level:" << "lpf_release_level:" << "lpf_env_curve:" << "lpf_min:" << "hpf:" << "hpf_attack:" << "hpf_sustain:" << "hpf_decay:" << "hpf_release:" << "hpf_init_level:" << "hpf_attack_level:" << "hpf_decay_level:" << "hpf_sustain_level:" << "hpf_release_level:" << "hpf_env_curve:" << "hpf_max:" << "attack_level:" << "decay_level:" << "sustain_level:" << "env_curve:" << "rate:" << "start:" << "finish:" << "norm:" << "pitch:" << "window_size:" << "pitch_dis:" << "time_dis:" << "compress:" << "threshold:" << "clamp_time:" << "slope_above:" << "slope_below:" << "relax_time:" ;
  autocomplete->addSynthArgs(":stereo_player", fxtmp);

  // synth :blade
  fxtmp.clear(); fxtmp << "note:" << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "decay_level:" << "sustain_level:" << "env_curve:" << "cutoff:" << "vibrato_rate:" << "vibrato_depth:" << "vibrato_delay:" << "vibrato_onset:" ;
  autocomplete->addSynthArgs(":blade", fxtmp);

  // synth :piano
  fxtmp.clear(); fxtmp << "note:" << "amp:" << "pan:" << "vel:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "decay_level:" << "sustain_level:" << "hard:" << "stereo_width:" ;
  autocomplete->addSynthArgs(":piano", fxtmp);

  // synth :rodeo
  fxtmp.clear(); fxtmp << "note:" << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "decay_level:" << "sustain_level:" << "use_chorus:" << "use_compressor:" << "cutoff:" ;
  autocomplete->addSynthArgs(":rodeo", fxtmp);

  // synth :kalimba
  fxtmp.clear(); fxtmp << "note:" << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "decay_level:" << "sustain_level:" << "clickiness:" ;
  autocomplete->addSynthArgs(":kalimba", fxtmp);

  // synth :pluck
  fxtmp.clear(); fxtmp << "note:" << "amp:" << "pan:" << "attack:" << "sustain:" << "release:" << "attack_level:" << "decay:" << "decay_level:" << "sustain_level:" << "noise_amp:" << "max_delay_time:" << "pluck_decay:" << "coef:" ;
  autocomplete->addSynthArgs(":pluck", fxtmp);

  // synth :tech_saws
  fxtmp.clear(); fxtmp << "note:" << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "decay_level:" << "sustain_level:" << "env_curve:" << "cutoff:" << "res:" ;
  autocomplete->addSynthArgs(":tech_saws", fxtmp);

  // synth :sound_in
  fxtmp.clear(); fxtmp << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "decay_level:" << "sustain_level:" << "env_curve:" << "input:" ;
  autocomplete->addSynthArgs(":sound_in", fxtmp);

  // synth :sound_in_stereo
  fxtmp.clear(); fxtmp << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "decay_level:" << "sustain_level:" << "env_curve:" << "input:" ;
  autocomplete->addSynthArgs(":sound_in_stereo", fxtmp);

  // synth :noise
  fxtmp.clear(); fxtmp << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "decay_level:" << "sustain_level:" << "env_curve:" << "cutoff:" << "res:" ;
  autocomplete->addSynthArgs(":noise", fxtmp);

  // synth :pnoise
  fxtmp.clear(); fxtmp << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "decay_level:" << "sustain_level:" << "env_curve:" << "cutoff:" << "res:" ;
  autocomplete->addSynthArgs(":pnoise", fxtmp);

  // synth :bnoise
  fxtmp.clear(); fxtmp << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "decay_level:" << "sustain_level:" << "env_curve:" << "cutoff:" << "res:" ;
  autocomplete->addSynthArgs(":bnoise", fxtmp);

  // synth :gnoise
  fxtmp.clear(); fxtmp << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "decay_level:" << "sustain_level:" << "env_curve:" << "cutoff:" << "res:" ;
  autocomplete->addSynthArgs(":gnoise", fxtmp);

  // synth :cnoise
  fxtmp.clear(); fxtmp << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "decay_level:" << "sustain_level:" << "env_curve:" << "cutoff:" << "res:" ;
  autocomplete->addSynthArgs(":cnoise", fxtmp);

  // synth :chipnoise
  fxtmp.clear(); fxtmp << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "decay_level:" << "sustain_level:" << "env_curve:" << "freq_band:" ;
  autocomplete->addSynthArgs(":chipnoise", fxtmp);

  // synth :basic_mono_player
  fxtmp.clear(); fxtmp << "amp:" << "pan:" << "rate:" << "lpf:" << "hpf:" ;
  autocomplete->addSynthArgs(":basic_mono_player", fxtmp);

  // synth :basic_stereo_player
  fxtmp.clear(); fxtmp << "amp:" << "pan:" << "rate:" << "lpf:" << "hpf:" ;
  autocomplete->addSynthArgs(":basic_stereo_player", fxtmp);

  // synth :basic_mixer
  fxtmp.clear(); fxtmp << "amp:" ;
  autocomplete->addSynthArgs(":basic_mixer", fxtmp);

  // synth :main_mixer
  fxtmp.clear(); fxtmp << "amp:" << "pre_amp:" << "hpf:" << "lpf:" << "hpf_bypass:" << "lpf_bypass:" << "force_mono:" << "invert_stereo:" << "limiter_bypass:" << "leak_dc_bypass:" ;
  autocomplete->addSynthArgs(":main_mixer", fxtmp);

}
